package org.jboss.errai.bus.client.framework;

import java.lang.annotation.Annotation;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.dashbuilder.dataprovider.DataSetProviderType;
import org.dashbuilder.dataset.DataSet;
import org.dashbuilder.dataset.DataSetLookup;
import org.dashbuilder.dataset.DataSetMetadata;
import org.dashbuilder.dataset.backend.EditDataSetDef;
import org.dashbuilder.dataset.def.DataSetDef;
import org.dashbuilder.dataset.service.DataSetDefServices;
import org.dashbuilder.dataset.service.DataSetDefVfsServices;
import org.dashbuilder.dataset.service.DataSetExportServices;
import org.dashbuilder.dataset.service.DataSetLookupServices;
import org.dashbuilder.dataset.service.SQLProviderServices;
import org.dashbuilder.navigation.NavTree;
import org.dashbuilder.navigation.service.LayoutTemplateInfo;
import org.dashbuilder.navigation.service.NavigationServices;
import org.dashbuilder.navigation.service.PerspectivePluginServices;
import org.jboss.errai.bus.client.api.base.MessageBuilder;
import org.jboss.errai.bus.client.api.builder.RemoteCallSendable;
import org.jboss.errai.bus.client.api.messaging.MessageBus;
import org.jboss.errai.common.client.api.ErrorCallback;
import org.jboss.errai.common.client.api.RemoteCallback;
import org.jboss.errai.common.client.api.interceptor.InterceptedCall;
import org.jboss.errai.common.client.api.interceptor.RemoteCallContext;
import org.jboss.errai.common.client.framework.CallContextStatus;
import org.jboss.errai.common.client.framework.ProxyProvider;
import org.jboss.errai.common.client.framework.RemoteServiceProxyFactory;
import org.jboss.errai.common.client.util.AsyncBeanFactory;
import org.jboss.errai.common.client.util.CreationalCallback;
import org.jboss.errai.security.client.local.interceptors.AuthenticationServiceInterceptor;
import org.jboss.errai.security.shared.api.Group;
import org.jboss.errai.security.shared.api.Role;
import org.jboss.errai.security.shared.api.identity.User;
import org.jboss.errai.security.shared.service.AuthenticationService;
import org.jboss.errai.security.shared.service.NonCachingUserService;
import org.uberfire.backend.authz.AuthorizationService;
import org.uberfire.backend.plugin.RuntimePluginService;
import org.uberfire.backend.vfs.DirectoryStream;
import org.uberfire.backend.vfs.DirectoryStream.Filter;
import org.uberfire.backend.vfs.Path;
import org.uberfire.backend.vfs.VFSLockService;
import org.uberfire.backend.vfs.VFSService;
import org.uberfire.backend.vfs.impl.LockInfo;
import org.uberfire.backend.vfs.impl.LockResult;
import org.uberfire.backend.vfs.impl.VFSCacheInterceptor;
import org.uberfire.ext.editor.commons.service.CopyService;
import org.uberfire.ext.editor.commons.service.DeleteService;
import org.uberfire.ext.editor.commons.service.RenameService;
import org.uberfire.ext.editor.commons.service.ValidationService;
import org.uberfire.ext.editor.commons.version.VersionService;
import org.uberfire.ext.layout.editor.api.LayoutServices;
import org.uberfire.ext.layout.editor.api.editor.LayoutTemplate;
import org.uberfire.ext.plugin.model.DynamicMenu;
import org.uberfire.ext.plugin.model.LayoutEditorModel;
import org.uberfire.ext.plugin.model.Media;
import org.uberfire.ext.plugin.model.Plugin;
import org.uberfire.ext.plugin.model.PluginContent;
import org.uberfire.ext.plugin.model.PluginSimpleContent;
import org.uberfire.ext.plugin.model.PluginType;
import org.uberfire.ext.plugin.service.PluginServices;
import org.uberfire.ext.properties.editor.model.PropertyEditorCategory;
import org.uberfire.ext.properties.editor.service.BeanPropertyEditorBuilderService;
import org.uberfire.ext.security.management.api.AbstractEntityManager.SearchRequest;
import org.uberfire.ext.security.management.api.AbstractEntityManager.SearchResponse;
import org.uberfire.ext.security.management.api.GroupManagerSettings;
import org.uberfire.ext.security.management.api.RoleManagerSettings;
import org.uberfire.ext.security.management.api.UserManagerSettings;
import org.uberfire.ext.security.management.api.service.GroupManagerService;
import org.uberfire.ext.security.management.api.service.RoleManagerService;
import org.uberfire.ext.security.management.api.service.UserManagerService;
import org.uberfire.ext.services.shared.preferences.UserPreference;
import org.uberfire.ext.services.shared.preferences.UserPreferencesService;
import org.uberfire.ext.services.shared.preferences.UserPreferencesType;
import org.uberfire.mvp.Command;
import org.uberfire.mvp.ParameterizedCommand;
import org.uberfire.preferences.shared.PreferenceScope;
import org.uberfire.preferences.shared.PreferenceScopeResolver;
import org.uberfire.preferences.shared.PreferenceStorage;
import org.uberfire.preferences.shared.PreferenceStore;
import org.uberfire.preferences.shared.bean.BasePreferencePortable;
import org.uberfire.preferences.shared.bean.PreferenceBeanServerStore;
import org.uberfire.preferences.shared.bean.PreferenceHierarchyElement;
import org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo;
import org.uberfire.preferences.shared.impl.PreferenceScopedValue;
import org.uberfire.security.authz.AuthorizationPolicy;
import org.uberfire.workbench.model.PerspectiveDefinition;
import org.uberfire.workbench.model.SplashScreenFilter;
import org.uberfire.workbench.services.WorkbenchServices;

public class RpcProxyLoaderImpl implements RpcProxyLoader { public void loadProxies(final MessageBus bus) {
    class org_dashbuilder_dataset_service_DataSetLookupServicesImpl extends AbstractRpcProxy implements DataSetLookupServices { public DataSet lookupDataSet(final DataSetLookup a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetLookupServices").endpoint("lookupDataSet:org.dashbuilder.dataset.DataSetLookup:", qualifiers, new Object[] { a0 }).respondTo(DataSet.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetLookupServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public DataSet lookupDataSet(final DataSetDef a0, final DataSetLookup a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetLookupServices").endpoint("lookupDataSet:org.dashbuilder.dataset.def.DataSetDef:org.dashbuilder.dataset.DataSetLookup:", qualifiers, new Object[] { a0, a1 }).respondTo(DataSet.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetLookupServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public DataSetMetadata lookupDataSetMetadata(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetLookupServices").endpoint("lookupDataSetMetadata:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(DataSetMetadata.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetLookupServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(DataSetLookupServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_dashbuilder_dataset_service_DataSetLookupServicesImpl();
      }
    });
    class org_uberfire_ext_layout_editor_api_LayoutServicesImpl extends AbstractRpcProxy implements LayoutServices { public String convertLayoutToString(final LayoutTemplate a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.layout.editor.api.LayoutServices").endpoint("convertLayoutToString:org.uberfire.ext.layout.editor.api.editor.LayoutTemplate:", qualifiers, new Object[] { a0 }).respondTo(String.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_layout_editor_api_LayoutServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LayoutTemplate convertLayoutFromString(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.layout.editor.api.LayoutServices").endpoint("convertLayoutFromString:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(LayoutTemplate.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_layout_editor_api_LayoutServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(LayoutServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_layout_editor_api_LayoutServicesImpl();
      }
    });
    class org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl extends AbstractRpcProxy implements GroupManagerService { public void assignUsers(final String a0, final Collection a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.GroupManagerService").endpoint("assignUsers:java.lang.String:java.util.Collection:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl.this.sendRequest(bus, sendable);
      }

      public SearchResponse search(final SearchRequest a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.GroupManagerService").endpoint("search:org.uberfire.ext.security.management.api.AbstractEntityManager.SearchRequest:", qualifiers, new Object[] { a0 }).respondTo(SearchResponse.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Group get(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.GroupManagerService").endpoint("get:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Group.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Group create(final Group a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.GroupManagerService").endpoint("create:org.jboss.errai.security.shared.api.Group:", qualifiers, new Object[] { a0 }).respondTo(Group.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Group update(final Group a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.GroupManagerService").endpoint("update:org.jboss.errai.security.shared.api.Group:", qualifiers, new Object[] { a0 }).respondTo(Group.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void delete(final String[] a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.GroupManagerService").endpoint("delete:java.lang.String[]:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl.this.sendRequest(bus, sendable);
      }

      public GroupManagerSettings getSettings() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.GroupManagerService").endpoint("getSettings:", qualifiers, new Object[] { }).respondTo(GroupManagerSettings.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(GroupManagerService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_security_management_api_service_GroupManagerServiceImpl();
      }
    });
    class org_uberfire_preferences_shared_PreferenceStoreImpl extends AbstractRpcProxy implements PreferenceStore { public PreferenceScopeResolutionStrategyInfo getDefaultScopeResolutionStrategyInfo() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("getDefaultScopeResolutionStrategyInfo:", qualifiers, new Object[] { }).respondTo(PreferenceScopeResolutionStrategyInfo.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PreferenceScopeResolver getDefaultScopeResolver() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("getDefaultScopeResolver:", qualifiers, new Object[] { }).respondTo(PreferenceScopeResolver.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void put(final PreferenceScope a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("put:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void put(final PreferenceScopeResolutionStrategyInfo a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("put:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void put(final String a0, final Object a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("put:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void put(final PreferenceScope a0, final Map a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("put:org.uberfire.preferences.shared.PreferenceScope:java.util.Map:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void put(final PreferenceScopeResolutionStrategyInfo a0, final Map a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("put:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.util.Map:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void put(final Map a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("put:java.util.Map:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void putIfAbsent(final PreferenceScope a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("putIfAbsent:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void putIfAbsent(final PreferenceScopeResolutionStrategyInfo a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("putIfAbsent:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void putIfAbsent(final String a0, final Object a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("putIfAbsent:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void putIfAbsent(final PreferenceScope a0, final Map a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("putIfAbsent:org.uberfire.preferences.shared.PreferenceScope:java.util.Map:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void putIfAbsent(final PreferenceScopeResolutionStrategyInfo a0, final Map a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("putIfAbsent:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.util.Map:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void putIfAbsent(final Map a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("putIfAbsent:java.util.Map:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public Object get(final PreferenceScope a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("get:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Object get(final PreferenceScope a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("get:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Object get(final PreferenceScopeResolutionStrategyInfo a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("get:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Object get(final PreferenceScopeResolutionStrategyInfo a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("get:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Object get(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("get:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Object get(final String a0, final Object a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("get:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PreferenceScopedValue getScoped(final PreferenceScopeResolutionStrategyInfo a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("getScoped:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(PreferenceScopedValue.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PreferenceScopedValue getScoped(final PreferenceScopeResolutionStrategyInfo a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("getScoped:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(PreferenceScopedValue.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PreferenceScopedValue getScoped(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("getScoped:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(PreferenceScopedValue.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PreferenceScopedValue getScoped(final String a0, final Object a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("getScoped:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1 }).respondTo(PreferenceScopedValue.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map search(final PreferenceScope a0, final Collection a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("search:org.uberfire.preferences.shared.PreferenceScope:java.util.Collection:", qualifiers, new Object[] { a0, a1 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map search(final PreferenceScopeResolutionStrategyInfo a0, final Collection a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("search:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.util.Collection:", qualifiers, new Object[] { a0, a1 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map search(final Collection a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("search:java.util.Collection:", qualifiers, new Object[] { a0 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map searchScoped(final PreferenceScopeResolutionStrategyInfo a0, final Collection a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("searchScoped:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.util.Collection:", qualifiers, new Object[] { a0, a1 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map searchScoped(final Collection a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("searchScoped:java.util.Collection:", qualifiers, new Object[] { a0 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map all(final PreferenceScope a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("all:org.uberfire.preferences.shared.PreferenceScope:", qualifiers, new Object[] { a0 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map all(final PreferenceScopeResolutionStrategyInfo a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("all:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:", qualifiers, new Object[] { a0 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map all() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("all:", qualifiers, new Object[] { }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map allScoped(final PreferenceScopeResolutionStrategyInfo a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("allScoped:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:", qualifiers, new Object[] { a0 }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map allScoped() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("allScoped:", qualifiers, new Object[] { }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void remove(final PreferenceScope a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("remove:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }

      public void remove(final List a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStore").endpoint("remove:java.util.List:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStoreImpl.this.sendRequest(bus, sendable);
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(PreferenceStore.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_preferences_shared_PreferenceStoreImpl();
      }
    });
    class org_uberfire_workbench_services_WorkbenchServicesImpl extends AbstractRpcProxy implements WorkbenchServices { public void save(final String a0, final PerspectiveDefinition a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("save:java.lang.String:org.uberfire.workbench.model.PerspectiveDefinition:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
      }

      public void save(final SplashScreenFilter a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("save:org.uberfire.workbench.model.SplashScreenFilter:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
      }

      public Set loadPerspectives() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("loadPerspectives:", qualifiers, new Object[] { }).respondTo(Set.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PerspectiveDefinition loadPerspective(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("loadPerspective:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(PerspectiveDefinition.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void removePerspectiveState(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("removePerspectiveState:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
      }

      public void removePerspectiveStates() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("removePerspectiveStates:", qualifiers, new Object[] { }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
      }

      public SplashScreenFilter loadSplashScreenFilter(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("loadSplashScreenFilter:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(SplashScreenFilter.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map loadDefaultEditorsMap() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("loadDefaultEditorsMap:", qualifiers, new Object[] { }).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void saveDefaultEditors(final Map a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("saveDefaultEditors:java.util.Map:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
      }

      public boolean isWorkbenchOnCluster() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.workbench.services.WorkbenchServices").endpoint("isWorkbenchOnCluster:", qualifiers, new Object[] { }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_workbench_services_WorkbenchServicesImpl.this.sendRequest(bus, sendable);
        return false;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(WorkbenchServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_workbench_services_WorkbenchServicesImpl();
      }
    });
    class org_uberfire_backend_authz_AuthorizationServiceImpl extends AbstractRpcProxy implements AuthorizationService { public AuthorizationPolicy loadPolicy() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.authz.AuthorizationService").endpoint("loadPolicy:", qualifiers, new Object[] { }).respondTo(AuthorizationPolicy.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_authz_AuthorizationServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void savePolicy(final AuthorizationPolicy a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.authz.AuthorizationService").endpoint("savePolicy:org.uberfire.security.authz.AuthorizationPolicy:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_authz_AuthorizationServiceImpl.this.sendRequest(bus, sendable);
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(AuthorizationService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_backend_authz_AuthorizationServiceImpl();
      }
    });
    class org_dashbuilder_navigation_service_NavigationServicesImpl extends AbstractRpcProxy implements NavigationServices { public NavTree loadNavTree() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.navigation.service.NavigationServices").endpoint("loadNavTree:", qualifiers, new Object[] { }).respondTo(NavTree.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_navigation_service_NavigationServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void saveNavTree(final NavTree a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.navigation.service.NavigationServices").endpoint("saveNavTree:org.dashbuilder.navigation.NavTree:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_navigation_service_NavigationServicesImpl.this.sendRequest(bus, sendable);
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(NavigationServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_dashbuilder_navigation_service_NavigationServicesImpl();
      }
    });
    class org_uberfire_ext_editor_commons_version_VersionServiceImpl extends AbstractRpcProxy implements VersionService { public List getVersions(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.version.VersionService").endpoint("getVersions:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(List.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_version_VersionServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path getPathToPreviousVersion(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.version.VersionService").endpoint("getPathToPreviousVersion:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_version_VersionServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path restore(final Path a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.version.VersionService").endpoint("restore:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_version_VersionServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(VersionService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_editor_commons_version_VersionServiceImpl();
      }
    });
    class org_dashbuilder_dataset_service_DataSetExportServicesImpl extends AbstractRpcProxy implements DataSetExportServices { public Path exportDataSetCSV(final DataSetLookup a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetExportServices").endpoint("exportDataSetCSV:org.dashbuilder.dataset.DataSetLookup:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetExportServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path exportDataSetCSV(final DataSet a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetExportServices").endpoint("exportDataSetCSV:org.dashbuilder.dataset.DataSet:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetExportServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path exportDataSetExcel(final DataSetLookup a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetExportServices").endpoint("exportDataSetExcel:org.dashbuilder.dataset.DataSetLookup:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetExportServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path exportDataSetExcel(final DataSet a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetExportServices").endpoint("exportDataSetExcel:org.dashbuilder.dataset.DataSet:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetExportServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(DataSetExportServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_dashbuilder_dataset_service_DataSetExportServicesImpl();
      }
    });
    class org_uberfire_ext_editor_commons_service_CopyServiceImpl extends AbstractRpcProxy implements CopyService { public void copyIfExists(final Collection a0, final String a1, final String a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.CopyService").endpoint("copyIfExists:java.util.Collection:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_CopyServiceImpl.this.sendRequest(bus, sendable);
      }

      public boolean hasRestriction(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.CopyService").endpoint("hasRestriction:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_CopyServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public Path copy(final Path a0, final String a1, final String a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.CopyService").endpoint("copy:org.uberfire.backend.vfs.Path:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_CopyServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path copy(final Path a0, final String a1, final Path a2, final String a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.CopyService").endpoint("copy:org.uberfire.backend.vfs.Path:java.lang.String:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_CopyServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(CopyService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_editor_commons_service_CopyServiceImpl();
      }
    });
    class org_jboss_errai_security_shared_service_NonCachingUserServiceImpl extends AbstractRpcProxy implements NonCachingUserService { public User getUser() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.jboss.errai.security.shared.service.NonCachingUserService").endpoint("getUser:", qualifiers, new Object[] { }).respondTo(User.class, remoteCallback).errorsHandledBy(errorCallback);
        org_jboss_errai_security_shared_service_NonCachingUserServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(NonCachingUserService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_jboss_errai_security_shared_service_NonCachingUserServiceImpl();
      }
    });
    class org_uberfire_ext_properties_editor_service_BeanPropertyEditorBuilderServiceImpl extends AbstractRpcProxy implements BeanPropertyEditorBuilderService { public PropertyEditorCategory extract(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.properties.editor.service.BeanPropertyEditorBuilderService").endpoint("extract:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(PropertyEditorCategory.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_properties_editor_service_BeanPropertyEditorBuilderServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PropertyEditorCategory extract(final String a0, final Object a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.properties.editor.service.BeanPropertyEditorBuilderService").endpoint("extract:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1 }).respondTo(PropertyEditorCategory.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_properties_editor_service_BeanPropertyEditorBuilderServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(BeanPropertyEditorBuilderService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_properties_editor_service_BeanPropertyEditorBuilderServiceImpl();
      }
    });
    class org_uberfire_ext_services_shared_preferences_UserPreferencesServiceImpl extends AbstractRpcProxy implements UserPreferencesService { public void saveUserPreferences(final UserPreference a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.services.shared.preferences.UserPreferencesService").endpoint("saveUserPreferences:org.uberfire.ext.services.shared.preferences.UserPreference:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_services_shared_preferences_UserPreferencesServiceImpl.this.sendRequest(bus, sendable);
      }

      public UserPreference loadUserPreferences(final String a0, final UserPreferencesType a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.services.shared.preferences.UserPreferencesService").endpoint("loadUserPreferences:java.lang.String:org.uberfire.ext.services.shared.preferences.UserPreferencesType:", qualifiers, new Object[] { a0, a1 }).respondTo(UserPreference.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_services_shared_preferences_UserPreferencesServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public UserPreference loadUserPreferences(final UserPreference a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.services.shared.preferences.UserPreferencesService").endpoint("loadUserPreferences:org.uberfire.ext.services.shared.preferences.UserPreference:", qualifiers, new Object[] { a0 }).respondTo(UserPreference.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_services_shared_preferences_UserPreferencesServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(UserPreferencesService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_services_shared_preferences_UserPreferencesServiceImpl();
      }
    });
    class org_uberfire_preferences_shared_PreferenceStorageImpl extends AbstractRpcProxy implements PreferenceStorage { public boolean exists(final PreferenceScope a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("exists:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public boolean exists(final PreferenceScopeResolutionStrategyInfo a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("exists:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public Object read(final PreferenceScope a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("read:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Object read(final PreferenceScopeResolutionStrategyInfo a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("read:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Object.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PreferenceScopedValue readWithScope(final PreferenceScopeResolutionStrategyInfo a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("readWithScope:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(PreferenceScopedValue.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void write(final PreferenceScope a0, final String a1, final Object a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("write:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:java.lang.Object:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
      }

      public void delete(final PreferenceScope a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("delete:org.uberfire.preferences.shared.PreferenceScope:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
      }

      public Collection allKeys(final PreferenceScope a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("allKeys:org.uberfire.preferences.shared.PreferenceScope:", qualifiers, new Object[] { a0 }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Collection allKeys(final List a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.PreferenceStorage").endpoint("allKeys:java.util.List:", qualifiers, new Object[] { a0 }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_PreferenceStorageImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(PreferenceStorage.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_preferences_shared_PreferenceStorageImpl();
      }
    });
    class org_dashbuilder_dataset_service_SQLProviderServicesImpl extends AbstractRpcProxy implements SQLProviderServices { public List getDataSourceDefs() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.SQLProviderServices").endpoint("getDataSourceDefs:", qualifiers, new Object[] { }).respondTo(List.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_SQLProviderServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(SQLProviderServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_dashbuilder_dataset_service_SQLProviderServicesImpl();
      }
    });
    class org_uberfire_ext_plugin_service_PluginServicesImpl extends AbstractRpcProxy implements PluginServices { public String getMediaServletURI() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("getMediaServletURI:", qualifiers, new Object[] { }).respondTo(String.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Collection listRuntimePlugins() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("listRuntimePlugins:", qualifiers, new Object[] { }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Collection listPluginRuntimePlugins(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("listPluginRuntimePlugins:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Collection listPlugins() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("listPlugins:", qualifiers, new Object[] { }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Plugin createNewPlugin(final String a0, final PluginType a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("createNewPlugin:java.lang.String:org.uberfire.ext.plugin.model.PluginType:", qualifiers, new Object[] { a0, a1 }).respondTo(Plugin.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PluginContent getPluginContent(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("getPluginContent:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(PluginContent.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void deleteMedia(final Media a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("deleteMedia:org.uberfire.ext.plugin.model.Media:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
      }

      public DynamicMenu getDynamicMenuContent(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("getDynamicMenuContent:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(DynamicMenu.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path save(final PluginSimpleContent a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("save:org.uberfire.ext.plugin.model.PluginSimpleContent:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LayoutEditorModel getLayoutEditor(final Path a0, final PluginType a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("getLayoutEditor:org.uberfire.backend.vfs.Path:org.uberfire.ext.plugin.model.PluginType:", qualifiers, new Object[] { a0, a1 }).respondTo(LayoutEditorModel.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path saveMenu(final DynamicMenu a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("saveMenu:org.uberfire.ext.plugin.model.DynamicMenu:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path saveLayout(final LayoutEditorModel a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("saveLayout:org.uberfire.ext.plugin.model.LayoutEditorModel:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Collection listDynamicMenus() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("listDynamicMenus:", qualifiers, new Object[] { }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Collection listLayoutEditor(final PluginType a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("listLayoutEditor:org.uberfire.ext.plugin.model.PluginType:", qualifiers, new Object[] { a0 }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void delete(final Path a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("delete:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
      }

      public Path copy(final Path a0, final String a1, final String a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("copy:org.uberfire.backend.vfs.Path:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path copy(final Path a0, final String a1, final Path a2, final String a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("copy:org.uberfire.backend.vfs.Path:java.lang.String:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path rename(final Path a0, final String a1, final String a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.plugin.service.PluginServices").endpoint("rename:org.uberfire.backend.vfs.Path:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_plugin_service_PluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(PluginServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_plugin_service_PluginServicesImpl();
      }
    });
    class org_jboss_errai_security_shared_service_AuthenticationServiceImpl extends AbstractRpcProxy implements AuthenticationService { public User login(final String a0, final String a1) {
        try {
          final CallContextStatus status = new CallContextStatus(AuthenticationServiceInterceptor.class);
          final RemoteCallContext callContext = new RemoteCallContext() {
            public String getMethodName() {
              return "login";
            }
            public Class getReturnType() {
              return User.class;
            }
            public Annotation[] getAnnotations() {
              return new Annotation[] { };
            }
            public Annotation[] getTypeAnnotations() {
              return new Annotation[] { };
            }
            public Object proceed() {
              status.proceed();
              if (status.getNextInterceptor() == null) {
                RemoteCallSendable sendable = MessageBuilder.createCall().call("org.jboss.errai.security.shared.service.AuthenticationService").endpoint("login:java.lang.String:java.lang.String:", qualifiers, getParameters()).respondTo(User.class, remoteCallback).errorsHandledBy(errorCallback);
                org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.sendRequest(bus, sendable);
              } else if (status.getNextInterceptor() == AuthenticationServiceInterceptor.class) {
                final RemoteCallContext ctx = this;
                final CreationalCallback icc = new CreationalCallback() {
                  public void callback(final Object beanInstance) {
                    status.setProceeding(false);
                    ((AuthenticationServiceInterceptor) beanInstance).aroundInvoke(ctx);
                    if ((!status.isProceeding()) && (AuthenticationServiceInterceptor.class == status.getNextInterceptor())) {
                      remoteCallback.callback(ctx.getResult());
                    }
                  }
                };
                org.jboss.errai.ioc.client.container.IOC.getAsyncBeanManager().lookupBeans(AuthenticationServiceInterceptor.class).iterator().next().getInstance(icc);
              }
              return null;
            }
            public void proceed(final RemoteCallback interceptorCallback) {
              final RemoteCallback providedCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.remoteCallback;
              remoteCallback = new RemoteCallback() {
                public void callback(Object response) {
                  RemoteCallback intCallback = interceptorCallback;
                  setResult(response);
                  intCallback.callback(getResult());
                  providedCallback.callback(getResult());
                }
              };
              proceed();
            }
            public void proceed(RemoteCallback interceptorCallback, final ErrorCallback interceptorErrorCallback) {
              final ErrorCallback providedErrorCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.errorCallback;
              errorCallback = new ErrorCallback() {
                public boolean error(Object message, Throwable throwable) {
                  interceptorErrorCallback.error(message, throwable);
                  if (getResult() != null) {
                    remoteCallback.callback(getResult());
                    return false;
                  } else if (providedErrorCallback != null) {
                    return providedErrorCallback.error(message, throwable);
                  }
                  return true;
                }
              };
              proceed(interceptorCallback);
            }
          };
          callContext.setParameters(new Object[] { a0, a1 });
          callContext.proceed();
        } catch (Throwable throwable) {
          if (errorCallback != null) {
            errorCallback.error(null, throwable);
          } else {
            invokeDefaultErrorHandlers(throwable);
          }
        }
        return null;
      }

      public boolean isLoggedIn() {
        try {
          final CallContextStatus status = new CallContextStatus(AuthenticationServiceInterceptor.class);
          final RemoteCallContext callContext = new RemoteCallContext() {
            public String getMethodName() {
              return "isLoggedIn";
            }
            public Class getReturnType() {
              return boolean.class;
            }
            public Annotation[] getAnnotations() {
              return new Annotation[] { };
            }
            public Annotation[] getTypeAnnotations() {
              return new Annotation[] { };
            }
            public Object proceed() {
              status.proceed();
              if (status.getNextInterceptor() == null) {
                RemoteCallSendable sendable = MessageBuilder.createCall().call("org.jboss.errai.security.shared.service.AuthenticationService").endpoint("isLoggedIn:", qualifiers, getParameters()).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
                org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.sendRequest(bus, sendable);
              } else if (status.getNextInterceptor() == AuthenticationServiceInterceptor.class) {
                final RemoteCallContext ctx = this;
                final CreationalCallback icc = new CreationalCallback() {
                  public void callback(final Object beanInstance) {
                    status.setProceeding(false);
                    ((AuthenticationServiceInterceptor) beanInstance).aroundInvoke(ctx);
                    if ((!status.isProceeding()) && (AuthenticationServiceInterceptor.class == status.getNextInterceptor())) {
                      remoteCallback.callback(ctx.getResult());
                    }
                  }
                };
                org.jboss.errai.ioc.client.container.IOC.getAsyncBeanManager().lookupBeans(AuthenticationServiceInterceptor.class).iterator().next().getInstance(icc);
              }
              return null;
            }
            public void proceed(final RemoteCallback interceptorCallback) {
              final RemoteCallback providedCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.remoteCallback;
              remoteCallback = new RemoteCallback() {
                public void callback(Object response) {
                  RemoteCallback intCallback = interceptorCallback;
                  setResult(response);
                  intCallback.callback(getResult());
                  providedCallback.callback(getResult());
                }
              };
              proceed();
            }
            public void proceed(RemoteCallback interceptorCallback, final ErrorCallback interceptorErrorCallback) {
              final ErrorCallback providedErrorCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.errorCallback;
              errorCallback = new ErrorCallback() {
                public boolean error(Object message, Throwable throwable) {
                  interceptorErrorCallback.error(message, throwable);
                  if (getResult() != null) {
                    remoteCallback.callback(getResult());
                    return false;
                  } else if (providedErrorCallback != null) {
                    return providedErrorCallback.error(message, throwable);
                  }
                  return true;
                }
              };
              proceed(interceptorCallback);
            }
          };
          callContext.setParameters(new Object[] { });
          callContext.proceed();
        } catch (Throwable throwable) {
          if (errorCallback != null) {
            errorCallback.error(null, throwable);
          } else {
            invokeDefaultErrorHandlers(throwable);
          }
        }
        return false;
      }

      public void logout() {
        try {
          final CallContextStatus status = new CallContextStatus(AuthenticationServiceInterceptor.class);
          final RemoteCallContext callContext = new RemoteCallContext() {
            public String getMethodName() {
              return "logout";
            }
            public Class getReturnType() {
              return void.class;
            }
            public Annotation[] getAnnotations() {
              return new Annotation[] { };
            }
            public Annotation[] getTypeAnnotations() {
              return new Annotation[] { };
            }
            public Object proceed() {
              status.proceed();
              if (status.getNextInterceptor() == null) {
                RemoteCallSendable sendable = MessageBuilder.createCall().call("org.jboss.errai.security.shared.service.AuthenticationService").endpoint("logout:", qualifiers, getParameters()).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
                org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.sendRequest(bus, sendable);
              } else if (status.getNextInterceptor() == AuthenticationServiceInterceptor.class) {
                final RemoteCallContext ctx = this;
                final CreationalCallback icc = new CreationalCallback() {
                  public void callback(final Object beanInstance) {
                    status.setProceeding(false);
                    ((AuthenticationServiceInterceptor) beanInstance).aroundInvoke(ctx);
                    if ((!status.isProceeding()) && (AuthenticationServiceInterceptor.class == status.getNextInterceptor())) {
                      remoteCallback.callback(ctx.getResult());
                    }
                  }
                };
                org.jboss.errai.ioc.client.container.IOC.getAsyncBeanManager().lookupBeans(AuthenticationServiceInterceptor.class).iterator().next().getInstance(icc);
              }
              return null;
            }
            public void proceed(final RemoteCallback interceptorCallback) {
              final RemoteCallback providedCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.remoteCallback;
              remoteCallback = new RemoteCallback() {
                public void callback(Object response) {
                  RemoteCallback intCallback = interceptorCallback;
                  setResult(response);
                  intCallback.callback(getResult());
                  providedCallback.callback(getResult());
                }
              };
              proceed();
            }
            public void proceed(RemoteCallback interceptorCallback, final ErrorCallback interceptorErrorCallback) {
              final ErrorCallback providedErrorCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.errorCallback;
              errorCallback = new ErrorCallback() {
                public boolean error(Object message, Throwable throwable) {
                  interceptorErrorCallback.error(message, throwable);
                  if (getResult() != null) {
                    remoteCallback.callback(getResult());
                    return false;
                  } else if (providedErrorCallback != null) {
                    return providedErrorCallback.error(message, throwable);
                  }
                  return true;
                }
              };
              proceed(interceptorCallback);
            }
          };
          callContext.setParameters(new Object[] { });
          callContext.proceed();
        } catch (Throwable throwable) {
          if (errorCallback != null) {
            errorCallback.error(null, throwable);
          } else {
            invokeDefaultErrorHandlers(throwable);
          }
        }
      }

      public User getUser() {
        try {
          final CallContextStatus status = new CallContextStatus(AuthenticationServiceInterceptor.class);
          final RemoteCallContext callContext = new RemoteCallContext() {
            public String getMethodName() {
              return "getUser";
            }
            public Class getReturnType() {
              return User.class;
            }
            public Annotation[] getAnnotations() {
              return new Annotation[] { };
            }
            public Annotation[] getTypeAnnotations() {
              return new Annotation[] { };
            }
            public Object proceed() {
              status.proceed();
              if (status.getNextInterceptor() == null) {
                RemoteCallSendable sendable = MessageBuilder.createCall().call("org.jboss.errai.security.shared.service.AuthenticationService").endpoint("getUser:", qualifiers, getParameters()).respondTo(User.class, remoteCallback).errorsHandledBy(errorCallback);
                org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.sendRequest(bus, sendable);
              } else if (status.getNextInterceptor() == AuthenticationServiceInterceptor.class) {
                final RemoteCallContext ctx = this;
                final CreationalCallback icc = new CreationalCallback() {
                  public void callback(final Object beanInstance) {
                    status.setProceeding(false);
                    ((AuthenticationServiceInterceptor) beanInstance).aroundInvoke(ctx);
                    if ((!status.isProceeding()) && (AuthenticationServiceInterceptor.class == status.getNextInterceptor())) {
                      remoteCallback.callback(ctx.getResult());
                    }
                  }
                };
                org.jboss.errai.ioc.client.container.IOC.getAsyncBeanManager().lookupBeans(AuthenticationServiceInterceptor.class).iterator().next().getInstance(icc);
              }
              return null;
            }
            public void proceed(final RemoteCallback interceptorCallback) {
              final RemoteCallback providedCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.remoteCallback;
              remoteCallback = new RemoteCallback() {
                public void callback(Object response) {
                  RemoteCallback intCallback = interceptorCallback;
                  setResult(response);
                  intCallback.callback(getResult());
                  providedCallback.callback(getResult());
                }
              };
              proceed();
            }
            public void proceed(RemoteCallback interceptorCallback, final ErrorCallback interceptorErrorCallback) {
              final ErrorCallback providedErrorCallback = org_jboss_errai_security_shared_service_AuthenticationServiceImpl.this.errorCallback;
              errorCallback = new ErrorCallback() {
                public boolean error(Object message, Throwable throwable) {
                  interceptorErrorCallback.error(message, throwable);
                  if (getResult() != null) {
                    remoteCallback.callback(getResult());
                    return false;
                  } else if (providedErrorCallback != null) {
                    return providedErrorCallback.error(message, throwable);
                  }
                  return true;
                }
              };
              proceed(interceptorCallback);
            }
          };
          callContext.setParameters(new Object[] { });
          callContext.proceed();
        } catch (Throwable throwable) {
          if (errorCallback != null) {
            errorCallback.error(null, throwable);
          } else {
            invokeDefaultErrorHandlers(throwable);
          }
        }
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(AuthenticationService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_jboss_errai_security_shared_service_AuthenticationServiceImpl();
      }
    });
    class org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl extends AbstractRpcProxy implements RoleManagerService { public SearchResponse search(final SearchRequest a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.RoleManagerService").endpoint("search:org.uberfire.ext.security.management.api.AbstractEntityManager.SearchRequest:", qualifiers, new Object[] { a0 }).respondTo(SearchResponse.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Role get(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.RoleManagerService").endpoint("get:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Role.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Role create(final Role a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.RoleManagerService").endpoint("create:org.jboss.errai.security.shared.api.Role:", qualifiers, new Object[] { a0 }).respondTo(Role.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Role update(final Role a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.RoleManagerService").endpoint("update:org.jboss.errai.security.shared.api.Role:", qualifiers, new Object[] { a0 }).respondTo(Role.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void delete(final String[] a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.RoleManagerService").endpoint("delete:java.lang.String[]:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl.this.sendRequest(bus, sendable);
      }

      public RoleManagerSettings getSettings() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.RoleManagerService").endpoint("getSettings:", qualifiers, new Object[] { }).respondTo(RoleManagerSettings.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(RoleManagerService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_security_management_api_service_RoleManagerServiceImpl();
      }
    });
    class org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl extends AbstractRpcProxy implements DataSetDefVfsServices { public Path resolve(final DataSetDef a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefVfsServices").endpoint("resolve:org.dashbuilder.dataset.def.DataSetDef:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public DataSetDef get(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefVfsServices").endpoint("get:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(DataSetDef.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public EditDataSetDef load(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefVfsServices").endpoint("load:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(EditDataSetDef.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path save(final DataSetDef a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefVfsServices").endpoint("save:org.dashbuilder.dataset.def.DataSetDef:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void delete(final Path a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefVfsServices").endpoint("delete:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl.this.sendRequest(bus, sendable);
      }

      public Path copy(final Path a0, final String a1, final String a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefVfsServices").endpoint("copy:org.uberfire.backend.vfs.Path:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path copy(final Path a0, final String a1, final Path a2, final String a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefVfsServices").endpoint("copy:org.uberfire.backend.vfs.Path:java.lang.String:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(DataSetDefVfsServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_dashbuilder_dataset_service_DataSetDefVfsServicesImpl();
      }
    });
    class org_dashbuilder_navigation_service_PerspectivePluginServicesImpl extends AbstractRpcProxy implements PerspectivePluginServices { public Collection listPlugins() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.navigation.service.PerspectivePluginServices").endpoint("listPlugins:", qualifiers, new Object[] { }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_navigation_service_PerspectivePluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Plugin getPerspectivePlugin(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.navigation.service.PerspectivePluginServices").endpoint("getPerspectivePlugin:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Plugin.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_navigation_service_PerspectivePluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LayoutTemplate getLayoutTemplate(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.navigation.service.PerspectivePluginServices").endpoint("getLayoutTemplate:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(LayoutTemplate.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_navigation_service_PerspectivePluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LayoutTemplate getLayoutTemplate(final Plugin a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.navigation.service.PerspectivePluginServices").endpoint("getLayoutTemplate:org.uberfire.ext.plugin.model.Plugin:", qualifiers, new Object[] { a0 }).respondTo(LayoutTemplate.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_navigation_service_PerspectivePluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LayoutTemplateInfo getLayoutTemplateInfo(final Plugin a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.navigation.service.PerspectivePluginServices").endpoint("getLayoutTemplateInfo:org.uberfire.ext.plugin.model.Plugin:", qualifiers, new Object[] { a0 }).respondTo(LayoutTemplateInfo.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_navigation_service_PerspectivePluginServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(PerspectivePluginServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_dashbuilder_navigation_service_PerspectivePluginServicesImpl();
      }
    });
    class org_uberfire_ext_editor_commons_service_DeleteServiceImpl extends AbstractRpcProxy implements DeleteService { public void deleteIfExists(final Collection a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.DeleteService").endpoint("deleteIfExists:java.util.Collection:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_DeleteServiceImpl.this.sendRequest(bus, sendable);
      }

      public boolean hasRestriction(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.DeleteService").endpoint("hasRestriction:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_DeleteServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public void delete(final Path a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.DeleteService").endpoint("delete:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_DeleteServiceImpl.this.sendRequest(bus, sendable);
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(DeleteService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_editor_commons_service_DeleteServiceImpl();
      }
    });
    class org_uberfire_backend_vfs_VFSServiceImpl extends AbstractRpcProxy implements VFSService { public Path get(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("get:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public DirectoryStream newDirectoryStream(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("newDirectoryStream:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(DirectoryStream.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public DirectoryStream newDirectoryStream(final Path a0, final Filter a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("newDirectoryStream:org.uberfire.backend.vfs.Path:org.uberfire.backend.vfs.DirectoryStream.Filter:", qualifiers, new Object[] { a0, a1 }).respondTo(DirectoryStream.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path createDirectory(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("createDirectory:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path createDirectory(final Path a0, final Map a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("createDirectory:org.uberfire.backend.vfs.Path:java.util.Map:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path createDirectories(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("createDirectories:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path createDirectories(final Path a0, final Map a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("createDirectories:org.uberfire.backend.vfs.Path:java.util.Map:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Map readAttributes(final Path a0) {
        try {
          final CallContextStatus status = new CallContextStatus(VFSCacheInterceptor.class);
          final RemoteCallContext callContext = new RemoteCallContext() {
            public String getMethodName() {
              return "readAttributes";
            }
            public Class getReturnType() {
              return Map.class;
            }
            public Annotation[] getAnnotations() {
              return new Annotation[] { new InterceptedCall() {
                  public Class annotationType() {
                    return InterceptedCall.class;
                  }
                  public String toString() {
                    return "@org.jboss.errai.common.client.api.interceptor.InterceptedCall(value=[class org.uberfire.backend.vfs.impl.VFSCacheInterceptor])";
                  }
                  public Class[] value() {
                    return new Class[] { VFSCacheInterceptor.class };
                  }
              } };
            }
            public Annotation[] getTypeAnnotations() {
              return new Annotation[] { };
            }
            public Object proceed() {
              status.proceed();
              if (status.getNextInterceptor() == null) {
                RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("readAttributes:org.uberfire.backend.vfs.Path:", qualifiers, getParameters()).respondTo(Map.class, remoteCallback).errorsHandledBy(errorCallback);
                org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
              } else if (status.getNextInterceptor() == VFSCacheInterceptor.class) {
                final RemoteCallContext ctx = this;
                final CreationalCallback icc = new CreationalCallback() {
                  public void callback(final Object beanInstance) {
                    status.setProceeding(false);
                    ((VFSCacheInterceptor) beanInstance).aroundInvoke(ctx);
                    if ((!status.isProceeding()) && (VFSCacheInterceptor.class == status.getNextInterceptor())) {
                      remoteCallback.callback(ctx.getResult());
                    }
                  }
                };
                AsyncBeanFactory.createBean(new VFSCacheInterceptor(), icc);
              }
              return null;
            }
            public void proceed(final RemoteCallback interceptorCallback) {
              final RemoteCallback providedCallback = org_uberfire_backend_vfs_VFSServiceImpl.this.remoteCallback;
              remoteCallback = new RemoteCallback() {
                public void callback(Object response) {
                  RemoteCallback intCallback = interceptorCallback;
                  setResult(response);
                  intCallback.callback(getResult());
                  providedCallback.callback(getResult());
                }
              };
              proceed();
            }
            public void proceed(RemoteCallback interceptorCallback, final ErrorCallback interceptorErrorCallback) {
              final ErrorCallback providedErrorCallback = org_uberfire_backend_vfs_VFSServiceImpl.this.errorCallback;
              errorCallback = new ErrorCallback() {
                public boolean error(Object message, Throwable throwable) {
                  interceptorErrorCallback.error(message, throwable);
                  if (getResult() != null) {
                    remoteCallback.callback(getResult());
                    return false;
                  } else if (providedErrorCallback != null) {
                    return providedErrorCallback.error(message, throwable);
                  }
                  return true;
                }
              };
              proceed(interceptorCallback);
            }
          };
          callContext.setParameters(new Object[] { a0 });
          callContext.proceed();
        } catch (Throwable throwable) {
          if (errorCallback != null) {
            errorCallback.error(null, throwable);
          } else {
            invokeDefaultErrorHandlers(throwable);
          }
        }
        return null;
      }

      public void setAttributes(final Path a0, final Map a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("setAttributes:org.uberfire.backend.vfs.Path:java.util.Map:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
      }

      public void delete(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("delete:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
      }

      public boolean deleteIfExists(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("deleteIfExists:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public Path copy(final Path a0, final Path a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("copy:org.uberfire.backend.vfs.Path:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path move(final Path a0, final Path a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("move:org.uberfire.backend.vfs.Path:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public String readAllString(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("readAllString:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(String.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path write(final Path a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("write:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Path write(final Path a0, final String a1, final Map a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("write:org.uberfire.backend.vfs.Path:java.lang.String:java.util.Map:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public boolean isRegularFile(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("isRegularFile:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public boolean isRegularFile(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("isRegularFile:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public boolean isDirectory(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("isDirectory:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public boolean isDirectory(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSService").endpoint("isDirectory:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(VFSService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_backend_vfs_VFSServiceImpl();
      }
    });
    class org_uberfire_ext_security_management_api_service_UserManagerServiceImpl extends AbstractRpcProxy implements UserManagerService { public void assignGroups(final String a0, final Collection a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("assignGroups:java.lang.String:java.util.Collection:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
      }

      public void assignRoles(final String a0, final Collection a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("assignRoles:java.lang.String:java.util.Collection:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
      }

      public void changePassword(final String a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("changePassword:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
      }

      public SearchResponse search(final SearchRequest a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("search:org.uberfire.ext.security.management.api.AbstractEntityManager.SearchRequest:", qualifiers, new Object[] { a0 }).respondTo(SearchResponse.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public User get(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("get:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(User.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public User create(final User a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("create:org.jboss.errai.security.shared.api.identity.User:", qualifiers, new Object[] { a0 }).respondTo(User.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public User update(final User a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("update:org.jboss.errai.security.shared.api.identity.User:", qualifiers, new Object[] { a0 }).respondTo(User.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void delete(final String[] a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("delete:java.lang.String[]:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
      }

      public UserManagerSettings getSettings() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.security.management.api.service.UserManagerService").endpoint("getSettings:", qualifiers, new Object[] { }).respondTo(UserManagerSettings.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_security_management_api_service_UserManagerServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(UserManagerService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_security_management_api_service_UserManagerServiceImpl();
      }
    });
    class org_uberfire_backend_vfs_VFSLockServiceImpl extends AbstractRpcProxy implements VFSLockService { public LockResult acquireLock(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSLockService").endpoint("acquireLock:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(LockResult.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSLockServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LockResult releaseLock(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSLockService").endpoint("releaseLock:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(LockResult.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSLockServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LockResult forceReleaseLock(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSLockService").endpoint("forceReleaseLock:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(LockResult.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSLockServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public LockInfo retrieveLockInfo(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSLockService").endpoint("retrieveLockInfo:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(LockInfo.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSLockServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public List retrieveLockInfos(final Path a0, final boolean a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.vfs.VFSLockService").endpoint("retrieveLockInfos:org.uberfire.backend.vfs.Path:boolean:", qualifiers, new Object[] { a0, a1 }).respondTo(List.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_vfs_VFSLockServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(VFSLockService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_backend_vfs_VFSLockServiceImpl();
      }
    });
    class org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl extends AbstractRpcProxy implements PreferenceBeanServerStore { public BasePreferencePortable load(final BasePreferencePortable a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("load:org.uberfire.preferences.shared.bean.BasePreferencePortable:", qualifiers, new Object[] { a0 }).respondTo(BasePreferencePortable.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public BasePreferencePortable load(final BasePreferencePortable a0, final PreferenceScopeResolutionStrategyInfo a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("load:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:", qualifiers, new Object[] { a0, a1 }).respondTo(BasePreferencePortable.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void save(final BasePreferencePortable a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:org.uberfire.preferences.shared.bean.BasePreferencePortable:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final BasePreferencePortable a0, final PreferenceScopeResolutionStrategyInfo a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final BasePreferencePortable a0, final PreferenceScope a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.preferences.shared.PreferenceScope:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final Collection a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:java.util.Collection:", qualifiers, new Object[] { a0 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final Collection a0, final PreferenceScopeResolutionStrategyInfo a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:java.util.Collection:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final Collection a0, final PreferenceScope a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:java.util.Collection:org.uberfire.preferences.shared.PreferenceScope:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public PreferenceHierarchyElement buildHierarchyStructureForPreference(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("buildHierarchyStructureForPreference:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(PreferenceHierarchyElement.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public PreferenceHierarchyElement buildHierarchyStructureForPreference(final String a0, final PreferenceScopeResolutionStrategyInfo a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("buildHierarchyStructureForPreference:java.lang.String:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:", qualifiers, new Object[] { a0, a1 }).respondTo(PreferenceHierarchyElement.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void load(final BasePreferencePortable a0, final ParameterizedCommand a1, final ParameterizedCommand a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("load:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.mvp.ParameterizedCommand:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void load(final BasePreferencePortable a0, final PreferenceScopeResolutionStrategyInfo a1, final ParameterizedCommand a2, final ParameterizedCommand a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("load:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:org.uberfire.mvp.ParameterizedCommand:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final BasePreferencePortable a0, final Command a1, final ParameterizedCommand a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.mvp.Command:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final BasePreferencePortable a0, final PreferenceScopeResolutionStrategyInfo a1, final Command a2, final ParameterizedCommand a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:org.uberfire.mvp.Command:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final BasePreferencePortable a0, final PreferenceScope a1, final Command a2, final ParameterizedCommand a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:org.uberfire.preferences.shared.bean.BasePreferencePortable:org.uberfire.preferences.shared.PreferenceScope:org.uberfire.mvp.Command:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final Collection a0, final Command a1, final ParameterizedCommand a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:java.util.Collection:org.uberfire.mvp.Command:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final Collection a0, final PreferenceScopeResolutionStrategyInfo a1, final Command a2, final ParameterizedCommand a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:java.util.Collection:org.uberfire.preferences.shared.impl.PreferenceScopeResolutionStrategyInfo:org.uberfire.mvp.Command:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }

      public void save(final Collection a0, final PreferenceScope a1, final Command a2, final ParameterizedCommand a3) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.preferences.shared.bean.PreferenceBeanServerStore").endpoint("save:java.util.Collection:org.uberfire.preferences.shared.PreferenceScope:org.uberfire.mvp.Command:org.uberfire.mvp.ParameterizedCommand:", qualifiers, new Object[] { a0, a1, a2, a3 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl.this.sendRequest(bus, sendable);
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(PreferenceBeanServerStore.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_preferences_shared_bean_PreferenceBeanServerStoreImpl();
      }
    });
    class org_dashbuilder_dataset_service_DataSetDefServicesImpl extends AbstractRpcProxy implements DataSetDefServices { public List getPublicDataSetDefs() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefServices").endpoint("getPublicDataSetDefs:", qualifiers, new Object[] { }).respondTo(List.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public DataSetDef createDataSetDef(final DataSetProviderType a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefServices").endpoint("createDataSetDef:org.dashbuilder.dataprovider.DataSetProviderType:", qualifiers, new Object[] { a0 }).respondTo(DataSetDef.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public String registerDataSetDef(final DataSetDef a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefServices").endpoint("registerDataSetDef:org.dashbuilder.dataset.def.DataSetDef:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(String.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefServicesImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public void removeDataSetDef(final String a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.dashbuilder.dataset.service.DataSetDefServices").endpoint("removeDataSetDef:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_dashbuilder_dataset_service_DataSetDefServicesImpl.this.sendRequest(bus, sendable);
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(DataSetDefServices.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_dashbuilder_dataset_service_DataSetDefServicesImpl();
      }
    });
    class org_uberfire_ext_editor_commons_service_RenameServiceImpl extends AbstractRpcProxy implements RenameService { public void renameIfExists(final Collection a0, final String a1, final String a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.RenameService").endpoint("renameIfExists:java.util.Collection:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(void.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_RenameServiceImpl.this.sendRequest(bus, sendable);
      }

      public boolean hasRestriction(final Path a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.RenameService").endpoint("hasRestriction:org.uberfire.backend.vfs.Path:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_RenameServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public Path rename(final Path a0, final String a1, final String a2) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.RenameService").endpoint("rename:org.uberfire.backend.vfs.Path:java.lang.String:java.lang.String:", qualifiers, new Object[] { a0, a1, a2 }).respondTo(Path.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_RenameServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(RenameService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_editor_commons_service_RenameServiceImpl();
      }
    });
    class org_uberfire_ext_editor_commons_service_ValidationServiceImpl extends AbstractRpcProxy implements ValidationService { public boolean isFileNameValid(final Path a0, final String a1) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.ValidationService").endpoint("isFileNameValid:org.uberfire.backend.vfs.Path:java.lang.String:", qualifiers, new Object[] { a0, a1 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_ValidationServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }

      public boolean isFileNameValid(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.ext.editor.commons.service.ValidationService").endpoint("isFileNameValid:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(Boolean.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_ext_editor_commons_service_ValidationServiceImpl.this.sendRequest(bus, sendable);
        return false;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(ValidationService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_ext_editor_commons_service_ValidationServiceImpl();
      }
    });
    class org_uberfire_backend_plugin_RuntimePluginServiceImpl extends AbstractRpcProxy implements RuntimePluginService { public Collection listFrameworksContent() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.plugin.RuntimePluginService").endpoint("listFrameworksContent:", qualifiers, new Object[] { }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_plugin_RuntimePluginServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public Collection listPluginsContent() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.plugin.RuntimePluginService").endpoint("listPluginsContent:", qualifiers, new Object[] { }).respondTo(Collection.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_plugin_RuntimePluginServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public String getTemplateContent(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.plugin.RuntimePluginService").endpoint("getTemplateContent:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(String.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_plugin_RuntimePluginServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public String getRuntimePluginTemplateContent(final String a0) {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.plugin.RuntimePluginService").endpoint("getRuntimePluginTemplateContent:java.lang.String:", qualifiers, new Object[] { a0 }).respondTo(String.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_plugin_RuntimePluginServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }

      public List getRuntimePlugins() {
        RemoteCallSendable sendable = MessageBuilder.createCall().call("org.uberfire.backend.plugin.RuntimePluginService").endpoint("getRuntimePlugins:", qualifiers, new Object[] { }).respondTo(List.class, remoteCallback).errorsHandledBy(errorCallback);
        org_uberfire_backend_plugin_RuntimePluginServiceImpl.this.sendRequest(bus, sendable);
        return null;
      }
    }
    RemoteServiceProxyFactory.addRemoteProxy(RuntimePluginService.class, new ProxyProvider() {
      public Object getProxy() {
        return new org_uberfire_backend_plugin_RuntimePluginServiceImpl();
      }
    });
  }
}