package org.jboss.errai.ioc.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.AnchorElement;
import com.google.gwt.dom.client.LIElement;
import com.google.gwt.dom.client.ParagraphElement;
import com.google.gwt.dom.client.SpanElement;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.HeaderPanel;
import com.google.gwt.user.client.ui.RootPanel;
import com.google.web.bindery.event.shared.EventBus;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;
import javax.enterprise.event.Event;
import javax.enterprise.inject.Instance;
import javax.validation.Validator;
import org.dashbuilder.client.ShowcaseEntryPoint;
import org.dashbuilder.client.cms.layout.editor.PerspectiveDragComponent;
import org.dashbuilder.client.cms.layout.editor.PerspectiveDragConfigModal;
import org.dashbuilder.client.cms.layout.editor.PerspectiveDragConfigModalView;
import org.dashbuilder.client.cms.perspective.ContentManagerPerspective;
import org.dashbuilder.client.cms.perspective.ContentManagerPerspectiveActivity;
import org.dashbuilder.client.cms.resources.i18n.ContentManagerI18n;
import org.dashbuilder.client.cms.screen.explorer.ContentExplorerScreen;
import org.dashbuilder.client.cms.screen.explorer.ContentExplorerScreenActivity;
import org.dashbuilder.client.cms.screen.explorer.ContentExplorerScreenView;
import org.dashbuilder.client.cms.screen.home.ContentManagerHomeScreen;
import org.dashbuilder.client.cms.screen.home.ContentManagerHomeScreenActivity;
import org.dashbuilder.client.cms.screen.home.ContentManagerHomeView;
import org.dashbuilder.client.cms.widget.PerspectiveWidget;
import org.dashbuilder.client.cms.widget.PerspectiveWidgetView;
import org.dashbuilder.client.cms.widget.PerspectivesExplorer;
import org.dashbuilder.client.cms.widget.PerspectivesExplorerView;
import org.dashbuilder.client.dashboard.DashboardManager;
import org.dashbuilder.client.editor.DisplayerDragComponent;
import org.dashbuilder.client.editor.DisplayerEditorEntryPoint;
import org.dashbuilder.client.expenses.ExpensesDashboard;
import org.dashbuilder.client.gallery.GalleryTree;
import org.dashbuilder.client.gallery.GalleryTreePresenter;
import org.dashbuilder.client.gallery.GalleryTreePresenterActivity;
import org.dashbuilder.client.gallery.GalleryTreeViewImpl;
import org.dashbuilder.client.gallery.GalleryWidgetPresenter;
import org.dashbuilder.client.gallery.GalleryWidgetPresenterActivity;
import org.dashbuilder.client.metrics.ClusterMetricsDashboard;
import org.dashbuilder.client.navbar.TopMenuBar;
import org.dashbuilder.client.navigation.impl.NavigationManagerImpl;
import org.dashbuilder.client.navigation.layout.editor.NavCarouselDragComponent;
import org.dashbuilder.client.navigation.layout.editor.NavDragComponentRegistry;
import org.dashbuilder.client.navigation.layout.editor.NavTabListDragComponent;
import org.dashbuilder.client.navigation.layout.editor.NavTilesDragComponent;
import org.dashbuilder.client.navigation.plugin.PerspectivePluginManager;
import org.dashbuilder.client.navigation.widget.NavCarouselWidget;
import org.dashbuilder.client.navigation.widget.NavCarouselWidgetView;
import org.dashbuilder.client.navigation.widget.NavDropDownWidget;
import org.dashbuilder.client.navigation.widget.NavDropDownWidgetView;
import org.dashbuilder.client.navigation.widget.NavItemEditor;
import org.dashbuilder.client.navigation.widget.NavItemEditorView;
import org.dashbuilder.client.navigation.widget.NavItemSelectionModal;
import org.dashbuilder.client.navigation.widget.NavItemSelectionModalView;
import org.dashbuilder.client.navigation.widget.NavItemTileWidget;
import org.dashbuilder.client.navigation.widget.NavItemTileWidgetView;
import org.dashbuilder.client.navigation.widget.NavMenuBarWidget;
import org.dashbuilder.client.navigation.widget.NavMenuBarWidgetView;
import org.dashbuilder.client.navigation.widget.NavTabListWidget;
import org.dashbuilder.client.navigation.widget.NavTabListWidgetView;
import org.dashbuilder.client.navigation.widget.NavTilesWidget;
import org.dashbuilder.client.navigation.widget.NavTilesWidgetView;
import org.dashbuilder.client.navigation.widget.NavTreeEditor;
import org.dashbuilder.client.navigation.widget.NavTreeEditorView;
import org.dashbuilder.client.perspectives.DisplayerGalleryPerspective;
import org.dashbuilder.client.perspectives.DisplayerGalleryPerspectiveActivity;
import org.dashbuilder.client.perspectives.HomePerspective;
import org.dashbuilder.client.perspectives.HomePerspectiveActivity;
import org.dashbuilder.client.perspectives.SalesDashboardPerspective;
import org.dashbuilder.client.perspectives.SalesDashboardPerspectiveActivity;
import org.dashbuilder.client.perspectives.SalesReportsPerspective;
import org.dashbuilder.client.perspectives.SalesReportsPerspectiveActivity;
import org.dashbuilder.client.sales.widgets.SalesDistributionByCountry;
import org.dashbuilder.client.sales.widgets.SalesExpectedByDate;
import org.dashbuilder.client.sales.widgets.SalesGoals;
import org.dashbuilder.client.sales.widgets.SalesTableReports;
import org.dashbuilder.client.screens.GalleryHomeScreen;
import org.dashbuilder.client.screens.GalleryHomeScreenActivity;
import org.dashbuilder.client.screens.HomeScreen;
import org.dashbuilder.client.screens.HomeScreenActivity;
import org.dashbuilder.client.screens.StaticChartScreen;
import org.dashbuilder.client.screens.StaticChartScreenActivity;
import org.dashbuilder.client.security.PermissionTreeSetup;
import org.dashbuilder.client.widgets.common.ClientRuntimeErrorPopupPresenter;
import org.dashbuilder.client.widgets.common.LoadingBox;
import org.dashbuilder.client.widgets.common.LoadingBoxView;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefColumnsFilterEditor;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefColumnsFilterEditorView;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefFilterEditor;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefFilterEditorView;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefPreviewTable;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefPreviewTableView;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefProviderTypeEditor;
import org.dashbuilder.client.widgets.dataset.editor.DataSetDefProviderTypeEditorView;
import org.dashbuilder.client.widgets.dataset.editor.DataSetEditorView;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefBackendCacheAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefBasicAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefBasicAttributesEditorView;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefCacheAttributesEditorViewImpl;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefClientCacheAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefRefreshAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefRefreshAttributesEditorView;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefRefreshIntervalEditor;
import org.dashbuilder.client.widgets.dataset.editor.attributes.DataSetDefRefreshIntervalEditorView;
import org.dashbuilder.client.widgets.dataset.editor.bean.BeanDataSetDefAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.bean.BeanDataSetDefAttributesEditorView;
import org.dashbuilder.client.widgets.dataset.editor.bean.BeanDataSetEditor;
import org.dashbuilder.client.widgets.dataset.editor.column.ColumnListEditor;
import org.dashbuilder.client.widgets.dataset.editor.column.ColumnListEditorView;
import org.dashbuilder.client.widgets.dataset.editor.column.ColumnTypeEditor;
import org.dashbuilder.client.widgets.dataset.editor.column.DataColumnDefEditor;
import org.dashbuilder.client.widgets.dataset.editor.column.DataColumnDefEditorView;
import org.dashbuilder.client.widgets.dataset.editor.column.DataSetDefColumnsEditor;
import org.dashbuilder.client.widgets.dataset.editor.csv.CSVDataSetDefAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.csv.CSVDataSetDefAttributesEditorView;
import org.dashbuilder.client.widgets.dataset.editor.csv.CSVDataSetEditor;
import org.dashbuilder.client.widgets.dataset.editor.driver.BeanDataSetDefAttributesDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.BeanDataSetDefDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.CSVDataSetDefAttributesDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.CSVDataSetDefDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.DataColumnDefDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.DataSetDefBasicAttributesDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.DataSetDefProviderTypeDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.DataSetEditorDriverFactory;
import org.dashbuilder.client.widgets.dataset.editor.driver.ElasticSearchDataSetDefAttributesDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.ElasticSearchDataSetDefDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.SQLDataSetDefAttributesDriver;
import org.dashbuilder.client.widgets.dataset.editor.driver.SQLDataSetDefDriver;
import org.dashbuilder.client.widgets.dataset.editor.elasticsearch.ElasticSearchDataSetDefAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.elasticsearch.ElasticSearchDataSetDefAttributesEditorView;
import org.dashbuilder.client.widgets.dataset.editor.elasticsearch.ElasticSearchDataSetEditor;
import org.dashbuilder.client.widgets.dataset.editor.sql.SQLDataSetDefAttributesEditor;
import org.dashbuilder.client.widgets.dataset.editor.sql.SQLDataSetDefAttributesEditorView;
import org.dashbuilder.client.widgets.dataset.editor.sql.SQLDataSetEditor;
import org.dashbuilder.client.widgets.dataset.editor.workflow.DataSetEditorWorkflowFactory;
import org.dashbuilder.client.widgets.dataset.editor.workflow.DataSetEditorWorkflowView;
import org.dashbuilder.client.widgets.dataset.editor.workflow.create.BeanDataSetBasicAttributesWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.create.CSVDataSetBasicAttributesWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.create.DataSetProviderTypeWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.create.ElasticSearchDataSetBasicAttributesWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.create.SQLDataSetBasicAttributesWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.edit.BeanDataSetEditWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.edit.CSVDataSetEditWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.edit.ElasticSearchDataSetEditWorkflow;
import org.dashbuilder.client.widgets.dataset.editor.workflow.edit.SQLDataSetEditWorkflow;
import org.dashbuilder.client.widgets.dataset.explorer.DataSetExplorer;
import org.dashbuilder.client.widgets.dataset.explorer.DataSetExplorerView;
import org.dashbuilder.client.widgets.dataset.explorer.DataSetPanel;
import org.dashbuilder.client.widgets.dataset.explorer.DataSetPanelView;
import org.dashbuilder.client.widgets.dataset.explorer.DataSetSummary;
import org.dashbuilder.client.widgets.dataset.explorer.DataSetSummaryView;
import org.dashbuilder.common.client.backend.PathUrlFactory;
import org.dashbuilder.common.client.editor.ToggleSwitchEditor;
import org.dashbuilder.common.client.editor.ToggleSwitchEditorView;
import org.dashbuilder.common.client.editor.ValueBoxEditor;
import org.dashbuilder.common.client.editor.ValueBoxEditorView;
import org.dashbuilder.common.client.editor.file.FileUploadEditor;
import org.dashbuilder.common.client.editor.file.FileUploadEditorView;
import org.dashbuilder.common.client.editor.list.DropDownEditor;
import org.dashbuilder.common.client.editor.list.DropDownEditorView;
import org.dashbuilder.common.client.editor.list.DropDownImageListEditor;
import org.dashbuilder.common.client.editor.list.DropDownImageListEditorView;
import org.dashbuilder.common.client.editor.list.HorizImageListEditor;
import org.dashbuilder.common.client.editor.list.HorizImageListEditorView;
import org.dashbuilder.common.client.editor.map.MapEditor;
import org.dashbuilder.common.client.editor.map.MapEditorView;
import org.dashbuilder.common.client.widgets.AlertBox;
import org.dashbuilder.common.client.widgets.AlertBoxView;
import org.dashbuilder.common.client.widgets.AlertPanel;
import org.dashbuilder.common.client.widgets.AlertPanelView;
import org.dashbuilder.common.client.widgets.FilterLabel;
import org.dashbuilder.common.client.widgets.FilterLabelSet;
import org.dashbuilder.common.client.widgets.FilterLabelSetView;
import org.dashbuilder.common.client.widgets.FilterLabelView;
import org.dashbuilder.dataset.client.ClientDataSetManager;
import org.dashbuilder.dataset.client.DataSetClientServices;
import org.dashbuilder.dataset.client.engine.ClientChronometer;
import org.dashbuilder.dataset.client.engine.ClientDateFormatterImpl;
import org.dashbuilder.dataset.client.engine.ClientIntervalBuilderDynamicDate;
import org.dashbuilder.dataset.client.engine.ClientIntervalBuilderLocator;
import org.dashbuilder.dataset.client.uuid.ClientUUIDGenerator;
import org.dashbuilder.dataset.editor.client.perspectives.DataSetAuthoringPerspective;
import org.dashbuilder.dataset.editor.client.perspectives.DataSetAuthoringPerspectiveActivity;
import org.dashbuilder.dataset.editor.client.screens.DataSetAuthoringHomePresenter;
import org.dashbuilder.dataset.editor.client.screens.DataSetAuthoringHomePresenterActivity;
import org.dashbuilder.dataset.editor.client.screens.DataSetAuthoringHomeView;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefEditorPresenter;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefEditorPresenterActivity;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefExplorerScreen;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefExplorerScreenActivity;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefScreenViewImpl;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefType;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefWizardScreen;
import org.dashbuilder.dataset.editor.client.screens.DataSetDefWizardScreenActivity;
import org.dashbuilder.dataset.engine.function.AggregateFunctionManagerImpl;
import org.dashbuilder.dataset.engine.group.IntervalBuilderDynamicLabel;
import org.dashbuilder.dataset.engine.group.IntervalBuilderFixedDate;
import org.dashbuilder.displayer.client.ClientSettings;
import org.dashbuilder.displayer.client.DisplayerCoordinator;
import org.dashbuilder.displayer.client.DisplayerLocator;
import org.dashbuilder.displayer.client.DisplayerScreenPresenter;
import org.dashbuilder.displayer.client.DisplayerScreenPresenterActivity;
import org.dashbuilder.displayer.client.PerspectiveCoordinator;
import org.dashbuilder.displayer.client.RendererManager;
import org.dashbuilder.displayer.client.formatter.ValueFormatterRegistry;
import org.dashbuilder.displayer.client.prototypes.DataSetPrototypes;
import org.dashbuilder.displayer.client.prototypes.DisplayerPrototypes;
import org.dashbuilder.displayer.client.widgets.DataSetLookupEditor;
import org.dashbuilder.displayer.client.widgets.DataSetLookupEditorView;
import org.dashbuilder.displayer.client.widgets.DisplayerEditor;
import org.dashbuilder.displayer.client.widgets.DisplayerEditorPopup;
import org.dashbuilder.displayer.client.widgets.DisplayerEditorStatus;
import org.dashbuilder.displayer.client.widgets.DisplayerEditorView;
import org.dashbuilder.displayer.client.widgets.DisplayerError;
import org.dashbuilder.displayer.client.widgets.DisplayerHtmlEditor;
import org.dashbuilder.displayer.client.widgets.DisplayerHtmlEditorView;
import org.dashbuilder.displayer.client.widgets.DisplayerSettingsEditor;
import org.dashbuilder.displayer.client.widgets.DisplayerSettingsEditorView;
import org.dashbuilder.displayer.client.widgets.DisplayerSettingsJSONSourceViewer;
import org.dashbuilder.displayer.client.widgets.DisplayerSubtypeSelector;
import org.dashbuilder.displayer.client.widgets.DisplayerSubtypeSelectorView;
import org.dashbuilder.displayer.client.widgets.DisplayerTypeSelector;
import org.dashbuilder.displayer.client.widgets.DisplayerTypeSelectorView;
import org.dashbuilder.displayer.client.widgets.DisplayerViewer;
import org.dashbuilder.displayer.client.widgets.RendererSelector;
import org.dashbuilder.displayer.client.widgets.RendererSelectorListBoxView;
import org.dashbuilder.displayer.client.widgets.RendererSelectorRadioListView;
import org.dashbuilder.displayer.client.widgets.RendererSelectorTabListView;
import org.dashbuilder.displayer.client.widgets.filter.ColumnFilterEditor;
import org.dashbuilder.displayer.client.widgets.filter.ColumnFilterEditorView;
import org.dashbuilder.displayer.client.widgets.filter.DataSetFilterEditor;
import org.dashbuilder.displayer.client.widgets.filter.DataSetFilterEditorView;
import org.dashbuilder.displayer.client.widgets.filter.DateParameterEditor;
import org.dashbuilder.displayer.client.widgets.filter.DateParameterEditorView;
import org.dashbuilder.displayer.client.widgets.filter.LikeToFunctionEditor;
import org.dashbuilder.displayer.client.widgets.filter.LikeToFunctionEditorView;
import org.dashbuilder.displayer.client.widgets.filter.MultipleNumberParameterEditor;
import org.dashbuilder.displayer.client.widgets.filter.MultipleNumberParameterEditorView;
import org.dashbuilder.displayer.client.widgets.filter.MultipleTextParameterEditor;
import org.dashbuilder.displayer.client.widgets.filter.MultipleTextParameterEditorView;
import org.dashbuilder.displayer.client.widgets.filter.NumberParameterEditor;
import org.dashbuilder.displayer.client.widgets.filter.NumberParameterEditorView;
import org.dashbuilder.displayer.client.widgets.filter.TextParameterEditor;
import org.dashbuilder.displayer.client.widgets.filter.TextParameterEditorView;
import org.dashbuilder.displayer.client.widgets.filter.TimeAmountEditor;
import org.dashbuilder.displayer.client.widgets.filter.TimeAmountEditorView;
import org.dashbuilder.displayer.client.widgets.filter.TimeFrameEditor;
import org.dashbuilder.displayer.client.widgets.filter.TimeFrameEditorView;
import org.dashbuilder.displayer.client.widgets.filter.TimeInstantEditor;
import org.dashbuilder.displayer.client.widgets.filter.TimeInstantEditorView;
import org.dashbuilder.displayer.client.widgets.group.ColumnDetailsEditor;
import org.dashbuilder.displayer.client.widgets.group.ColumnDetailsEditorView;
import org.dashbuilder.displayer.client.widgets.group.ColumnFunctionEditor;
import org.dashbuilder.displayer.client.widgets.group.ColumnFunctionEditorView;
import org.dashbuilder.displayer.client.widgets.group.DataSetGroupDateEditor;
import org.dashbuilder.displayer.client.widgets.group.DataSetGroupDateEditorView;
import org.dashbuilder.displayer.client.widgets.sourcecode.DefaultHtmlValidator;
import org.dashbuilder.displayer.client.widgets.sourcecode.DefaultJsEvaluator;
import org.dashbuilder.displayer.client.widgets.sourcecode.DefaultJsValidator;
import org.dashbuilder.displayer.client.widgets.sourcecode.SourceCodeEditor;
import org.dashbuilder.displayer.client.widgets.sourcecode.SourceCodeEditorView;
import org.dashbuilder.navigation.workbench.NavSecurityController;
import org.dashbuilder.renderer.chartjs.ChartJsBarChartDisplayer;
import org.dashbuilder.renderer.chartjs.ChartJsBarChartDisplayerView;
import org.dashbuilder.renderer.chartjs.ChartJsRenderer;
import org.dashbuilder.renderer.client.DefaultRenderer;
import org.dashbuilder.renderer.client.metric.MetricDisplayer;
import org.dashbuilder.renderer.client.metric.MetricView;
import org.dashbuilder.renderer.client.selector.SelectorDisplayer;
import org.dashbuilder.renderer.client.selector.SelectorDisplayerView;
import org.dashbuilder.renderer.client.selector.SelectorDropDownDisplayer;
import org.dashbuilder.renderer.client.selector.SelectorDropDownDisplayerView;
import org.dashbuilder.renderer.client.selector.SelectorDropDownItem;
import org.dashbuilder.renderer.client.selector.SelectorDropDownItemView;
import org.dashbuilder.renderer.client.selector.SelectorLabelItem;
import org.dashbuilder.renderer.client.selector.SelectorLabelItemView;
import org.dashbuilder.renderer.client.selector.SelectorLabelSetDisplayer;
import org.dashbuilder.renderer.client.selector.SelectorLabelSetDisplayerView;
import org.dashbuilder.renderer.client.selector.SelectorSliderDisplayer;
import org.dashbuilder.renderer.client.selector.SelectorSliderDisplayerView;
import org.dashbuilder.renderer.client.table.TableDisplayer;
import org.dashbuilder.renderer.client.table.TableDisplayerView;
import org.dashbuilder.renderer.google.client.GoogleAreaChartDisplayer;
import org.dashbuilder.renderer.google.client.GoogleAreaChartDisplayerView;
import org.dashbuilder.renderer.google.client.GoogleBarChartDisplayer;
import org.dashbuilder.renderer.google.client.GoogleBarChartDisplayerView;
import org.dashbuilder.renderer.google.client.GoogleBubbleChartDisplayer;
import org.dashbuilder.renderer.google.client.GoogleBubbleChartDisplayerView;
import org.dashbuilder.renderer.google.client.GoogleLineChartDisplayer;
import org.dashbuilder.renderer.google.client.GoogleLineChartDisplayerView;
import org.dashbuilder.renderer.google.client.GoogleMapDisplayer;
import org.dashbuilder.renderer.google.client.GoogleMapDisplayerView;
import org.dashbuilder.renderer.google.client.GoogleMeterChartDisplayer;
import org.dashbuilder.renderer.google.client.GoogleMeterChartDisplayerView;
import org.dashbuilder.renderer.google.client.GooglePieChartDisplayer;
import org.dashbuilder.renderer.google.client.GooglePieChartDisplayerView;
import org.dashbuilder.renderer.google.client.GoogleRenderer;
import org.dashbuilder.renderer.google.client.GoogleTableDisplayer;
import org.dashbuilder.renderer.google.client.GoogleTableDisplayerView;
import org.dashbuilder.renderer.lienzo.client.LienzoBarChartDisplayer;
import org.dashbuilder.renderer.lienzo.client.LienzoBarChartDisplayerView;
import org.dashbuilder.renderer.lienzo.client.LienzoLineChartDisplayer;
import org.dashbuilder.renderer.lienzo.client.LienzoLineChartDisplayerView;
import org.dashbuilder.renderer.lienzo.client.LienzoPieChartDisplayer;
import org.dashbuilder.renderer.lienzo.client.LienzoPieChartDisplayerView;
import org.dashbuilder.renderer.lienzo.client.LienzoRenderer;
import org.dashbuilder.validations.DataSetValidatorProvider;
import org.dashbuilder.validations.dataset.BeanDataSetDefValidator;
import org.dashbuilder.validations.dataset.CSVDataSetDefValidator;
import org.dashbuilder.validations.dataset.ElasticSearchDataSetDefValidator;
import org.dashbuilder.validations.dataset.SQLDataSetDefValidator;
import org.gwtbootstrap3.client.ui.Anchor;
import org.gwtbootstrap3.client.ui.Button;
import org.gwtbootstrap3.client.ui.CheckBox;
import org.gwtbootstrap3.client.ui.Container;
import org.gwtbootstrap3.client.ui.TextBox;
import org.jboss.errai.bus.client.api.ClientMessageBus;
import org.jboss.errai.bus.client.api.messaging.RequestDispatcher;
import org.jboss.errai.common.client.api.BatchCaller;
import org.jboss.errai.common.client.api.Caller;
import org.jboss.errai.common.client.dom.Div;
import org.jboss.errai.common.client.dom.Document;
import org.jboss.errai.common.client.dom.HTMLElement;
import org.jboss.errai.common.client.dom.Heading;
import org.jboss.errai.common.client.dom.Input;
import org.jboss.errai.common.client.dom.Label;
import org.jboss.errai.common.client.dom.ListItem;
import org.jboss.errai.common.client.dom.OrderedList;
import org.jboss.errai.common.client.dom.Paragraph;
import org.jboss.errai.common.client.dom.Span;
import org.jboss.errai.common.client.dom.TextInput;
import org.jboss.errai.common.client.dom.UnorderedList;
import org.jboss.errai.databinding.client.DataBinderProvider;
import org.jboss.errai.databinding.client.DataBindingModuleBootstrapper;
import org.jboss.errai.databinding.client.ListComponentProvider;
import org.jboss.errai.databinding.client.api.DataBinder;
import org.jboss.errai.databinding.client.components.ListComponent;
import org.jboss.errai.enterprise.client.cdi.CDIEventTypeLookup;
import org.jboss.errai.enterprise.client.cdi.EventProvider;
import org.jboss.errai.enterprise.client.cdi.InstanceProvider;
import org.jboss.errai.enterprise.client.cdi.JsTypeEventObserver;
import org.jboss.errai.enterprise.client.cdi.WindowEventObservers;
import org.jboss.errai.enterprise.client.cdi.api.CDI;
import org.jboss.errai.ioc.client.api.Disposer;
import org.jboss.errai.ioc.client.api.InitBallot;
import org.jboss.errai.ioc.client.api.ManagedInstance;
import org.jboss.errai.ioc.client.api.builtin.CallerProvider;
import org.jboss.errai.ioc.client.api.builtin.DisposerProvider;
import org.jboss.errai.ioc.client.api.builtin.IOCBeanManagerProvider;
import org.jboss.errai.ioc.client.api.builtin.InitBallotProvider;
import org.jboss.errai.ioc.client.api.builtin.ManagedInstanceProvider;
import org.jboss.errai.ioc.client.api.builtin.RootPanelProvider;
import org.jboss.errai.ioc.client.container.ApplicationScopedContext;
import org.jboss.errai.ioc.client.container.Context;
import org.jboss.errai.ioc.client.container.ContextManager;
import org.jboss.errai.ioc.client.container.ContextManagerImpl;
import org.jboss.errai.ioc.client.container.DependentScopeContext;
import org.jboss.errai.ioc.client.container.Factory;
import org.jboss.errai.ioc.client.container.JsTypeProvider;
import org.jboss.errai.ioc.client.container.SyncBeanManager;
import org.jboss.errai.ioc.client.lifecycle.impl.AccessImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.CreationImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.DestructionImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.LifecycleListenerRegistrarImpl;
import org.jboss.errai.ioc.client.lifecycle.impl.StateChangeImpl;
import org.jboss.errai.ioc.support.bus.client.BatchCallerProvider;
import org.jboss.errai.ioc.support.bus.client.MessageBusProvider;
import org.jboss.errai.ioc.support.bus.client.RequestDispatcherProvider;
import org.jboss.errai.ioc.support.bus.client.Sender;
import org.jboss.errai.ioc.support.bus.client.SenderProvider;
import org.jboss.errai.security.client.local.callback.DefaultBusSecurityErrorCallback;
import org.jboss.errai.security.client.local.callback.DefaultRestSecurityErrorCallback;
import org.jboss.errai.security.client.local.context.BasicUserCacheImpl;
import org.jboss.errai.security.client.local.context.SecurityContextImpl;
import org.jboss.errai.security.client.local.context.SecurityContextImpl.SecurityRolesConstraintPage;
import org.jboss.errai.security.client.local.interceptors.AuthenticationServiceInterceptor;
import org.jboss.errai.security.client.local.interceptors.ClientSecurityRoleInterceptor;
import org.jboss.errai.security.client.local.nav.SecurityContextHoldingSingleton;
import org.jboss.errai.security.client.local.roles.ClientRequiredRolesExtractorImpl;
import org.jboss.errai.security.client.local.storage.StorageHandlerProvider;
import org.jboss.errai.security.client.local.storage.UserStorageHandler;
import org.jboss.errai.security.client.local.style.RoleStyleBindingProvider;
import org.jboss.errai.security.shared.api.identity.User;
import org.jboss.errai.ui.client.local.producer.HTMLElementProvider;
import org.jboss.errai.ui.client.local.spi.TranslationService;
import org.jboss.errai.ui.client.local.spi.TranslationServiceProvider;
import org.jboss.errai.ui.client.widget.ListWidget;
import org.jboss.errai.ui.client.widget.ListWidgetProvider;
import org.jboss.errai.ui.client.widget.LocaleListBox;
import org.jboss.errai.ui.client.widget.LocaleSelector;
import org.jboss.errai.ui.nav.client.local.HistoryTokenFactory;
import org.jboss.errai.ui.nav.client.local.Navigation;
import org.jboss.errai.ui.nav.client.local.NavigationPanel;
import org.jboss.errai.ui.nav.client.local.NavigationPanelProvider;
import org.jboss.errai.ui.nav.client.local.PageTransitionProvider;
import org.jboss.errai.ui.nav.client.local.TransitionAnchor;
import org.jboss.errai.ui.nav.client.local.TransitionAnchorFactory;
import org.jboss.errai.ui.nav.client.local.TransitionAnchorFactoryProvider;
import org.jboss.errai.ui.nav.client.local.TransitionAnchorProvider;
import org.jboss.errai.ui.nav.client.local.TransitionTo;
import org.jboss.errai.ui.nav.client.local.TransitionToRole;
import org.jboss.errai.ui.nav.client.local.TransitionToRoleProvider;
import org.jboss.errai.ui.nav.client.local.URLPatternMatcher;
import org.jboss.errai.ui.nav.client.local.URLPatternMatcherProvider;
import org.jboss.errai.ui.nav.client.local.spi.NavigationGraph;
import org.jboss.errai.ui.shared.ServerTemplateProvider;
import org.jboss.errai.validation.client.ValidatorProvider;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.uberfire.backend.vfs.Path;
import org.uberfire.backend.vfs.impl.ObservablePathImpl;
import org.uberfire.client.DocksEntryPoint;
import org.uberfire.client.JSEntryPoint;
import org.uberfire.client.RuntimePluginsServiceProxyBackendImpl;
import org.uberfire.client.VFSLockServiceProxyBackendImpl;
import org.uberfire.client.VFSServiceProxyBackendImpl;
import org.uberfire.client.WorkbenchBackendEntryPoint;
import org.uberfire.client.WorkbenchServicesProxyBackendImpl;
import org.uberfire.client.authz.DefaultWorkbenchController;
import org.uberfire.client.authz.PerspectiveTreeProvider;
import org.uberfire.client.docks.UberfireDocksImpl;
import org.uberfire.client.docks.view.DocksBars;
import org.uberfire.client.docks.view.menu.MenuBuilder;
import org.uberfire.client.editor.JSNativeEditor;
import org.uberfire.client.editor.type.JSNativeClientResourceType;
import org.uberfire.client.exporter.EditorJSExporter;
import org.uberfire.client.exporter.PerspectiveJSExporter;
import org.uberfire.client.exporter.PlaceManagerJSExporter;
import org.uberfire.client.exporter.PluginJSExporter;
import org.uberfire.client.exporter.ResourceTypeDefinitionJSExporter;
import org.uberfire.client.exporter.SplashScreenJSExporter;
import org.uberfire.client.exporter.UberfireJSAPIExporter;
import org.uberfire.client.exporter.VFSJSExporter;
import org.uberfire.client.menu.CustomSplashHelp;
import org.uberfire.client.menu.SplashScreenMenuPresenter;
import org.uberfire.client.menu.WorkbenchViewModeSwitcherMenuBuilder;
import org.uberfire.client.menu.WorkbenchViewModeSwitcherPresenter;
import org.uberfire.client.mvp.Activity;
import org.uberfire.client.mvp.ActivityBeansCache;
import org.uberfire.client.mvp.ActivityBeansInfo;
import org.uberfire.client.mvp.ActivityLifecycleErrorHandler;
import org.uberfire.client.mvp.ActivityManagerImpl;
import org.uberfire.client.mvp.ForceUnlockEventObserver;
import org.uberfire.client.mvp.LockDemandDetector;
import org.uberfire.client.mvp.LockManager;
import org.uberfire.client.mvp.LockManagerImpl;
import org.uberfire.client.mvp.LockTarget;
import org.uberfire.client.mvp.LockTarget.TitleProvider;
import org.uberfire.client.mvp.PerspectiveActivity;
import org.uberfire.client.mvp.PerspectiveManagerImpl;
import org.uberfire.client.mvp.PlaceHistoryHandler;
import org.uberfire.client.mvp.PlaceManager;
import org.uberfire.client.mvp.PlaceManagerImpl;
import org.uberfire.client.mvp.PlaceRequestHistoryMapperImpl;
import org.uberfire.client.mvp.PlaceStatus;
import org.uberfire.client.mvp.WorkbenchActivity;
import org.uberfire.client.perspective.JSNativePerspective;
import org.uberfire.client.resources.i18n.PermissionTreeI18NImpl;
import org.uberfire.client.screen.JSNativeScreen;
import org.uberfire.client.splash.JSNativeSplashScreen;
import org.uberfire.client.views.pfly.HTML5DndSeleniumSupport;
import org.uberfire.client.views.pfly.PatternFlyEntryPoint;
import org.uberfire.client.views.pfly.dnd.CompassWidgetImpl;
import org.uberfire.client.views.pfly.listbar.ListBarWidgetImpl;
import org.uberfire.client.views.pfly.menu.PartContextMenusView;
import org.uberfire.client.views.pfly.menu.SplashScreenMenuView;
import org.uberfire.client.views.pfly.menu.UserMenu;
import org.uberfire.client.views.pfly.menu.UserMenuViewImpl;
import org.uberfire.client.views.pfly.menu.UtilityMenuBarView;
import org.uberfire.client.views.pfly.menu.WorkbenchMenuBarView;
import org.uberfire.client.views.pfly.menu.WorkbenchMenuCompactNavBarView;
import org.uberfire.client.views.pfly.menu.WorkbenchMenuStandardNavBarView;
import org.uberfire.client.views.pfly.menu.WorkbenchViewModeSwitcherView;
import org.uberfire.client.views.pfly.modal.Bs3Modal;
import org.uberfire.client.views.pfly.modal.ErrorPopupView;
import org.uberfire.client.views.pfly.multipage.MultiPageEditorImpl;
import org.uberfire.client.views.pfly.multipage.MultiPageEditorViewImpl;
import org.uberfire.client.views.pfly.notfound.ActivityNotFoundView;
import org.uberfire.client.views.pfly.notifications.NotificationPopupsManagerView;
import org.uberfire.client.views.pfly.popup.PopupViewImpl;
import org.uberfire.client.views.pfly.splash.SplashModalFooter;
import org.uberfire.client.views.pfly.splash.SplashViewImpl;
import org.uberfire.client.views.pfly.tab.MultiTabWorkbenchPanelView;
import org.uberfire.client.views.pfly.tab.ResizeTabPanel;
import org.uberfire.client.views.pfly.tab.TabPanelWithDropdowns;
import org.uberfire.client.views.pfly.tab.UberTabPanel;
import org.uberfire.client.views.pfly.toolbar.WorkbenchToolBarView;
import org.uberfire.client.views.pfly.widgets.ConfirmPopup;
import org.uberfire.client.views.pfly.widgets.DateRangePicker;
import org.uberfire.client.views.pfly.widgets.ErrorPopup;
import org.uberfire.client.views.pfly.widgets.FormGroup;
import org.uberfire.client.views.pfly.widgets.FormLabel;
import org.uberfire.client.views.pfly.widgets.InlineNotification;
import org.uberfire.client.views.pfly.widgets.JQueryProducer.JQuery;
import org.uberfire.client.views.pfly.widgets.Modal;
import org.uberfire.client.views.pfly.widgets.Select;
import org.uberfire.client.workbench.DefaultBeanFactory;
import org.uberfire.client.workbench.LayoutSelection;
import org.uberfire.client.workbench.PanelManagerImpl;
import org.uberfire.client.workbench.StandaloneEditorPerspective;
import org.uberfire.client.workbench.VFSLockServiceProxyClientImpl;
import org.uberfire.client.workbench.VFSServiceProxyClientImpl;
import org.uberfire.client.workbench.Workbench;
import org.uberfire.client.workbench.WorkbenchLayoutImpl;
import org.uberfire.client.workbench.WorkbenchLayoutInfoImpl;
import org.uberfire.client.workbench.docks.UberfireDocksContainer;
import org.uberfire.client.workbench.panels.impl.AdaptiveWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.AdaptiveWorkbenchPanelView;
import org.uberfire.client.workbench.panels.impl.ClosableSimpleWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.ClosableSimpleWorkbenchPanelView;
import org.uberfire.client.workbench.panels.impl.LayoutPanelPresenter;
import org.uberfire.client.workbench.panels.impl.LayoutPanelView;
import org.uberfire.client.workbench.panels.impl.MultiListWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.MultiListWorkbenchPanelView;
import org.uberfire.client.workbench.panels.impl.MultiTabWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.SimpleDnDWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.SimpleDnDWorkbenchPanelView;
import org.uberfire.client.workbench.panels.impl.SimpleWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.SimpleWorkbenchPanelView;
import org.uberfire.client.workbench.panels.impl.SplitLayoutPanelPresenter;
import org.uberfire.client.workbench.panels.impl.SplitLayoutPanelView;
import org.uberfire.client.workbench.panels.impl.StaticWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.StaticWorkbenchPanelView;
import org.uberfire.client.workbench.panels.impl.TemplatedWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.TemplatedWorkbenchPanelView;
import org.uberfire.client.workbench.panels.impl.UnanchoredStaticWorkbenchPanelPresenter;
import org.uberfire.client.workbench.panels.impl.UnanchoredStaticWorkbenchPanelView;
import org.uberfire.client.workbench.panels.support.PartManager;
import org.uberfire.client.workbench.pmgr.nswe.part.WorkbenchPartPresenterDefault;
import org.uberfire.client.workbench.pmgr.nswe.part.WorkbenchPartView;
import org.uberfire.client.workbench.pmgr.unanchored.part.UnanchoredWorkbenchPartPresenter;
import org.uberfire.client.workbench.pmgr.unanchored.part.UnanchoredWorkbenchPartView;
import org.uberfire.client.workbench.type.AnyResourceType;
import org.uberfire.client.workbench.type.ClientResourceType;
import org.uberfire.client.workbench.type.DotResourceType;
import org.uberfire.client.workbench.type.impl.ClientTypeRegistryImpl;
import org.uberfire.client.workbench.widgets.dnd.CompassDropController;
import org.uberfire.client.workbench.widgets.dnd.WorkbenchDragAndDropManager;
import org.uberfire.client.workbench.widgets.dnd.WorkbenchPickupDragController;
import org.uberfire.client.workbench.widgets.listbar.ResizeFlowPanel;
import org.uberfire.client.workbench.widgets.menu.PartContextMenusPresenter;
import org.uberfire.client.workbench.widgets.menu.UtilityMenuBarPresenter;
import org.uberfire.client.workbench.widgets.menu.WorkbenchMenuBarPresenter;
import org.uberfire.client.workbench.widgets.menu.WorkbenchMenuBarProducer;
import org.uberfire.client.workbench.widgets.notfound.ActivityNotFoundPresenter;
import org.uberfire.client.workbench.widgets.notifications.NotificationManager;
import org.uberfire.client.workbench.widgets.panel.StaticFocusedResizePanel;
import org.uberfire.client.workbench.widgets.toolbar.WorkbenchToolBarPresenter;
import org.uberfire.ext.editor.commons.client.BaseEditorEntryPoint;
import org.uberfire.ext.editor.commons.client.file.CopyPopUpViewProducer;
import org.uberfire.ext.editor.commons.client.file.RestoreUtil;
import org.uberfire.ext.editor.commons.client.file.exports.FileExportProducer;
import org.uberfire.ext.editor.commons.client.file.exports.ImageFileExport;
import org.uberfire.ext.editor.commons.client.file.exports.PdfFileExport;
import org.uberfire.ext.editor.commons.client.file.exports.TextFileExport;
import org.uberfire.ext.editor.commons.client.file.exports.jso.FileExportScriptInjector;
import org.uberfire.ext.editor.commons.client.file.popups.CopyPopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.CopyPopUpPresenter.View;
import org.uberfire.ext.editor.commons.client.file.popups.CopyPopUpView;
import org.uberfire.ext.editor.commons.client.file.popups.DeletePopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.DeletePopUpView;
import org.uberfire.ext.editor.commons.client.file.popups.RenamePopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.RenamePopUpView;
import org.uberfire.ext.editor.commons.client.file.popups.RestorePopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.RestorePopUpView;
import org.uberfire.ext.editor.commons.client.file.popups.SavePopUpPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.SavePopUpView;
import org.uberfire.ext.editor.commons.client.file.popups.commons.ToggleCommentPresenter;
import org.uberfire.ext.editor.commons.client.file.popups.commons.ToggleCommentView;
import org.uberfire.ext.editor.commons.client.history.SaveButton;
import org.uberfire.ext.editor.commons.client.history.VersionHistoryPresenter;
import org.uberfire.ext.editor.commons.client.history.VersionHistoryPresenterViewImpl;
import org.uberfire.ext.editor.commons.client.history.VersionMenuDropDownButton;
import org.uberfire.ext.editor.commons.client.history.VersionMenuDropDownButtonViewImpl;
import org.uberfire.ext.editor.commons.client.history.VersionRecordManager;
import org.uberfire.ext.editor.commons.client.htmleditor.HtmlEditor;
import org.uberfire.ext.editor.commons.client.htmleditor.HtmlEditorActivity;
import org.uberfire.ext.editor.commons.client.htmleditor.HtmlEditorLibraryLoader;
import org.uberfire.ext.editor.commons.client.htmleditor.HtmlEditorPresenter;
import org.uberfire.ext.editor.commons.client.htmleditor.HtmlEditorView;
import org.uberfire.ext.editor.commons.client.htmleditor.HtmlResourceType;
import org.uberfire.ext.editor.commons.client.menu.BasicFileMenuBuilderImpl;
import org.uberfire.ext.editor.commons.client.menu.RestoreVersionCommandProvider;
import org.uberfire.ext.editor.commons.client.validation.DefaultFileNameValidator;
import org.uberfire.ext.editor.commons.file.exports.FileExportsPreferencesBeanGeneratedImpl;
import org.uberfire.ext.layout.editor.client.LayoutEditorEntryPoint;
import org.uberfire.ext.layout.editor.client.LayoutEditorPluginImpl;
import org.uberfire.ext.layout.editor.client.LayoutEditorPresenter;
import org.uberfire.ext.layout.editor.client.LayoutEditorView;
import org.uberfire.ext.layout.editor.client.components.columns.ColumnWithComponents;
import org.uberfire.ext.layout.editor.client.components.columns.ColumnWithComponentsView;
import org.uberfire.ext.layout.editor.client.components.columns.ComponentColumn;
import org.uberfire.ext.layout.editor.client.components.columns.ComponentColumnView;
import org.uberfire.ext.layout.editor.client.components.container.ContainerView;
import org.uberfire.ext.layout.editor.client.components.rows.EmptyDropRow;
import org.uberfire.ext.layout.editor.client.components.rows.EmptyDropRowView;
import org.uberfire.ext.layout.editor.client.components.rows.Row;
import org.uberfire.ext.layout.editor.client.components.rows.RowView;
import org.uberfire.ext.layout.editor.client.generator.BootstrapLayoutGenerator;
import org.uberfire.ext.layout.editor.client.infra.DnDManager;
import org.uberfire.ext.layout.editor.client.infra.DragHelperComponentColumn;
import org.uberfire.ext.layout.editor.client.infra.LayoutDragComponentHelper;
import org.uberfire.ext.layout.editor.client.widgets.KebabWidget;
import org.uberfire.ext.layout.editor.client.widgets.LayoutDragComponentGroupPresenter;
import org.uberfire.ext.layout.editor.client.widgets.LayoutDragComponentGroupView;
import org.uberfire.ext.layout.editor.client.widgets.LayoutDragComponentWidget;
import org.uberfire.ext.plugin.client.RuntimePluginsEntryPoint;
import org.uberfire.ext.plugin.client.config.PluginConfigService;
import org.uberfire.ext.plugin.client.editor.DynamicMenuEditorPresenter;
import org.uberfire.ext.plugin.client.editor.DynamicMenuEditorPresenterActivity;
import org.uberfire.ext.plugin.client.editor.DynamicMenuEditorView;
import org.uberfire.ext.plugin.client.editor.EditorPlugInEditorPresenter;
import org.uberfire.ext.plugin.client.editor.EditorPlugInEditorPresenterActivity;
import org.uberfire.ext.plugin.client.editor.EditorPlugInEditorView;
import org.uberfire.ext.plugin.client.editor.ScreenEditorPresenter;
import org.uberfire.ext.plugin.client.editor.ScreenEditorPresenterActivity;
import org.uberfire.ext.plugin.client.editor.ScreenEditorView;
import org.uberfire.ext.plugin.client.editor.SplashEditorPresenter;
import org.uberfire.ext.plugin.client.editor.SplashEditorPresenterActivity;
import org.uberfire.ext.plugin.client.editor.SplashEditorView;
import org.uberfire.ext.plugin.client.explorer.PluginExplorerScreen;
import org.uberfire.ext.plugin.client.explorer.PluginExplorerScreenActivity;
import org.uberfire.ext.plugin.client.info.PluginsInfo;
import org.uberfire.ext.plugin.client.perspective.PlugInAuthoringPerspective;
import org.uberfire.ext.plugin.client.perspective.PlugInAuthoringPerspectiveActivity;
import org.uberfire.ext.plugin.client.perspective.editor.PerspectiveEditorPresenter;
import org.uberfire.ext.plugin.client.perspective.editor.PerspectiveEditorPresenterActivity;
import org.uberfire.ext.plugin.client.perspective.editor.PerspectiveEditorView;
import org.uberfire.ext.plugin.client.perspective.editor.generator.PerspectiveEditorGenerator;
import org.uberfire.ext.plugin.client.perspective.editor.layout.editor.HTMLLayoutDragComponent;
import org.uberfire.ext.plugin.client.perspective.editor.layout.editor.ScreenLayoutDragComponent;
import org.uberfire.ext.plugin.client.perspective.editor.layout.editor.TargetDivDragComponent;
import org.uberfire.ext.plugin.client.perspective.editor.layout.editor.popups.EditHTMLPresenter;
import org.uberfire.ext.plugin.client.perspective.editor.layout.editor.popups.EditHTMLView;
import org.uberfire.ext.plugin.client.plugins.RuntimePluginStartup;
import org.uberfire.ext.plugin.client.security.PluginController;
import org.uberfire.ext.plugin.client.type.DynamicMenuResourceType;
import org.uberfire.ext.plugin.client.type.EditorPluginResourceType;
import org.uberfire.ext.plugin.client.type.PerspectiveLayoutPluginResourceType;
import org.uberfire.ext.plugin.client.type.ScreenPluginResourceType;
import org.uberfire.ext.plugin.client.type.SplashPluginResourceType;
import org.uberfire.ext.plugin.client.validation.PluginNameValidator;
import org.uberfire.ext.plugin.client.widget.media.MediaLibraryWidget;
import org.uberfire.ext.plugin.client.widget.navigator.PluginNavList;
import org.uberfire.ext.plugin.client.widget.plugin.GeneralPluginEditor;
import org.uberfire.ext.plugin.client.widget.popup.NewPluginPopUp;
import org.uberfire.ext.plugin.client.widget.popup.NewPluginPopUpViewImpl;
import org.uberfire.ext.plugin.type.DynamicMenuResourceTypeDefinition;
import org.uberfire.ext.preferences.client.PreferencesEntryPoint;
import org.uberfire.ext.preferences.client.admin.AdminPagePerspective;
import org.uberfire.ext.preferences.client.admin.AdminPagePerspectiveActivity;
import org.uberfire.ext.preferences.client.admin.AdminPagePresenter;
import org.uberfire.ext.preferences.client.admin.AdminPagePresenterActivity;
import org.uberfire.ext.preferences.client.admin.AdminPageView;
import org.uberfire.ext.preferences.client.admin.category.AdminPageCategoryPresenter;
import org.uberfire.ext.preferences.client.admin.category.AdminPageCategoryView;
import org.uberfire.ext.preferences.client.admin.item.AdminPageItemPresenter;
import org.uberfire.ext.preferences.client.admin.item.AdminPageItemView;
import org.uberfire.ext.preferences.client.admin.page.AdminPageImpl;
import org.uberfire.ext.preferences.client.central.PreferencesCentralNavBarScreen;
import org.uberfire.ext.preferences.client.central.PreferencesCentralNavBarScreenActivity;
import org.uberfire.ext.preferences.client.central.PreferencesCentralPerspective;
import org.uberfire.ext.preferences.client.central.PreferencesCentralPerspectiveActivity;
import org.uberfire.ext.preferences.client.central.actions.PreferencesCentralActionsScreen;
import org.uberfire.ext.preferences.client.central.actions.PreferencesCentralActionsScreenActivity;
import org.uberfire.ext.preferences.client.central.actions.PreferencesCentralActionsView;
import org.uberfire.ext.preferences.client.central.form.DefaultPreferenceForm;
import org.uberfire.ext.preferences.client.central.form.DefaultPreferenceFormActivity;
import org.uberfire.ext.preferences.client.central.form.DefaultPreferenceFormView;
import org.uberfire.ext.preferences.client.central.screen.PreferencesRootScreen;
import org.uberfire.ext.preferences.client.central.screen.PreferencesRootScreenActivity;
import org.uberfire.ext.preferences.client.central.screen.PreferencesRootView;
import org.uberfire.ext.preferences.client.central.tree.TreeHierarchyInternalItemPresenter;
import org.uberfire.ext.preferences.client.central.tree.TreeHierarchyInternalItemView;
import org.uberfire.ext.preferences.client.central.tree.TreeHierarchyLeafItemPresenter;
import org.uberfire.ext.preferences.client.central.tree.TreeHierarchyLeafItemView;
import org.uberfire.ext.preferences.client.central.tree.TreeHierarchyStructurePresenter;
import org.uberfire.ext.preferences.client.central.tree.TreeHierarchyStructureView;
import org.uberfire.ext.preferences.client.utils.PreferenceFormBeansInfo;
import org.uberfire.ext.properties.editor.client.PropertyEditorWidget;
import org.uberfire.ext.properties.editor.client.fields.BooleanField;
import org.uberfire.ext.properties.editor.client.fields.ColorField;
import org.uberfire.ext.properties.editor.client.fields.ComboField;
import org.uberfire.ext.properties.editor.client.fields.SecretTextField;
import org.uberfire.ext.properties.editor.client.fields.TextField;
import org.uberfire.ext.security.management.client.ClientSecurityExceptionMessageResolver;
import org.uberfire.ext.security.management.client.ClientUserSystemManager;
import org.uberfire.ext.security.management.client.ResourceBundleEntryPoint;
import org.uberfire.ext.security.management.client.editor.group.GroupEditorDriver;
import org.uberfire.ext.security.management.client.editor.role.RoleEditorDriver;
import org.uberfire.ext.security.management.client.editor.user.UserEditorDriver;
import org.uberfire.ext.security.management.client.perspectives.SecurityManagementPerspective;
import org.uberfire.ext.security.management.client.perspectives.SecurityManagementPerspectiveActivity;
import org.uberfire.ext.security.management.client.screens.BaseScreenView;
import org.uberfire.ext.security.management.client.screens.editor.GroupEditorScreen;
import org.uberfire.ext.security.management.client.screens.editor.GroupEditorScreenActivity;
import org.uberfire.ext.security.management.client.screens.editor.RoleEditorScreen;
import org.uberfire.ext.security.management.client.screens.editor.RoleEditorScreenActivity;
import org.uberfire.ext.security.management.client.screens.editor.UserEditorScreen;
import org.uberfire.ext.security.management.client.screens.editor.UserEditorScreenActivity;
import org.uberfire.ext.security.management.client.screens.explorer.SecurityExplorerScreen;
import org.uberfire.ext.security.management.client.screens.explorer.SecurityExplorerScreenActivity;
import org.uberfire.ext.security.management.client.screens.explorer.SecurityExplorerView;
import org.uberfire.ext.security.management.client.screens.home.SecurityManagementHomeScreen;
import org.uberfire.ext.security.management.client.screens.home.SecurityManagementHomeScreenActivity;
import org.uberfire.ext.security.management.client.screens.home.SecurityManagementHomeView;
import org.uberfire.ext.security.management.client.widgets.management.ChangePassword;
import org.uberfire.ext.security.management.client.widgets.management.ChangePasswordView;
import org.uberfire.ext.security.management.client.widgets.management.CreateEntity;
import org.uberfire.ext.security.management.client.widgets.management.CreateEntityView;
import org.uberfire.ext.security.management.client.widgets.management.editor.AssignedEntitiesExplorerView;
import org.uberfire.ext.security.management.client.widgets.management.editor.AssignedEntitiesInlineEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.AssignedEntitiesModalEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.ACLEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.ACLEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.ACLSettings;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.ACLSettingsView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.ACLViewer;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.ACLViewerView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.PriorityDropDown;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.LeafPermissionNodeEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.LeafPermissionNodeEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.LeafPermissionNodeViewer;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.LeafPermissionNodeViewerView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.MultiplePermissionNodeEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.MultiplePermissionNodeEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.MultiplePermissionNodeViewer;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.MultiplePermissionNodeViewerView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.PermissionExceptionSwitch;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.PermissionExceptionSwitchView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.PermissionSwitch;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.PermissionSwitchView;
import org.uberfire.ext.security.management.client.widgets.management.editor.acl.node.PermissionWidgetFactory;
import org.uberfire.ext.security.management.client.widgets.management.editor.group.GroupEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.group.GroupEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.group.GroupUsersAssignment;
import org.uberfire.ext.security.management.client.widgets.management.editor.group.workflow.GroupCreationWorkflow;
import org.uberfire.ext.security.management.client.widgets.management.editor.group.workflow.GroupEditorWorkflow;
import org.uberfire.ext.security.management.client.widgets.management.editor.role.RoleEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.role.RoleEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.role.workflow.RoleEditorWorkflow;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.NewUserAttributeEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.NewUserAttributeEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserAssignedGroupsEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserAssignedGroupsExplorer;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserAssignedRolesEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserAssignedRolesExplorer;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserAttributesEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserAttributesEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserEditor;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.UserEditorView;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.workflow.UserCreationWorkflow;
import org.uberfire.ext.security.management.client.widgets.management.editor.user.workflow.UserEditorWorkflow;
import org.uberfire.ext.security.management.client.widgets.management.editor.workflow.EntityWorkflowViewImpl;
import org.uberfire.ext.security.management.client.widgets.management.explorer.EntitiesExplorerViewImpl;
import org.uberfire.ext.security.management.client.widgets.management.explorer.GroupsExplorer;
import org.uberfire.ext.security.management.client.widgets.management.explorer.RolesExplorer;
import org.uberfire.ext.security.management.client.widgets.management.explorer.UserGroupsExplorer;
import org.uberfire.ext.security.management.client.widgets.management.explorer.UserGroupsExplorerView;
import org.uberfire.ext.security.management.client.widgets.management.explorer.UsersExplorer;
import org.uberfire.ext.security.management.client.widgets.management.list.EntitiesListView;
import org.uberfire.ext.security.management.client.widgets.management.list.GroupsList;
import org.uberfire.ext.security.management.client.widgets.management.list.RolesList;
import org.uberfire.ext.security.management.client.widgets.management.list.UsersList;
import org.uberfire.ext.security.management.client.widgets.popup.ConfirmBox;
import org.uberfire.ext.security.management.client.widgets.popup.ConfirmBoxView;
import org.uberfire.ext.security.management.client.widgets.popup.ErrorBox;
import org.uberfire.ext.security.management.client.widgets.popup.ErrorBoxView;
import org.uberfire.ext.widgets.common.client.CommonsEntryPoint;
import org.uberfire.ext.widgets.common.client.ace.AceEditor;
import org.uberfire.ext.widgets.common.client.breadcrumbs.UberfireBreadcrumbs;
import org.uberfire.ext.widgets.common.client.breadcrumbs.UberfireBreadcrumbsView;
import org.uberfire.ext.widgets.common.client.breadcrumbs.header.UberfireBreadcrumbsContainerImpl;
import org.uberfire.ext.widgets.common.client.breadcrumbs.widget.BreadcrumbsPresenter;
import org.uberfire.ext.widgets.common.client.breadcrumbs.widget.BreadcrumbsView;
import org.uberfire.ext.widgets.common.client.common.BusyIndicatorView;
import org.uberfire.ext.widgets.common.client.dropdown.LiveSearchDropDown;
import org.uberfire.ext.widgets.common.client.dropdown.LiveSearchDropDownView;
import org.uberfire.ext.widgets.common.client.dropdown.PerspectiveDropDown;
import org.uberfire.ext.widgets.common.client.menu.MenuItemDividerView;
import org.uberfire.ext.widgets.common.client.menu.MenuItemFactory;
import org.uberfire.ext.widgets.common.client.menu.MenuItemHeaderView;
import org.uberfire.ext.widgets.common.client.menu.MenuItemWithIconView;
import org.uberfire.ext.widgets.common.client.tables.FilterPagedTable;
import org.uberfire.ext.widgets.common.client.tables.PagedTable;
import org.uberfire.ext.widgets.common.client.tables.SimpleTable;
import org.uberfire.ext.widgets.common.client.tables.popup.NewFilterPopup;
import org.uberfire.ext.widgets.common.client.tables.popup.NewTabFilterPopup;
import org.uberfire.ext.widgets.table.client.TableEntryPoint;
import org.uberfire.mvp.Command;
import org.uberfire.mvp.PlaceRequest;
import org.uberfire.mvp.impl.ExternalPathPlaceRequest;
import org.uberfire.preferences.client.scope.ClientUsernameProvider;
import org.uberfire.preferences.client.scope.PreferenceScopeResolutionStrategyIOCProvider;
import org.uberfire.preferences.client.store.PreferenceBeanStoreImpl;
import org.uberfire.preferences.client.store.PreferenceStore;
import org.uberfire.preferences.client.store.PreferenceStoreIOCProvider;
import org.uberfire.preferences.shared.PreferenceScopeResolutionStrategy;
import org.uberfire.preferences.shared.PreferenceScopeTypes;
import org.uberfire.preferences.shared.bean.mock.PortablePreferenceMockBeanGeneratedImpl;
import org.uberfire.preferences.shared.impl.DefaultPreferenceScopeTypes;
import org.uberfire.preferences.shared.impl.PreferenceScopeFactoryImpl;
import org.uberfire.preferences.shared.impl.PreferenceScopeTypesProducer;
import org.uberfire.preferences.shared.impl.PreferenceScopeValidatorImpl;
import org.uberfire.rpc.SessionInfo;
import org.uberfire.security.Resource;
import org.uberfire.security.ResourceAction;
import org.uberfire.security.ResourceType;
import org.uberfire.security.authz.ResourceActionRef;
import org.uberfire.security.authz.RuntimeResource;
import org.uberfire.security.client.SecurityEntryPoint;
import org.uberfire.security.client.authz.AuthorizationManagerHelper;
import org.uberfire.security.client.authz.tree.impl.DefaultPermissionTreeFactory;
import org.uberfire.security.impl.authz.DefaultAuthorizationManager;
import org.uberfire.security.impl.authz.DefaultPermissionManager;
import org.uberfire.security.impl.authz.DefaultPermissionTypeRegistry;
import org.uberfire.workbench.model.ActivityResourceType;
import org.uberfire.workbench.model.CompassPosition;
import org.uberfire.workbench.model.ContextDefinition;
import org.uberfire.workbench.model.ContextDisplayMode;
import org.uberfire.workbench.model.CustomPanelDefinition;
import org.uberfire.workbench.model.PanelDefinition;
import org.uberfire.workbench.model.PartDefinition;
import org.uberfire.workbench.model.PerspectiveDefinition;
import org.uberfire.workbench.model.Position;
import org.uberfire.workbench.model.impl.PanelDefinitionImpl;
import org.uberfire.workbench.model.menu.HasEnabledStateChangeListeners;
import org.uberfire.workbench.model.menu.MenuCustom;
import org.uberfire.workbench.model.menu.MenuGroup;
import org.uberfire.workbench.model.menu.MenuItem;
import org.uberfire.workbench.model.menu.MenuItemCommand;
import org.uberfire.workbench.model.menu.MenuItemPerspective;
import org.uberfire.workbench.model.menu.MenuItemPlain;
import org.uberfire.workbench.model.menu.MenuPosition;
import org.uberfire.workbench.model.menu.MenuVisitor;
import org.uberfire.workbench.model.menu.Menus;
import org.uberfire.workbench.model.menu.impl.DefaultMenuGroup;
import org.uberfire.workbench.model.menu.impl.DefaultMenus;
import org.uberfire.workbench.model.toolbar.ToolBar;
import org.uberfire.workbench.model.toolbar.ToolBarIcon;
import org.uberfire.workbench.model.toolbar.ToolBarItem;
import org.uberfire.workbench.type.ResourceTypeDefinition;

public class BootstrapperImpl implements Bootstrapper {
  {
    addLookups_0();
    new CDI().initLookupTable(CDIEventTypeLookup.get());
    new DataBindingModuleBootstrapper().run();
  }

  private ContextManager contextManager = new ContextManagerImpl();
  private static final Logger logger = LoggerFactory.getLogger(Bootstrapper.class);
  public abstract class Type_factory__o_u_c_VFSLockServiceProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<VFSLockServiceProxyBackendImpl> { }
  public abstract class Type_factory__o_d_c_g_GalleryWidgetPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<GalleryWidgetPresenter> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_GroupsExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupsExplorer> { }
  public abstract class Type_factory__o_d_c_n_w_NavItemEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<NavItemEditor> { }
  public abstract class Provider_factory__o_j_e_u_n_c_l_NavigationPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<NavigationPanel> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_ChangePasswordView__quals__j_e_i_Any_j_e_i_Default extends Factory<ChangePasswordView> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_c_ComponentColumnView__quals__j_e_i_Any_j_e_i_Default extends Factory<ComponentColumnView> { }
  public abstract class ExtensionProvided_factory__c_g_g_d_c_LIElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<LIElement> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_GroupEditorScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupEditorScreen> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerEditorStatus__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerEditorStatus> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserAttributesEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<UserAttributesEditorView> { }
  public abstract class ContextualProvider_factory__o_j_e_c_c_a_Caller__quals__Universal extends Factory<Caller> { }
  public abstract class Producer_factory__o_j_e_b_c_a_ClientMessageBus__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientMessageBus> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefProviderTypeEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefProviderTypeEditorView> { }
  public abstract class ContextualProvider_factory__o_j_e_u_n_c_l_TransitionAnchorFactory__quals__Universal extends Factory<TransitionAnchorFactory> { }
  public abstract class JsType_factory__o_u_s_ResourceAction__quals__Universal extends Factory<ResourceAction> { }
  public abstract class Type_factory__o_u_c_w_VFSServiceProxyClientImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<VFSServiceProxyClientImpl> { }
  public abstract class Type_factory__o_u_e_l_e_c_LayoutEditorEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutEditorEntryPoint> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefColumnsFilterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefColumnsFilterEditorView> { }
  public abstract class Type_factory__o_u_c_w_Workbench__quals__j_e_i_Any_j_e_i_Default extends Factory<Workbench> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_CSVDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetDefAttributesEditor> { }
  public abstract class Type_factory__o_d_v_d_CSVDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetDefValidator> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_r_RoleEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<RoleEditor> { }
  public abstract class JsType_factory__o_u_s_a_ResourceActionRef__quals__Universal extends Factory<ResourceActionRef> { }
  public abstract class Type_factory__o_u_c_w_p_i_MultiListWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<MultiListWorkbenchPanelPresenter> { }
  public abstract class Type_factory__o_d_d_e_g_IntervalBuilderDynamicLabel__quals__j_e_i_Any_j_e_i_Default extends Factory<IntervalBuilderDynamicLabel> { }
  public abstract class JsType_factory__o_u_s_ResourceType__quals__Universal extends Factory<ResourceType> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_l_EntitiesListView__quals__j_e_i_Any_j_e_i_Default extends Factory<EntitiesListView> { }
  public abstract class Type_factory__o_d_c_s_StaticChartScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<StaticChartScreen> { }
  public abstract class Type_factory__o_u_c_m_ActivityBeansInfo__quals__j_e_i_Any_j_e_i_Default extends Factory<ActivityBeansInfo> { }
  public abstract class Type_factory__o_u_e_w_c_c_m_MenuItemWithIconView__quals__j_e_i_Any_o_u_e_w_c_c_m_MenuItemWithIcon extends Factory<MenuItemWithIconView> { }
  public abstract class Type_factory__o_d_c_n_w_NavMenuBarWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<NavMenuBarWidget> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_c_SQLDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetBasicAttributesWorkflow> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_ACLEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ACLEditorView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_g_GroupEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupEditorView> { }
  public abstract class Type_factory__o_u_e_p_c_a_c_AdminPageCategoryPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPageCategoryPresenter> { }
  public abstract class Type_factory__o_u_c_w_p_u_p_UnanchoredWorkbenchPartView__quals__j_e_i_Any_j_e_i_Default extends Factory<UnanchoredWorkbenchPartView> { }
  public abstract class Producer_factory__o_u_p_s_PreferenceScopeTypes__quals__j_e_i_Any_o_u_a_Customizable extends Factory<PreferenceScopeTypes> { }
  public abstract class Type_factory__o_u_e_l_e_c_w_LayoutDragComponentGroupView__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutDragComponentGroupView> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_UserEditorScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<UserEditorScreen> { }
  public abstract class ExtensionProvided_factory__o_g_c_u_TextBox__quals__j_e_i_Any_j_e_i_Default extends Factory<TextBox> { }
  public abstract class Type_factory__o_d_c_c_e_m_MapEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<MapEditorView> { }
  public abstract class Type_factory__o_d_c_c_e_ToggleSwitchEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ToggleSwitchEditorView> { }
  public abstract class Type_factory__o_u_c_v_p_w_Select__quals__j_e_i_Any_j_e_i_Default extends Factory<Select> { }
  public abstract class Type_factory__o_d_r_l_c_LienzoLineChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<LienzoLineChartDisplayerView> { }
  public abstract class Type_factory__o_u_w_m_i_PanelDefinitionImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PanelDefinitionImpl> { }
  public abstract class Type_factory__o_u_e_p_c_a_AdminPagePresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<AdminPagePresenterActivity> { }
  public abstract class Type_factory__o_u_e_e_c_f_e_FileExportsPreferencesBeanGeneratedImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<FileExportsPreferencesBeanGeneratedImpl> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetSummaryView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetSummaryView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeViewerView__quals__j_e_i_Any_j_e_i_Default extends Factory<MultiplePermissionNodeViewerView> { }
  public abstract class Type_factory__o_d_c_s_GalleryHomeScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<GalleryHomeScreen> { }
  public abstract class Type_factory__o_d_c_c_l_e_PerspectiveDragConfigModalView__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveDragConfigModalView> { }
  public abstract class Type_factory__o_d_c_n_w_NavCarouselWidgetView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavCarouselWidgetView> { }
  public abstract class Type_factory__o_u_e_p_c_c_t_TreeHierarchyInternalItemView__quals__j_e_i_Any_j_e_i_Default extends Factory<TreeHierarchyInternalItemView> { }
  public abstract class Type_factory__o_u_e_p_c_e_EditorPlugInEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<EditorPlugInEditorPresenter> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_UserGroupsExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<UserGroupsExplorer> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleTableDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleTableDisplayerView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_g_w_GroupEditorWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupEditorWorkflow> { }
  public abstract class Type_factory__o_u_e_s_m_c_p_SecurityManagementPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityManagementPerspective> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuGroup__quals__Universal extends Factory<MenuGroup> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleBarChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleBarChartDisplayer> { }
  public abstract class Type_factory__o_u_c_w_p_i_AdaptiveWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<AdaptiveWorkbenchPanelView> { }
  public abstract class ExtensionProvided_factory__o_g_c_u_Container__quals__j_e_i_Any_j_e_i_Default extends Factory<Container> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefExplorerScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefExplorerScreen> { }
  public abstract class Type_factory__o_u_c_w_w_d_WorkbenchDragAndDropManager__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchDragAndDropManager> { }
  public abstract class Type_factory__o_d_c_n_w_NavTilesWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTilesWidget> { }
  public abstract class Type_factory__o_u_c_m_LockManagerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<LockManagerImpl> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_PriorityDropDown__quals__j_e_i_Any_j_e_i_Default extends Factory<PriorityDropDown> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority extends Factory<DataSetDefEditorPresenterActivity> { }
  public abstract class Type_factory__o_u_c_m_PerspectiveManagerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveManagerImpl> { }
  public abstract class Type_factory__o_d_c_c_p_ContentManagerPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<ContentManagerPerspective> { }
  public abstract class ContextualProvider_factory__j_e_e_Event__quals__Universal extends Factory<Event> { }
  public abstract class Type_factory__o_j_e_s_c_l_i_ClientSecurityRoleInterceptor__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientSecurityRoleInterceptor> { }
  public abstract class Type_factory__o_u_c_w_StandaloneEditorPerspective__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<StandaloneEditorPerspective> { }
  public abstract class Type_factory__o_d_c_s_HomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<HomeScreenActivity> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionWidgetFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<PermissionWidgetFactory> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_CopyPopUpView__quals__j_e_i_Any_o_u_a_FallbackImplementation extends Factory<CopyPopUpView> { }
  public abstract class ContextualProvider_factory__o_j_e_i_c_a_InitBallot__quals__Universal extends Factory<InitBallot> { }
  public abstract class Type_factory__o_d_v_d_BeanDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetDefValidator> { }
  public abstract class Type_factory__o_d_v_DataSetValidatorProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetValidatorProvider> { }
  public abstract class Type_factory__o_d_c_c_e_ToggleSwitchEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ToggleSwitchEditor> { }
  public abstract class ExtensionProvided_factory__c_g_g_d_c_SpanElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SpanElement> { }
  public abstract class Type_factory__o_d_c_c_w_PerspectivesExplorerView__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectivesExplorerView> { }
  public abstract class Type_factory__o_d_c_s_w_SalesExpectedByDate__quals__j_e_i_Any_j_e_i_Default extends Factory<SalesExpectedByDate> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_w_UserCreationWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<UserCreationWorkflow> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Input__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<Input> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerTypeSelector__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerTypeSelector> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_VersionRecordManager__quals__j_e_i_Any_j_e_i_Default extends Factory<VersionRecordManager> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_c_DataSetProviderTypeWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetProviderTypeWorkflow> { }
  public abstract class Type_factory__o_d_c_c_e_ValueBoxEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ValueBoxEditorView> { }
  public abstract class Type_factory__o_u_c_w_p_i_StaticWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<StaticWorkbenchPanelPresenter> { }
  public abstract class Type_factory__o_d_d_c_u_ClientUUIDGenerator__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientUUIDGenerator> { }
  public abstract class Type_factory__o_d_d_c_w_f_MultipleNumberParameterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<MultipleNumberParameterEditorView> { }
  public abstract class Type_factory__o_u_e_s_m_c_ClientUserSystemManager__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientUserSystemManager> { }
  public abstract class Type_factory__o_d_c_p_HomePerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<HomePerspectiveActivity> { }
  public abstract class Type_factory__o_u_e_w_t_c_TableEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<TableEntryPoint> { }
  public abstract class Type_factory__o_d_c_c_s_e_ContentExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<ContentExplorerScreenActivity> { }
  public abstract class Type_factory__o_u_c_v_p_t_TabPanelWithDropdowns__quals__j_e_i_Any_j_e_i_Default extends Factory<TabPanelWithDropdowns> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_r_RowView__quals__j_e_i_Any_j_e_i_Default extends Factory<RowView> { }
  public abstract class JsType_factory__o_u_w_m_t_ToolBarIcon__quals__Universal extends Factory<ToolBarIcon> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_g_PerspectiveEditorGenerator__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveEditorGenerator> { }
  public abstract class JsType_factory__o_u_c_m_LockManager__quals__Universal extends Factory<LockManager> { }
  public abstract class Type_factory__o_u_c_e_UberfireJSAPIExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<UberfireJSAPIExporter> { }
  public abstract class Provider_factory__o_j_e_c_c_a_BatchCaller__quals__j_e_i_Any_j_e_i_Default extends Factory<BatchCaller> { }
  public abstract class Type_factory__o_u_c_w_p_i_SimpleWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<SimpleWorkbenchPanelPresenter> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleBubbleChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleBubbleChartDisplayerView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedGroupsExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<UserAssignedGroupsExplorer> { }
  public abstract class Type_factory__o_d_c_c_e_l_DropDownImageListEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DropDownImageListEditor> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetExplorer> { }
  public abstract class Type_factory__o_u_c_v_p_w_FormLabel__quals__j_e_i_Any_j_e_i_Default extends Factory<FormLabel> { }
  public abstract class Type_factory__o_u_e_p_c_a_p_AdminPageImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPageImpl> { }
  public abstract class Type_factory__o_d_c_s_w_SalesGoals__quals__j_e_i_Any_j_e_i_Default extends Factory<SalesGoals> { }
  public abstract class ContextualProvider_factory__o_j_e_u_n_c_l_TransitionAnchor__quals__Universal extends Factory<TransitionAnchor> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefRefreshAttributesEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_SecurityExplorerScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityExplorerScreen> { }
  public abstract class Type_factory__o_d_r_g_c_GooglePieChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GooglePieChartDisplayer> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorLabelItemView__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorLabelItemView> { }
  public abstract class Type_factory__o_d_c_m_ClusterMetricsDashboard__quals__j_e_i_Any_j_e_i_Default extends Factory<ClusterMetricsDashboard> { }
  public abstract class Type_factory__o_u_e_p_c_a_AdminPagePerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPagePerspective> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_l_e_HTMLLayoutDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<HTMLLayoutDragComponent> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_DataSetDefColumnsEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefColumnsEditor> { }
  public abstract class Type_factory__o_u_c_WorkbenchBackendEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchBackendEntryPoint> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_c_Container__quals__j_e_i_Any_j_e_i_Default extends Factory<org.uberfire.ext.layout.editor.client.components.container.Container> { }
  public abstract class Type_factory__o_u_s_i_a_DefaultPermissionManager__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultPermissionManager> { }
  public abstract class Type_factory__o_u_c_VFSServiceProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<VFSServiceProxyBackendImpl> { }
  public abstract class Type_factory__o_u_e_p_e_c_f_BooleanField__quals__j_e_i_Any_j_e_i_Default extends Factory<BooleanField> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_Navigation__quals__j_e_i_Any_j_e_i_Default extends Factory<Navigation> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuPosition__quals__Universal extends Factory<MenuPosition> { }
  public abstract class Type_factory__o_d_c_c_s_h_ContentManagerHomeScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<ContentManagerHomeScreen> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefClientCacheAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefClientCacheAttributesEditor> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_r_EmptyDropRowView__quals__j_e_i_Any_j_e_i_Default extends Factory<EmptyDropRowView> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_DataColumnDefDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<DataColumnDefDriver> { }
  public abstract class Type_factory__o_d_c_w_d_e_s_SQLDataSetEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetEditor> { }
  public abstract class Type_factory__o_u_c_v_p_PatternFlyEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<PatternFlyEntryPoint> { }
  public abstract class Type_factory__o_u_c_v_p_m_WorkbenchMenuStandardNavBarView__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchMenuStandardNavBarView> { }
  public abstract class Type_factory__o_u_c_DocksEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<DocksEntryPoint> { }
  public abstract class Type_factory__o_j_e_s_c_l_c_SecurityContextImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityContextImpl> { }
  public abstract class Type_factory__o_u_e_p_c_e_DynamicMenuEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DynamicMenuEditorView> { }
  public abstract class Type_factory__o_j_e_i_s_b_c_BatchCallerProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<BatchCallerProvider> { }
  public abstract class Type_factory__o_d_d_c_ClientDataSetManager__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientDataSetManager> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerHtmlEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerHtmlEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_NewUserAttributeEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<NewUserAttributeEditorView> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefWizardScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<DataSetDefWizardScreenActivity> { }
  public abstract class Producer_factory__o_u_e_e_c_c_f_e_ImageFileExport__quals__j_e_i_Any_j_e_i_Default extends Factory<ImageFileExport> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_TransitionToRoleProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<TransitionToRoleProvider> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_BeanDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetDefDriver> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshAttributesEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefRefreshAttributesEditorView> { }
  public abstract class Type_factory__o_d_d_c_w_f_TimeInstantEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<TimeInstantEditorView> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_ElasticSearchDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetDefAttributesDriver> { }
  public abstract class JsType_factory__j_u_Set__quals__Universal extends Factory<Set> { }
  public abstract class Type_factory__o_u_e_p_c_i_PluginsInfo__quals__j_e_i_Any_j_e_i_Default extends Factory<PluginsInfo> { }
  public abstract class Type_factory__o_d_c_s_w_SalesDistributionByCountry__quals__j_e_i_Any_j_e_i_Default extends Factory<SalesDistributionByCountry> { }
  public abstract class Type_factory__o_d_c_n_w_NavTabListWidgetView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTabListWidgetView> { }
  public abstract class Type_factory__o_d_c_c_l_e_PerspectiveDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveDragComponent> { }
  public abstract class Type_factory__o_u_e_w_c_c_m_MenuItemHeaderView__quals__j_e_i_Any_o_u_e_w_c_c_m_MenuItemHeader extends Factory<MenuItemHeaderView> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefPreviewTableView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefPreviewTableView> { }
  public abstract class Type_factory__o_u_c_w_DefaultBeanFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultBeanFactory> { }
  public abstract class Type_factory__o_d_c_w_c_LoadingBoxView__quals__j_e_i_Any_j_e_i_Default extends Factory<LoadingBoxView> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_SaveButton__quals__j_e_i_Any_j_e_i_Default extends Factory<SaveButton> { }
  public abstract class Type_factory__o_d_d_c_w_g_ColumnDetailsEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnDetailsEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_g_w_GroupCreationWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupCreationWorkflow> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionExceptionSwitchView__quals__j_e_i_Any_j_e_i_Default extends Factory<PermissionExceptionSwitchView> { }
  public abstract class Type_factory__o_u_c_WorkbenchServicesProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchServicesProxyBackendImpl> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorDisplayerView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_AssignedEntitiesExplorerView__quals__j_e_i_Any_j_e_i_Default extends Factory<AssignedEntitiesExplorerView> { }
  public abstract class Type_factory__o_d_c_g_GalleryTree__quals__j_e_i_Any_j_e_i_Default extends Factory<GalleryTree> { }
  public abstract class Type_factory__o_d_c_n_w_NavItemSelectionModalView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavItemSelectionModalView> { }
  public abstract class Type_factory__o_u_c_w_p_s_PartManager__quals__j_e_i_Any_j_e_i_Default extends Factory<PartManager> { }
  public abstract class Type_factory__o_d_d_c_e_ClientIntervalBuilderLocator__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientIntervalBuilderLocator> { }
  public abstract class Type_factory__o_j_e_i_c_l_i_AccessImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<AccessImpl> { }
  public abstract class Type_factory__o_u_e_p_c_e_PluginExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<PluginExplorerScreenActivity> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshIntervalEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefRefreshIntervalEditorView> { }
  public abstract class Type_factory__o_u_c_v_p_t_WorkbenchToolBarView__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchToolBarView> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetAuthoringHomeView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetAuthoringHomeView> { }
  public abstract class Type_factory__o_d_c_w_d_e_b_BeanDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetDefAttributesEditorView> { }
  public abstract class Type_factory__o_d_v_d_SQLDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetDefValidator> { }
  public abstract class ContextualProvider_factory__o_j_e_u_n_c_l_TransitionTo__quals__Universal extends Factory<TransitionTo> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleBubbleChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleBubbleChartDisplayer> { }
  public abstract class Type_factory__o_u_e_w_c_c_t_PagedTable__quals__j_e_i_Any_j_e_i_Default extends Factory<PagedTable> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerSettingsEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerSettingsEditorView> { }
  public abstract class Type_factory__o_d_r_l_c_LienzoLineChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<LienzoLineChartDisplayer> { }
  public abstract class Type_factory__o_u_c_v_p_n_ActivityNotFoundView__quals__j_e_i_Any_j_e_i_Default extends Factory<ActivityNotFoundView> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_HtmlEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<HtmlEditor> { }
  public abstract class Type_factory__o_u_c_w_VFSLockServiceProxyClientImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<VFSLockServiceProxyClientImpl> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorDropDownItemView__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorDropDownItemView> { }
  public abstract class Type_factory__o_u_c_e_SplashScreenJSExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashScreenJSExporter> { }
  public abstract class ExtensionProvided_factory__c_g_g_d_c_ParagraphElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<ParagraphElement> { }
  public abstract class JsType_factory__j_u_Map__quals__Universal extends Factory<Map> { }
  public abstract class Type_factory__o_d_c_c_e_l_HorizImageListEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<HorizImageListEditor> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetPanelView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetPanelView> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_c_ToggleCommentView__quals__j_e_i_Any_j_e_i_Default extends Factory<ToggleCommentView> { }
  public abstract class Type_factory__o_u_c_v_p_s_SplashModalFooter__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashModalFooter> { }
  public abstract class Type_factory__o_u_e_p_c_e_PluginExplorerScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<PluginExplorerScreen> { }
  public abstract class Type_factory__o_u_c_v_p_m_PartContextMenusView__quals__j_e_i_Any_j_e_i_Default extends Factory<PartContextMenusView> { }
  public abstract class Type_factory__o_u_c_v_p_t_ResizeTabPanel__quals__j_e_i_Any_o_u_c_v_p_t_Resize extends Factory<ResizeTabPanel> { }
  public abstract class Type_factory__o_d_c_c_w_FilterLabelSet__quals__j_e_i_Any_j_e_i_Default extends Factory<FilterLabelSet> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetExplorerView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetExplorerView> { }
  public abstract class Type_factory__o_d_c_w_c_LoadingBox__quals__j_e_i_Any_j_e_i_Default extends Factory<LoadingBox> { }
  public abstract class Type_factory__o_d_c_s_GalleryHomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<GalleryHomeScreenActivity> { }
  public abstract class JsType_factory__o_u_w_m_PartDefinition__quals__Universal extends Factory<PartDefinition> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_ColumnTypeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnTypeEditor> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Paragraph__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<Paragraph> { }
  public abstract class Type_factory__o_u_c_w_p_i_UnanchoredStaticWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<UnanchoredStaticWorkbenchPanelPresenter> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuItemCommand__quals__Universal extends Factory<MenuItemCommand> { }
  public abstract class Type_factory__o_u_e_p_c_t_DynamicMenuResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<DynamicMenuResourceType> { }
  public abstract class ExtensionProvided_factory__o_g_c_u_Anchor__quals__j_e_i_Any_j_e_i_Default extends Factory<Anchor> { }
  public abstract class Type_factory__o_d_r_c_t_TableDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<TableDisplayerView> { }
  public abstract class Type_factory__o_u_e_p_c_c_f_DefaultPreferenceForm__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultPreferenceForm> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_UnorderedList__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<UnorderedList> { }
  public abstract class Type_factory__o_u_e_s_m_c_e_u_UserEditorDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<UserEditorDriver> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_l_GroupsList__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupsList> { }
  public abstract class Type_factory__o_d_c_n_w_NavTreeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTreeEditor> { }
  public abstract class Provider_factory__c_g_g_u_c_u_RootPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<RootPanel> { }
  public abstract class Type_factory__o_u_p_s_i_PreferenceScopeTypesProducer__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferenceScopeTypesProducer> { }
  public abstract class Type_factory__o_u_e_p_c_t_PerspectiveLayoutPluginResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveLayoutPluginResourceType> { }
  public abstract class Type_factory__o_d_c_n_w_NavTilesWidgetView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTilesWidgetView> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorDropDownDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorDropDownDisplayer> { }
  public abstract class Type_factory__o_u_c_w_p_i_StaticWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<StaticWorkbenchPanelView> { }
  public abstract class Type_factory__o_u_c_v_p_HTML5DndSeleniumSupport__quals__j_e_i_Any_j_e_i_Default extends Factory<HTML5DndSeleniumSupport> { }
  public abstract class Type_factory__o_d_d_c_w_f_TimeInstantEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<TimeInstantEditor> { }
  public abstract class Type_factory__o_d_d_c_w_f_NumberParameterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<NumberParameterEditor> { }
  public abstract class Type_factory__o_d_c_c_w_PerspectiveWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveWidget> { }
  public abstract class Producer_factory__o_u_c_w_w_m_WorkbenchMenuBarPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchMenuBarPresenter> { }
  public abstract class JsType_factory__o_u_w_m_t_ToolBar__quals__Universal extends Factory<ToolBar> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetAuthoringHomePresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<DataSetAuthoringHomePresenterActivity> { }
  public abstract class Type_factory__o_u_e_s_m_c_e_g_GroupEditorDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupEditorDriver> { }
  public abstract class Type_factory__o_u_e_p_c_e_SplashEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashEditorView> { }
  public abstract class Type_factory__o_u_c_v_p_m_WorkbenchViewModeSwitcherView__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchViewModeSwitcherView> { }
  public abstract class Type_factory__o_u_c_a_PerspectiveTreeProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveTreeProvider> { }
  public abstract class Type_factory__o_u_c_w_w_m_PartContextMenusPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<PartContextMenusPresenter> { }
  public abstract class Type_factory__o_u_c_v_p_m_SplashScreenMenuView__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashScreenMenuView> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorLabelSetDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorLabelSetDisplayer> { }
  public abstract class Type_factory__o_j_e_i_c_l_i_DestructionImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<DestructionImpl> { }
  public abstract class Type_factory__o_d_d_c_w_g_DataSetGroupDateEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetGroupDateEditor> { }
  public abstract class Type_factory__o_u_e_w_c_c_b_UberfireBreadcrumbsView__quals__j_e_i_Any_j_e_i_Default extends Factory<UberfireBreadcrumbsView> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_HtmlEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<HtmlEditorView> { }
  public abstract class Type_factory__o_u_c_w_w_d_CompassDropController__quals__j_e_i_Any_j_e_i_Default extends Factory<CompassDropController> { }
  public abstract class Type_factory__o_d_d_c_w_g_ColumnDetailsEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnDetailsEditorView> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetPanel> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_ACLEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ACLEditor> { }
  public abstract class Type_factory__o_u_e_p_c_t_ScreenPluginResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<ScreenPluginResourceType> { }
  public abstract class Type_factory__o_u_e_l_e_c_g_BootstrapLayoutGenerator__quals__j_e_i_Any_j_e_i_Default extends Factory<BootstrapLayoutGenerator> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorLabelSetDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorLabelSetDisplayerView> { }
  public abstract class Type_factory__o_d_c_c_w_FilterLabel__quals__j_e_i_Any_j_e_i_Default extends Factory<FilterLabel> { }
  public abstract class Type_factory__o_u_e_p_c_v_PluginNameValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<PluginNameValidator> { }
  public abstract class Type_factory__o_u_e_p_c_c_PreferencesCentralNavBarScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferencesCentralNavBarScreen> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_UserGroupsExplorerView__quals__j_e_i_Any_j_e_i_Default extends Factory<UserGroupsExplorerView> { }
  public abstract class Type_factory__o_d_c_w_d_e_b_BeanDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetDefAttributesEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_l_UsersList__quals__j_e_i_Any_j_e_i_Default extends Factory<UsersList> { }
  public abstract class Type_factory__o_u_c_v_p_w_FormGroup__quals__j_e_i_Any_j_e_i_Default extends Factory<FormGroup> { }
  public abstract class Type_factory__o_u_e_p_c_c_s_PreferencesRootScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferencesRootScreen> { }
  public abstract class Type_factory__o_u_e_p_c_c_t_TreeHierarchyStructureView__quals__j_e_i_Any_j_e_i_Default extends Factory<TreeHierarchyStructureView> { }
  public abstract class Type_factory__o_j_e_s_c_l_c_DefaultRestSecurityErrorCallback__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultRestSecurityErrorCallback> { }
  public abstract class Type_factory__o_u_c_v_p_t_MultiTabWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<MultiTabWorkbenchPanelView> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleRenderer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleRenderer> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_HistoryTokenFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<HistoryTokenFactory> { }
  public abstract class Type_factory__o_u_e_s_m_c_p_SecurityManagementPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SecurityManagementPerspectiveActivity> { }
  public abstract class Type_factory__o_j_e_s_c_l_r_ClientRequiredRolesExtractorImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientRequiredRolesExtractorImpl> { }
  public abstract class Type_factory__o_d_d_c_w_f_ColumnFilterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnFilterEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_SecurityExplorerView__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityExplorerView> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_c_BeanDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetBasicAttributesWorkflow> { }
  public abstract class Type_factory__o_d_d_c_f_ValueFormatterRegistry__quals__j_e_i_Any_j_e_i_Default extends Factory<ValueFormatterRegistry> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_g_GroupUsersAssignment__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupUsersAssignment> { }
  public abstract class Type_factory__o_j_e_i_c_a_b_InitBallotProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<InitBallotProvider> { }
  public abstract class Type_factory__o_u_e_w_c_c_m_MenuItemFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<MenuItemFactory> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefBackendCacheAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefBackendCacheAttributesEditor> { }
  public abstract class Type_factory__o_d_c_p_SalesReportsPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<SalesReportsPerspective> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefEditorPresenter> { }
  public abstract class Type_factory__o_d_c_c_w_PerspectiveWidgetView__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveWidgetView> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_RestorePopUpView__quals__j_e_i_Any_j_e_i_Default extends Factory<RestorePopUpView> { }
  public abstract class JsType_factory__o_u_m_Command__quals__Universal extends Factory<Command> { }
  public abstract class Type_factory__o_u_c_RuntimePluginsServiceProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<RuntimePluginsServiceProxyBackendImpl> { }
  public abstract class Type_factory__o_j_e_u_c_w_LocaleListBox__quals__j_e_i_Any_j_e_i_Default extends Factory<LocaleListBox> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_CSVDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetDefDriver> { }
  public abstract class Type_factory__o_u_e_p_c_e_SplashEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority extends Factory<SplashEditorPresenterActivity> { }
  public abstract class Type_factory__o_u_e_p_c_PreferencesEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferencesEntryPoint> { }
  public abstract class Type_factory__o_d_d_c_w_RendererSelectorTabListView__quals__j_e_i_Any_j_e_i_Default extends Factory<RendererSelectorTabListView> { }
  public abstract class Type_factory__o_u_e_w_c_c_d_LiveSearchDropDownView__quals__j_e_i_Any_j_e_i_Default extends Factory<LiveSearchDropDownView> { }
  public abstract class Type_factory__o_u_c_w_w_m_UtilityMenuBarPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<UtilityMenuBarPresenter> { }
  public abstract class Type_factory__o_u_e_p_e_c_f_TextField__quals__j_e_i_Any_j_e_i_Default extends Factory<TextField> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_l_e_TargetDivDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<TargetDivDragComponent> { }
  public abstract class Type_factory__o_u_e_w_c_c_b_w_BreadcrumbsView__quals__j_e_i_Any_j_e_i_Default extends Factory<BreadcrumbsView> { }
  public abstract class JsType_factory__o_u_m_PlaceRequest__quals__Universal extends Factory<PlaceRequest> { }
  public abstract class Type_factory__o_u_e_p_c_a_AdminPageView__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPageView> { }
  public abstract class Type_factory__o_d_c_n_l_e_NavDragComponentRegistry__quals__j_e_i_Any_j_e_i_Default extends Factory<NavDragComponentRegistry> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerViewer__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerViewer> { }
  public abstract class Type_factory__o_d_c_n_w_NavItemTileWidgetView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavItemTileWidgetView> { }
  public abstract class Type_factory__o_d_c_c_w_AlertBoxView__quals__j_e_i_Any_j_e_i_Default extends Factory<AlertBoxView> { }
  public abstract class Type_factory__o_d_r_c_DefaultRenderer__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultRenderer> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_DeletePopUpPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<DeletePopUpPresenter> { }
  public abstract class Type_factory__o_d_r_l_c_LienzoPieChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<LienzoPieChartDisplayerView> { }
  public abstract class Type_factory__o_d_v_d_ElasticSearchDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetDefValidator> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_NewUserAttributeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<NewUserAttributeEditor> { }
  public abstract class Type_factory__o_d_c_s_StaticChartScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<StaticChartScreenActivity> { }
  public abstract class Type_factory__o_u_c_w_p_i_MultiListWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<MultiListWorkbenchPanelView> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_c_ColumnWithComponentsView__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnWithComponentsView> { }
  public abstract class Type_factory__o_d_d_e_g_IntervalBuilderFixedDate__quals__j_e_i_Any_j_e_i_Default extends Factory<IntervalBuilderFixedDate> { }
  public abstract class Type_factory__o_u_c_w_w_n_ActivityNotFoundPresenter__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<ActivityNotFoundPresenter> { }
  public abstract class Type_factory__o_u_c_w_t_i_ClientTypeRegistryImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientTypeRegistryImpl> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerTypeSelectorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerTypeSelectorView> { }
  public abstract class Type_factory__o_u_c_w_p_i_ClosableSimpleWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<ClosableSimpleWorkbenchPanelPresenter> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_w_UserEditorWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<UserEditorWorkflow> { }
  public abstract class Type_factory__o_u_c_m_LockDemandDetector__quals__j_e_i_Any_j_e_i_Default extends Factory<LockDemandDetector> { }
  public abstract class Type_factory__o_u_e_p_e_c_f_ColorField__quals__j_e_i_Any_j_e_i_Default extends Factory<ColorField> { }
  public abstract class Type_factory__o_d_d_c_w_RendererSelectorRadioListView__quals__j_e_i_Any_j_e_i_Default extends Factory<RendererSelectorRadioListView> { }
  public abstract class Type_factory__o_j_e_s_c_l_s_RoleStyleBindingProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<RoleStyleBindingProvider> { }
  public abstract class Type_factory__o_u_e_w_c_c_CommonsEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<CommonsEntryPoint> { }
  public abstract class Type_factory__o_d_d_c_w_f_TimeAmountEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<TimeAmountEditorView> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefType__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefType> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_ACLSettingsView__quals__j_e_i_Any_j_e_i_Default extends Factory<ACLSettingsView> { }
  public abstract class Type_factory__o_u_e_w_c_c_b_h_UberfireBreadcrumbsContainerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<UberfireBreadcrumbsContainerImpl> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_h_SecurityManagementHomeScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityManagementHomeScreen> { }
  public abstract class Type_factory__o_u_c_w_p_i_SimpleWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SimpleWorkbenchPanelView> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_RoleEditorScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<RoleEditorScreen> { }
  public abstract class JsType_factory__o_j_e_i_c_c_JsTypeProvider__quals__Universal extends Factory<JsTypeProvider> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorDropDownDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorDropDownDisplayerView> { }
  public abstract class Type_factory__o_u_c_w_p_i_SimpleDnDWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default extends Factory<SimpleDnDWorkbenchPanelView> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_e_BeanDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetEditWorkflow> { }
  public abstract class Type_factory__o_u_p_s_i_PreferenceScopeFactoryImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferenceScopeFactoryImpl> { }
  public abstract class Type_factory__o_d_r_l_c_LienzoBarChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<LienzoBarChartDisplayerView> { }
  public abstract class Type_factory__o_d_c_c_p_ContentManagerPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<ContentManagerPerspectiveActivity> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerError__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerError> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_h_SecurityManagementHomeView__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityManagementHomeView> { }
  public abstract class Type_factory__o_d_c_ShowcaseEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<ShowcaseEntryPoint> { }
  public abstract class Type_factory__o_u_c_v_p_m_WorkbenchMenuBarView__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchMenuBarView> { }
  public abstract class Type_factory__o_d_d_c_w_f_DateParameterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DateParameterEditorView> { }
  public abstract class Type_factory__o_j_e_e_c_c_EventProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<EventProvider> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_w_EntityWorkflowViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<EntityWorkflowViewImpl> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuItem__quals__Universal extends Factory<MenuItem> { }
  public abstract class Type_factory__o_d_c_w_c_ClientRuntimeErrorPopupPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientRuntimeErrorPopupPresenter> { }
  public abstract class ContextualProvider_factory__j_e_i_Instance__quals__Universal extends Factory<Instance> { }
  public abstract class ExtensionProvided_factory__c_g_g_u_c_u_HeaderPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<HeaderPanel> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_ElasticSearchDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetDefDriver> { }
  public abstract class Producer_factory__c_g_w_b_e_s_EventBus__quals__j_e_i_Any_j_e_i_Default extends Factory<EventBus> { }
  public abstract class Type_factory__o_u_c_e_PlaceManagerJSExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<PlaceManagerJSExporter> { }
  public abstract class Type_factory__o_d_d_c_w_f_MultipleTextParameterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<MultipleTextParameterEditorView> { }
  public abstract class Type_factory__o_d_r_l_c_LienzoRenderer__quals__j_e_i_Any_j_e_i_Default extends Factory<LienzoRenderer> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_r_RoleEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<RoleEditorView> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Heading__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<Heading> { }
  public abstract class Type_factory__o_u_e_p_c_e_ScreenEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ScreenEditorView> { }
  public abstract class Type_factory__o_d_c_e_ExpensesDashboard__quals__j_e_i_Any_j_e_i_Default extends Factory<ExpensesDashboard> { }
  public abstract class Type_factory__o_u_c_v_p_m_MultiPageEditorViewImpl__quals__j_e_i_Any_o_u_c_w_w_m_Multiple extends Factory<MultiPageEditorViewImpl> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<UserEditor> { }
  public abstract class Type_factory__o_d_r_c_t_TableDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<TableDisplayer> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<MultiplePermissionNodeEditorView> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_ColumnListEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnListEditorView> { }
  public abstract class Type_factory__o_u_e_p_c_e_SplashEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashEditorPresenter> { }
  public abstract class Type_factory__o_d_d_c_PerspectiveCoordinator__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveCoordinator> { }
  public abstract class Type_factory__o_u_c_w_p_i_ClosableSimpleWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<ClosableSimpleWorkbenchPanelView> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleAreaChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleAreaChartDisplayerView> { }
  public abstract class Type_factory__o_j_e_i_c_a_b_CallerProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<CallerProvider> { }
  public abstract class Type_factory__o_d_c_p_SalesDashboardPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SalesDashboardPerspectiveActivity> { }
  public abstract class Type_factory__o_u_c_r_i_PermissionTreeI18NImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PermissionTreeI18NImpl> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerSettingsEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerSettingsEditor> { }
  public abstract class Type_factory__o_d_c_g_GalleryTreeViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<GalleryTreeViewImpl> { }
  public abstract class Type_factory__o_d_d_c_w_f_MultipleTextParameterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<MultipleTextParameterEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_p_LoadingBox__quals__j_e_i_Any_j_e_i_Default extends Factory<org.uberfire.ext.security.management.client.widgets.popup.LoadingBox> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleMapDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleMapDisplayerView> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Span__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<Span> { }
  public abstract class Type_factory__o_u_b_v_i_ObservablePathImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<ObservablePathImpl> { }
  public abstract class Type_factory__o_d_r_c_ChartJsBarChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<ChartJsBarChartDisplayer> { }
  public abstract class ContextualProvider_factory__o_u_p_c_s_PreferenceStore__quals__Universal extends Factory<PreferenceStore> { }
  public abstract class Type_factory__o_u_e_p_c_e_DynamicMenuEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority extends Factory<DynamicMenuEditorPresenterActivity> { }
  public abstract class Type_factory__o_d_c_s_w_SalesTableReports__quals__j_e_i_Any_j_e_i_Default extends Factory<SalesTableReports> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_c_ElasticSearchDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetBasicAttributesWorkflow> { }
  public abstract class Type_factory__o_u_e_p_c_p_PlugInAuthoringPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<PlugInAuthoringPerspective> { }
  public abstract class Type_factory__o_u_e_p_c_a_i_AdminPageItemPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPageItemPresenter> { }
  public abstract class Type_factory__o_d_c_e_DisplayerDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerDragComponent> { }
  public abstract class Type_factory__o_d_c_c_e_m_MapEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<MapEditor> { }
  public abstract class Type_factory__o_u_c_v_p_t_UberTabPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<UberTabPanel> { }
  public abstract class JsType_factory__o_u_c_m_Activity__quals__Universal extends Factory<Activity> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleMeterChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleMeterChartDisplayer> { }
  public abstract class Type_factory__o_d_c_n_i_NavigationManagerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<NavigationManagerImpl> { }
  public abstract class Type_factory__o_u_e_p_c_e_EditorPlugInEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority extends Factory<EditorPlugInEditorPresenterActivity> { }
  public abstract class Type_factory__o_d_c_n_TopMenuBar__quals__j_e_i_Any_j_e_i_Default extends Factory<TopMenuBar> { }
  public abstract class Type_factory__o_u_s_c_SecurityEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityEntryPoint> { }
  public abstract class Type_factory__o_u_c_s_JSNativeSplashScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<JSNativeSplashScreen> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_BeanDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetDefAttributesDriver> { }
  public abstract class Type_factory__o_j_e_u_c_w_LocaleSelector__quals__j_e_i_Any_j_e_i_Default extends Factory<LocaleSelector> { }
  public abstract class Type_factory__o_d_d_c_DataSetClientServices__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetClientServices> { }
  public abstract class Type_factory__o_j_e_s_c_l_c_SecurityContextImpl_SecurityRolesConstraintPage__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityRolesConstraintPage> { }
  public abstract class Type_factory__o_j_e_i_c_l_i_CreationImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<CreationImpl> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_UsersExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<UsersExplorer> { }
  public abstract class Type_factory__o_j_e_d_c_ListComponentProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<ListComponentProvider> { }
  public abstract class Type_factory__o_u_e_p_c_a_AdminPagePerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<AdminPagePerspectiveActivity> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuItemPerspective__quals__Universal extends Factory<MenuItemPerspective> { }
  public abstract class Type_factory__o_u_p_s_i_DefaultPreferenceScopeTypes__quals__j_e_i_Any_o_u_a_FallbackImplementation extends Factory<DefaultPreferenceScopeTypes> { }
  public abstract class Type_factory__o_d_c_g_GalleryTreePresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<GalleryTreePresenterActivity> { }
  public abstract class JsType_factory__o_u_w_m_ContextDefinition__quals__Universal extends Factory<ContextDefinition> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_PerspectiveEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveEditorView> { }
  public abstract class Type_factory__o_u_e_w_c_c_b_UberfireBreadcrumbs__quals__j_e_i_Any_j_e_i_Default extends Factory<UberfireBreadcrumbs> { }
  public abstract class Type_factory__o_u_e_l_e_c_LayoutEditorPluginImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutEditorPluginImpl> { }
  public abstract class Type_factory__o_d_c_c_s_h_ContentManagerHomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<ContentManagerHomeScreenActivity> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefWizardScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefWizardScreen> { }
  public abstract class Type_factory__o_u_s_i_a_DefaultPermissionTypeRegistry__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultPermissionTypeRegistry> { }
  public abstract class Type_factory__o_u_c_v_p_s_SplashViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashViewImpl> { }
  public abstract class JsType_factory__o_u_c_m_PerspectiveActivity__quals__Universal extends Factory<PerspectiveActivity> { }
  public abstract class JsType_factory__o_j_e_e_c_c_JsTypeEventObserver__quals__Universal extends Factory<JsTypeEventObserver> { }
  public abstract class Type_factory__o_u_c_w_WorkbenchLayoutImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchLayoutImpl> { }
  public abstract class Type_factory__o_d_d_c_e_ClientDateFormatterImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientDateFormatterImpl> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<DataSetDefExplorerScreenActivity> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_HtmlEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<HtmlEditorPresenter> { }
  public abstract class Type_factory__o_u_c_e_PluginJSExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<PluginJSExporter> { }
  public abstract class Type_factory__o_d_d_c_w_f_TimeFrameEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<TimeFrameEditor> { }
  public abstract class Type_factory__o_d_d_c_p_DataSetPrototypes__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetPrototypes> { }
  public abstract class Type_factory__o_d_d_c_w_s_DefaultHtmlValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultHtmlValidator> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_SavePopUpPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<SavePopUpPresenter> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_DataSetEditorWorkflowFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetEditorWorkflowFactory> { }
  public abstract class JsType_factory__o_u_w_m_m_i_DefaultMenuGroup__quals__Universal extends Factory<DefaultMenuGroup> { }
  public abstract class Producer_factory__o_j_e_u_n_c_l_URLPatternMatcher__quals__j_e_i_Any_j_e_i_Default extends Factory<URLPatternMatcher> { }
  public abstract class Type_factory__o_u_c_d_UberfireDocksImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<UberfireDocksImpl> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_HtmlEditorActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority extends Factory<HtmlEditorActivity> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefFilterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefFilterEditor> { }
  public abstract class Type_factory__o_u_c_w_p_i_SimpleDnDWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<SimpleDnDWorkbenchPanelPresenter> { }
  public abstract class Type_factory__o_u_p_c_s_PreferenceStoreIOCProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferenceStoreIOCProvider> { }
  public abstract class Type_factory__o_j_e_i_c_l_i_LifecycleListenerRegistrarImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<LifecycleListenerRegistrarImpl> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_RenamePopUpView__quals__j_e_i_Any_j_e_i_Default extends Factory<RenamePopUpView> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleLineChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleLineChartDisplayerView> { }
  public abstract class Type_factory__o_d_d_c_w_g_DataSetGroupDateEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetGroupDateEditorView> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerSubtypeSelectorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerSubtypeSelectorView> { }
  public abstract class Type_factory__o_u_e_p_c_c_f_DefaultPreferenceFormView__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultPreferenceFormView> { }
  public abstract class Type_factory__o_d_c_c_e_f_FileUploadEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<FileUploadEditor> { }
  public abstract class Type_factory__o_u_e_w_c_c_d_LiveSearchDropDown__quals__j_e_i_Any_j_e_i_Default extends Factory<LiveSearchDropDown> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_EntitiesExplorerViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<EntitiesExplorerViewImpl> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_h_SecurityManagementHomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SecurityManagementHomeScreenActivity> { }
  public abstract class ContextualProvider_factory__o_j_e_c_c_d_HTMLElement__quals__Universal extends Factory<HTMLElement> { }
  public abstract class Type_factory__o_u_e_p_c_c_PreferencesCentralPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<PreferencesCentralPerspectiveActivity> { }
  public abstract class Producer_factory__o_u_e_e_c_c_f_e_TextFileExport__quals__j_e_i_Any_j_e_i_Default extends Factory<TextFileExport> { }
  public abstract class Type_factory__o_d_r_l_c_LienzoPieChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<LienzoPieChartDisplayer> { }
  public abstract class Type_factory__o_d_c_n_w_NavTreeEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTreeEditorView> { }
  public abstract class Type_factory__o_u_e_l_e_c_w_LayoutDragComponentGroupPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutDragComponentGroupPresenter> { }
  public abstract class Type_factory__o_j_e_v_c_ValidatorProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<ValidatorProvider> { }
  public abstract class Type_factory__o_d_d_c_ClientSettings__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientSettings> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_VersionHistoryPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<VersionHistoryPresenter> { }
  public abstract class Type_factory__o_u_p_s_b_m_PortablePreferenceMockBeanGeneratedImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PortablePreferenceMockBeanGeneratedImpl> { }
  public abstract class Type_factory__o_u_c_w_p_i_MultiTabWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<MultiTabWorkbenchPanelPresenter> { }
  public abstract class JsType_factory__o_u_w_m_CustomPanelDefinition__quals__Universal extends Factory<CustomPanelDefinition> { }
  public abstract class JsType_factory__o_u_b_v_Path__quals__Universal extends Factory<Path> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetEditorView> { }
  public abstract class Type_factory__o_d_d_c_DisplayerScreenPresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<DisplayerScreenPresenterActivity> { }
  public abstract class ContextualProvider_factory__o_j_e_i_c_a_Disposer__quals__Universal extends Factory<Disposer> { }
  public abstract class Type_factory__o_d_d_c_w_s_DefaultJsEvaluator__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultJsEvaluator> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_p_ErrorBox__quals__j_e_i_Any_j_e_i_Default extends Factory<ErrorBox> { }
  public abstract class ContextualProvider_factory__o_j_e_d_c_c_ListComponent__quals__Universal extends Factory<ListComponent> { }
  public abstract class Type_factory__o_u_c_w_p_i_SplitLayoutPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SplitLayoutPanelView> { }
  public abstract class Type_factory__o_u_e_e_c_c_m_BasicFileMenuBuilderImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<BasicFileMenuBuilderImpl> { }
  public abstract class Type_factory__o_u_c_v_p_m_ErrorPopupView__quals__j_e_i_Any_j_e_i_Default extends Factory<ErrorPopupView> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerSubtypeSelector__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerSubtypeSelector> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_RolesExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<RolesExplorer> { }
  public abstract class JsType_factory__o_u_w_m_m_HasEnabledStateChangeListeners__quals__Universal extends Factory<HasEnabledStateChangeListeners> { }
  public abstract class Type_factory__o_d_c_w_d_e_e_ElasticSearchDataSetEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetEditor> { }
  public abstract class Type_factory__o_d_d_c_DisplayerLocator__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerLocator> { }
  public abstract class Type_factory__o_d_c_g_GalleryWidgetPresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<GalleryWidgetPresenterActivity> { }
  public abstract class Type_factory__o_j_e_s_c_l_s_StorageHandlerProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<StorageHandlerProvider> { }
  public abstract class Type_factory__o_d_d_c_w_f_LikeToFunctionEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<LikeToFunctionEditorView> { }
  public abstract class Type_factory__o_u_c_w_t_AnyResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<AnyResourceType> { }
  public abstract class Type_factory__o_u_c_m_PlaceHistoryHandler__quals__j_e_i_Any_j_e_i_Default extends Factory<PlaceHistoryHandler> { }
  public abstract class Type_factory__o_u_c_w_w_n_NotificationManager__quals__j_e_i_Any_j_e_i_Default extends Factory<NotificationManager> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Select__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<org.jboss.errai.common.client.dom.Select> { }
  public abstract class Type_factory__o_u_e_p_c_a_c_AdminPageCategoryView__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPageCategoryView> { }
  public abstract class Type_factory__o_u_e_e_c_c_m_RestoreVersionCommandProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<RestoreVersionCommandProvider> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleMapDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleMapDisplayer> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeViewer__quals__j_e_i_Any_j_e_i_Default extends Factory<MultiplePermissionNodeViewer> { }
  public abstract class Type_factory__o_u_e_l_e_c_LayoutEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutEditorPresenter> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_c_ToggleCommentPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<ToggleCommentPresenter> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_ColumnListEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnListEditor> { }
  public abstract class Type_factory__o_u_c_e_t_JSNativeClientResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<JSNativeClientResourceType> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerHtmlEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerHtmlEditorView> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_c_ComponentColumn__quals__j_e_i_Any_j_e_i_Default extends Factory<ComponentColumn> { }
  public abstract class ContextualProvider_factory__o_j_e_u_n_c_l_TransitionToRole__quals__Universal extends Factory<TransitionToRole> { }
  public abstract class Type_factory__o_u_c_w_t_DotResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<DotResourceType> { }
  public abstract class Producer_factory__o_j_e_c_c_d_Document__quals__j_e_i_Any_j_e_i_Default extends Factory<Document> { }
  public abstract class Type_factory__o_d_d_e_f_AggregateFunctionManagerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<AggregateFunctionManagerImpl> { }
  public abstract class Provider_factory__o_j_e_s_c_l_s_UserStorageHandler__quals__j_e_i_Any_j_e_i_Default extends Factory<UserStorageHandler> { }
  public abstract class Type_factory__o_d_c_c_w_PerspectivesExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectivesExplorer> { }
  public abstract class ContextualProvider_factory__o_j_e_i_c_a_ManagedInstance__quals__Universal extends Factory<ManagedInstance> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_DataSetDefBasicAttributesDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefBasicAttributesDriver> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_AssignedEntitiesInlineEditorView__quals__j_e_i_Any_o_u_e_s_m_c_w_m_e_AssignedEntitiesInlineEditor extends Factory<AssignedEntitiesInlineEditorView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_p_LoadingBoxView__quals__j_e_i_Any_j_e_i_Default extends Factory<org.uberfire.ext.security.management.client.widgets.popup.LoadingBoxView> { }
  public abstract class JsType_factory__o_u_w_m_m_Menus__quals__Universal extends Factory<Menus> { }
  public abstract class Type_factory__o_u_e_l_e_c_i_DragHelperComponentColumn__quals__j_e_i_Any_j_e_i_Default extends Factory<DragHelperComponentColumn> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Anchor__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<org.jboss.errai.common.client.dom.Anchor> { }
  public abstract class Type_factory__o_u_c_p_JSNativePerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<JSNativePerspective> { }
  public abstract class Type_factory__o_u_p_s_i_PreferenceScopeValidatorImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferenceScopeValidatorImpl> { }
  public abstract class Type_factory__o_u_e_p_e_c_PropertyEditorWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<PropertyEditorWidget> { }
  public abstract class Type_factory__o_d_r_c_ChartJsBarChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<ChartJsBarChartDisplayerView> { }
  public abstract class Type_factory__o_u_e_p_c_c_t_TreeHierarchyLeafItemPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<TreeHierarchyLeafItemPresenter> { }
  public abstract class Type_factory__o_u_c_v_p_m_UserMenuViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<UserMenuViewImpl> { }
  public abstract class Type_factory__o_d_c_c_r_i_ContentManagerI18n__quals__j_e_i_Any_j_e_i_Default extends Factory<ContentManagerI18n> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionSwitch__quals__j_e_i_Any_j_e_i_Default extends Factory<PermissionSwitch> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedGroupsEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<UserAssignedGroupsEditor> { }
  public abstract class JsType_factory__o_u_c_m_PlaceStatus__quals__Universal extends Factory<PlaceStatus> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshIntervalEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefRefreshIntervalEditor> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleAreaChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleAreaChartDisplayer> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_AssignedEntitiesModalEditorView__quals__j_e_i_Any_o_u_e_s_m_c_w_m_e_AssignedEntitiesModalEditor extends Factory<AssignedEntitiesModalEditorView> { }
  public abstract class ContextualProvider_factory__o_u_p_s_PreferenceScopeResolutionStrategy__quals__Universal extends Factory<PreferenceScopeResolutionStrategy> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_DeletePopUpView__quals__j_e_i_Any_j_e_i_Default extends Factory<DeletePopUpView> { }
  public abstract class Type_factory__o_d_d_c_w_s_SourceCodeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<SourceCodeEditor> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleLineChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleLineChartDisplayer> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefBasicAttributesEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefBasicAttributesEditorView> { }
  public abstract class Type_factory__o_d_d_c_w_f_TextParameterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<TextParameterEditorView> { }
  public abstract class JsType_factory__o_u_s_Resource__quals__Universal extends Factory<Resource> { }
  public abstract class Type_factory__o_u_e_p_c_c_PreferencesCentralNavBarScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<PreferencesCentralNavBarScreenActivity> { }
  public abstract class Type_factory__o_u_c_w_p_i_LayoutPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutPanelPresenter> { }
  public abstract class Type_factory__o_u_c_s_JSNativeScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<JSNativeScreen> { }
  public abstract class Type_factory__o_u_e_p_c_c_s_PreferencesRootView__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferencesRootView> { }
  public abstract class Type_factory__o_u_c_v_p_w_Modal__quals__j_e_i_Any_j_e_i_Default extends Factory<Modal> { }
  public abstract class Type_factory__o_u_c_a_DefaultWorkbenchController__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultWorkbenchController> { }
  public abstract class ContextualProvider_factory__o_j_e_d_c_a_DataBinder__quals__Universal extends Factory<DataBinder> { }
  public abstract class ExtensionProvided_factory__o_s_Logger__quals__Universal_2 extends Factory<Logger> { }
  public abstract class ExtensionProvided_factory__o_s_Logger__quals__Universal_1 extends Factory<Logger> { }
  public abstract class ExtensionProvided_factory__o_s_Logger__quals__Universal_4 extends Factory<Logger> { }
  public abstract class ExtensionProvided_factory__o_s_Logger__quals__Universal_3 extends Factory<Logger> { }
  public abstract class ExtensionProvided_factory__o_s_Logger__quals__Universal_6 extends Factory<Logger> { }
  public abstract class ExtensionProvided_factory__o_s_Logger__quals__Universal_5 extends Factory<Logger> { }
  public abstract class Type_factory__o_u_e_w_c_c_t_p_NewTabFilterPopup__quals__j_e_i_Any_j_e_i_Default extends Factory<NewTabFilterPopup> { }
  public abstract class Type_factory__o_d_d_e_c_p_DataSetAuthoringPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetAuthoringPerspective> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuItemPlain__quals__Universal extends Factory<MenuItemPlain> { }
  public abstract class Type_factory__o_d_c_n_w_NavItemEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavItemEditorView> { }
  public abstract class Type_factory__o_u_c_w_w_m_WorkbenchMenuBarProducer__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchMenuBarProducer> { }
  public abstract class Type_factory__o_u_e_p_c_e_DynamicMenuEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<DynamicMenuEditorPresenter> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<MultiplePermissionNodeEditor> { }
  public abstract class Type_factory__o_u_e_p_c_a_i_AdminPageItemView__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPageItemView> { }
  public abstract class Type_factory__o_d_c_c_w_FilterLabelView__quals__j_e_i_Any_j_e_i_Default extends Factory<FilterLabelView> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_RestorePopUpPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<RestorePopUpPresenter> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerEditorPopup__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerEditorPopup> { }
  public abstract class Type_factory__o_j_e_i_c_a_b_RootPanelProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<RootPanelProvider> { }
  public abstract class Type_factory__o_d_c_c_w_FilterLabelSetView__quals__j_e_i_Any_j_e_i_Default extends Factory<FilterLabelSetView> { }
  public abstract class Producer_factory__o_j_e_u_n_c_l_s_NavigationGraph__quals__j_e_i_Any_j_e_i_Default extends Factory<NavigationGraph> { }
  public abstract class ExtensionProvided_factory__o_s_Logger__quals__Universal extends Factory<Logger> { }
  public abstract class Type_factory__o_u_c_m_PlaceRequestHistoryMapperImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PlaceRequestHistoryMapperImpl> { }
  public abstract class JsType_factory__o_u_w_m_i_PanelDefinitionImpl__quals__Universal extends Factory<PanelDefinitionImpl> { }
  public abstract class Type_factory__o_u_e_p_c_e_ScreenEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority extends Factory<ScreenEditorPresenterActivity> { }
  public abstract class ExtensionProvided_factory__c_g_g_d_c_AnchorElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<AnchorElement> { }
  public abstract class Producer_factory__o_u_c_v_p_w_JQueryProducer_JQuery__quals__j_e_i_Any_j_e_i_Default extends Factory<JQuery> { }
  public abstract class Type_factory__o_j_e_u_c_w_ListWidgetProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<ListWidgetProvider> { }
  public abstract class Type_factory__o_d_d_c_w_f_DateParameterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DateParameterEditor> { }
  public abstract class Type_factory__o_u_e_l_e_c_w_LayoutDragComponentWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutDragComponentWidget> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_URLPatternMatcherProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<URLPatternMatcherProvider> { }
  public abstract class Type_factory__o_d_c_n_p_PerspectivePluginManager__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectivePluginManager> { }
  public abstract class Type_factory__o_d_d_c_DisplayerCoordinator__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerCoordinator> { }
  public abstract class Type_factory__o_u_c_v_p_m_Bs3Modal__quals__j_e_i_Any_j_e_i_Default extends Factory<Bs3Modal> { }
  public abstract class Type_factory__o_d_d_c_w_f_TextParameterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<TextParameterEditor> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_RestoreUtil__quals__j_e_i_Any_j_e_i_Default extends Factory<RestoreUtil> { }
  public abstract class Type_factory__o_d_c_c_b_PathUrlFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<PathUrlFactory> { }
  public abstract class Type_factory__o_d_r_c_m_MetricView__quals__j_e_i_Any_j_e_i_Default extends Factory<MetricView> { }
  public abstract class Type_factory__o_d_c_n_w_NavItemTileWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<NavItemTileWidget> { }
  public abstract class Type_factory__o_u_e_p_c_p_RuntimePluginStartup__quals__j_e_i_Any_j_e_i_Default extends Factory<RuntimePluginStartup> { }
  public abstract class Type_factory__o_d_d_c_w_g_ColumnFunctionEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnFunctionEditorView> { }
  public abstract class Type_factory__o_u_e_p_c_s_PluginController__quals__j_e_i_Any_j_e_i_Default extends Factory<PluginController> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_r_w_RoleEditorWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<RoleEditorWorkflow> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_c_ContainerView__quals__j_e_i_Any_j_e_i_Default extends Factory<ContainerView> { }
  public abstract class JsType_factory__o_u_w_m_ContextDisplayMode__quals__Universal extends Factory<ContextDisplayMode> { }
  public abstract class Type_factory__o_d_c_n_l_e_NavCarouselDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<NavCarouselDragComponent> { }
  public abstract class Type_factory__o_u_c_w_WorkbenchLayoutInfoImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchLayoutInfoImpl> { }
  public abstract class Type_factory__o_d_c_c_e_l_HorizImageListEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<HorizImageListEditorView> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Label__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<Label> { }
  public abstract class Provider_factory__j_v_Validator__quals__j_e_i_Any_j_e_i_Default extends Factory<Validator> { }
  public abstract class JsType_factory__o_u_w_m_PerspectiveDefinition__quals__Universal extends Factory<PerspectiveDefinition> { }
  public abstract class Type_factory__o_u_c_w_LayoutSelection__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutSelection> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_ACLViewerView__quals__j_e_i_Any_j_e_i_Default extends Factory<ACLViewerView> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_e_CSVDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetEditWorkflow> { }
  public abstract class Type_factory__o_j_e_u_s_ServerTemplateProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<ServerTemplateProvider> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerEditor> { }
  public abstract class ExtensionProvided_factory__o_g_c_u_Button__quals__j_e_i_Any_j_e_i_Default extends Factory<Button> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_UserEditorScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<UserEditorScreenActivity> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_CSVDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetDefAttributesDriver> { }
  public abstract class Type_factory__o_u_e_s_m_c_ClientSecurityExceptionMessageResolver__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientSecurityExceptionMessageResolver> { }
  public abstract class Type_factory__o_u_c_m_PlaceManagerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PlaceManagerImpl> { }
  public abstract class Type_factory__o_u_c_m_CustomSplashHelp__quals__j_e_i_Any_j_e_i_Default extends Factory<CustomSplashHelp> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<LeafPermissionNodeEditorView> { }
  public abstract class Type_factory__o_u_e_p_e_c_f_SecretTextField__quals__j_e_i_Any_j_e_i_Default extends Factory<SecretTextField> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_VersionMenuDropDownButtonViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<VersionMenuDropDownButtonViewImpl> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_VersionHistoryPresenterViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<VersionHistoryPresenterViewImpl> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefFilterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefFilterEditorView> { }
  public abstract class Type_factory__o_u_s_i_a_DefaultAuthorizationManager__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultAuthorizationManager> { }
  public abstract class Type_factory__o_j_e_i_c_a_b_IOCBeanManagerProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<IOCBeanManagerProvider> { }
  public abstract class ExtensionProvided_factory__o_u_c_w_w_l_ResizeFlowPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<ResizeFlowPanel> { }
  public abstract class Type_factory__o_u_e_p_c_p_PlugInAuthoringPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<PlugInAuthoringPerspectiveActivity> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_p_ErrorBoxView__quals__j_e_i_Any_j_e_i_Default extends Factory<ErrorBoxView> { }
  public abstract class Type_factory__o_u_e_p_c_c_a_PreferencesCentralActionsScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferencesCentralActionsScreen> { }
  public abstract class Type_factory__o_u_c_e_JSNativeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<JSNativeEditor> { }
  public abstract class Type_factory__o_u_e_p_c_e_ScreenEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<ScreenEditorPresenter> { }
  public abstract class Type_factory__o_d_c_c_w_AlertPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<AlertPanel> { }
  public abstract class JsType_factory__o_u_c_m_WorkbenchActivity__quals__Universal extends Factory<WorkbenchActivity> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleTableDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleTableDisplayer> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_TransitionAnchorFactoryProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<TransitionAnchorFactoryProvider> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_CreateEntity__quals__j_e_i_Any_j_e_i_Default extends Factory<CreateEntity> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_ChangePassword__quals__j_e_i_Any_j_e_i_Default extends Factory<ChangePassword> { }
  public abstract class Type_factory__o_d_r_c_ChartJsRenderer__quals__j_e_i_Any_j_e_i_Default extends Factory<ChartJsRenderer> { }
  public abstract class Type_factory__o_u_c_m_WorkbenchViewModeSwitcherMenuBuilder__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchViewModeSwitcherMenuBuilder> { }
  public abstract class Type_factory__o_u_c_m_ActivityLifecycleErrorHandler__quals__j_e_i_Any_j_e_i_Default extends Factory<ActivityLifecycleErrorHandler> { }
  public abstract class Type_factory__o_u_c_w_p_i_UnanchoredStaticWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<UnanchoredStaticWorkbenchPanelView> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_TextInput__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<TextInput> { }
  public abstract class Type_factory__o_u_e_l_e_c_i_DnDManager__quals__j_e_i_Any_j_e_i_Default extends Factory<DnDManager> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_HtmlResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<HtmlResourceType> { }
  public abstract class Type_factory__o_j_e_i_s_b_c_RequestDispatcherProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<RequestDispatcherProvider> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_DataSetEditorWorkflowView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetEditorWorkflowView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<UserAttributesEditor> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_e_SQLDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetEditWorkflow> { }
  public abstract class Type_factory__o_u_c_v_p_w_InlineNotification__quals__j_e_i_Any_j_e_i_Default extends Factory<InlineNotification> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerEditorView> { }
  public abstract class Type_factory__o_u_e_p_e_c_f_ComboField__quals__j_e_i_Any_j_e_i_Default extends Factory<ComboField> { }
  public abstract class Type_factory__o_u_s_c_a_t_i_DefaultPermissionTreeFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultPermissionTreeFactory> { }
  public abstract class JsType_factory__o_u_s_a_RuntimeResource__quals__Universal extends Factory<RuntimeResource> { }
  public abstract class Type_factory__o_u_c_m_ActivityBeansCache__quals__j_e_i_Any_j_e_i_Default extends Factory<ActivityBeansCache> { }
  public abstract class Type_factory__o_d_d_c_w_s_SourceCodeEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<SourceCodeEditorView> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_DataColumnDefEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataColumnDefEditorView> { }
  public abstract class Type_factory__o_u_c_d_v_DocksBars__quals__j_e_i_Any_j_e_i_Default extends Factory<DocksBars> { }
  public abstract class Type_factory__o_u_e_p_c_w_p_NewPluginPopUpViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<NewPluginPopUpViewImpl> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_OrderedList__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<OrderedList> { }
  public abstract class Type_factory__o_j_e_i_c_a_b_DisposerProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<DisposerProvider> { }
  public abstract class Type_factory__o_d_d_c_w_RendererSelector__quals__j_e_i_Any_j_e_i_Default extends Factory<RendererSelector> { }
  public abstract class Type_factory__o_u_e_p_t_DynamicMenuResourceTypeDefinition__quals__j_e_i_Any_j_e_i_Default extends Factory<DynamicMenuResourceTypeDefinition> { }
  public abstract class Type_factory__o_j_e_i_s_b_c_MessageBusProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<MessageBusProvider> { }
  public abstract class Producer_factory__o_u_e_e_c_c_f_e_PdfFileExport__quals__j_e_i_Any_j_e_i_Default extends Factory<PdfFileExport> { }
  public abstract class Type_factory__o_d_c_s_PermissionTreeSetup__quals__j_e_i_Any_j_e_i_Default extends Factory<PermissionTreeSetup> { }
  public abstract class Type_factory__o_d_c_p_SalesDashboardPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<SalesDashboardPerspective> { }
  public abstract class Type_factory__o_u_c_v_p_m_MultiPageEditorImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<MultiPageEditorImpl> { }
  public abstract class Type_factory__o_d_d_c_e_ClientChronometer__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientChronometer> { }
  public abstract class Type_factory__o_j_e_i_s_b_c_SenderProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<SenderProvider> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_RenamePopUpPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<RenamePopUpPresenter> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_r_EmptyDropRow__quals__j_e_i_Any_j_e_i_Default extends Factory<EmptyDropRow> { }
  public abstract class Type_factory__o_j_e_i_c_a_b_ManagedInstanceProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<ManagedInstanceProvider> { }
  public abstract class Type_factory__o_u_e_l_e_c_i_LayoutDragComponentHelper__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutDragComponentHelper> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_c_CSVDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetBasicAttributesWorkflow> { }
  public abstract class Type_factory__o_d_r_l_c_LienzoBarChartDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<LienzoBarChartDisplayer> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_l_e_p_EditHTMLView__quals__j_e_i_Any_j_e_i_Default extends Factory<EditHTMLView> { }
  public abstract class JsType_factory__j_u_List__quals__Universal extends Factory<List> { }
  public abstract class Type_factory__o_d_c_w_d_e_s_SQLDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetDefAttributesEditor> { }
  public abstract class Type_factory__o_d_c_c_s_e_ContentExplorerScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<ContentExplorerScreen> { }
  public abstract class Type_factory__o_d_c_d_DashboardManager__quals__j_e_i_Any_j_e_i_Default extends Factory<DashboardManager> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetSummary__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetSummary> { }
  public abstract class Type_factory__o_j_e_s_c_l_i_AuthenticationServiceInterceptor__quals__j_e_i_Any_j_e_i_Default extends Factory<AuthenticationServiceInterceptor> { }
  public abstract class Type_factory__o_u_e_l_e_c_LayoutEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<LayoutEditorView> { }
  public abstract class Type_factory__o_u_e_p_c_c_t_TreeHierarchyStructurePresenter__quals__j_e_i_Any_o_u_e_p_c_c_t_TreeView extends Factory<TreeHierarchyStructurePresenter> { }
  public abstract class Type_factory__o_u_p_c_s_PreferenceBeanStoreImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferenceBeanStoreImpl> { }
  public abstract class Type_factory__o_u_c_v_p_l_ListBarWidgetImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<ListBarWidgetImpl> { }
  public abstract class Type_factory__o_u_c_m_WorkbenchViewModeSwitcherPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchViewModeSwitcherPresenter> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_l_e_ScreenLayoutDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<ScreenLayoutDragComponent> { }
  public abstract class Type_factory__o_j_e_u_c_l_p_HTMLElementProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<HTMLElementProvider> { }
  public abstract class Type_factory__o_d_c_e_DisplayerEditorEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerEditorEntryPoint> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetAuthoringHomePresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetAuthoringHomePresenter> { }
  public abstract class Type_factory__o_d_c_n_l_e_NavTabListDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTabListDragComponent> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_l_RolesList__quals__j_e_i_Any_j_e_i_Default extends Factory<RolesList> { }
  public abstract class JsType_factory__o_u_w_m_m_i_DefaultMenus__quals__Universal extends Factory<DefaultMenus> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_HtmlEditorLibraryLoader__quals__j_e_i_Any_j_e_i_Default extends Factory<HtmlEditorLibraryLoader> { }
  public abstract class Type_factory__o_u_e_e_c_c_v_DefaultFileNameValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultFileNameValidator> { }
  public abstract class ExtensionProvided_factory__o_g_c_u_h_Span__quals__j_e_i_Any_j_e_i_Default extends Factory<org.gwtbootstrap3.client.ui.html.Span> { }
  public abstract class Type_factory__o_d_c_c_e_l_DropDownEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DropDownEditorView> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_SQLDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetDefAttributesDriver> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_DataSetDefProviderTypeDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefProviderTypeDriver> { }
  public abstract class Type_factory__o_u_c_d_v_m_MenuBuilder__quals__j_e_i_Any_j_e_i_Default extends Factory<MenuBuilder> { }
  public abstract class Producer_factory__o_d_c_w_d_e_d_SQLDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetDefDriver> { }
  public abstract class Producer_factory__o_u_e_e_c_c_f_p_CopyPopUpPresenter_View__quals__j_e_i_Any_o_u_e_e_c_c_f_Customizable extends Factory<View> { }
  public abstract class Type_factory__o_d_d_c_w_f_DataSetFilterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetFilterEditorView> { }
  public abstract class Type_factory__o_d_c_n_w_NavCarouselWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<NavCarouselWidget> { }
  public abstract class Type_factory__o_u_e_w_c_c_t_p_NewFilterPopup__quals__j_e_i_Any_j_e_i_Default extends Factory<NewFilterPopup> { }
  public abstract class Type_factory__o_u_e_p_c_c_a_PreferencesCentralActionsScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<PreferencesCentralActionsScreenActivity> { }
  public abstract class Type_factory__o_u_e_w_c_c_t_FilterPagedTable__quals__j_e_i_Any_j_e_i_Default extends Factory<FilterPagedTable> { }
  public abstract class Type_factory__o_u_c_v_p_m_UtilityMenuBarView__quals__j_e_i_Any_j_e_i_Default extends Factory<UtilityMenuBarView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_p_ConfirmBoxView__quals__j_e_i_Any_j_e_i_Default extends Factory<ConfirmBoxView> { }
  public abstract class Type_factory__o_d_r_g_c_GooglePieChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GooglePieChartDisplayerView> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_ListItem__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<ListItem> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_BaseScreenView__quals__j_e_i_Any_j_e_i_Default extends Factory<BaseScreenView> { }
  public abstract class Type_factory__o_d_d_c_w_DataSetLookupEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetLookupEditor> { }
  public abstract class Producer_factory__o_u_r_SessionInfo__quals__j_e_i_Any_j_e_i_Default extends Factory<SessionInfo> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_RoleEditorScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<RoleEditorScreenActivity> { }
  public abstract class ContextualProvider_factory__o_j_e_u_c_w_ListWidget__quals__Universal extends Factory<ListWidget> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<UserEditorView> { }
  public abstract class Type_factory__o_d_c_p_DisplayerGalleryPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerGalleryPerspective> { }
  public abstract class Type_factory__o_d_c_c_w_AlertPanelView__quals__j_e_i_Any_j_e_i_Default extends Factory<AlertPanelView> { }
  public abstract class Type_factory__o_u_e_p_c_c_f_DefaultPreferenceFormActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<DefaultPreferenceFormActivity> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_SecurityExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SecurityExplorerScreenActivity> { }
  public abstract class JsType_factory__o_u_m_i_ExternalPathPlaceRequest__quals__Universal extends Factory<ExternalPathPlaceRequest> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_DataColumnDefEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataColumnDefEditor> { }
  public abstract class Type_factory__o_j_e_e_c_c_InstanceProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<InstanceProvider> { }
  public abstract class Type_factory__o_d_c_c_w_AlertBox__quals__j_e_i_Any_j_e_i_Default extends Factory<AlertBox> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeViewerView__quals__j_e_i_Any_j_e_i_Default extends Factory<LeafPermissionNodeViewerView> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_CSVDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetDefAttributesEditorView> { }
  public abstract class Type_factory__o_u_c_v_p_n_NotificationPopupsManagerView__quals__j_e_i_Any_j_e_i_Default extends Factory<NotificationPopupsManagerView> { }
  public abstract class Type_factory__o_u_c_w_p_i_SplitLayoutPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<SplitLayoutPanelPresenter> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_CopyPopUpPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<CopyPopUpPresenter> { }
  public abstract class Type_factory__o_u_c_v_p_w_DateRangePicker__quals__j_e_i_Any_j_e_i_Default extends Factory<DateRangePicker> { }
  public abstract class Type_factory__o_d_c_w_d_e_e_ElasticSearchDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetDefAttributesEditor> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuCustom__quals__Universal extends Factory<MenuCustom> { }
  public abstract class Type_factory__o_d_d_c_w_f_ColumnFilterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnFilterEditorView> { }
  public abstract class JsType_factory__o_j_e_e_c_c_WindowEventObservers__quals__Universal extends Factory<WindowEventObservers> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeViewer__quals__j_e_i_Any_j_e_i_Default extends Factory<LeafPermissionNodeViewer> { }
  public abstract class Type_factory__o_u_c_m_ForceUnlockEventObserver__quals__j_e_i_Any_j_e_i_Default extends Factory<ForceUnlockEventObserver> { }
  public abstract class Type_factory__o_u_c_w_w_d_WorkbenchPickupDragController__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchPickupDragController> { }
  public abstract class Type_factory__o_u_c_w_PanelManagerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PanelManagerImpl> { }
  public abstract class Type_factory__o_u_e_p_c_t_SplashPluginResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashPluginResourceType> { }
  public abstract class Type_factory__o_d_c_c_e_l_DropDownImageListEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DropDownImageListEditorView> { }
  public abstract class ExtensionProvided_factory__o_g_c_u_CheckBox__quals__j_e_i_Any_j_e_i_Default extends Factory<CheckBox> { }
  public abstract class ContextualProvider_factory__o_j_e_i_s_b_c_Sender__quals__Universal extends Factory<Sender> { }
  public abstract class Type_factory__o_u_e_p_c_w_n_PluginNavList__quals__j_e_i_Any_j_e_i_Default extends Factory<PluginNavList> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<LeafPermissionNodeEditor> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefProviderTypeEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefProviderTypeEditor> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorLabelItem__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorLabelItem> { }
  public abstract class Type_factory__o_u_c_m_SplashScreenMenuPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<SplashScreenMenuPresenter> { }
  public abstract class ExtensionProvided_factory__c_g_g_u_c_u_FlowPanel__quals__j_e_i_Any_j_e_i_Default extends Factory<FlowPanel> { }
  public abstract class Type_factory__o_d_d_c_w_DataSetLookupEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetLookupEditorView> { }
  public abstract class Type_factory__o_u_e_w_c_c_b_w_BreadcrumbsPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<BreadcrumbsPresenter> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_ACLSettings__quals__j_e_i_Any_j_e_i_Default extends Factory<ACLSettings> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_e_j_FileExportScriptInjector__quals__j_e_i_Any_j_e_i_Default extends Factory<FileExportScriptInjector> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorDisplayer> { }
  public abstract class Type_factory__o_d_c_c_e_ValueBoxEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ValueBoxEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_g_GroupEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<GroupEditor> { }
  public abstract class Type_factory__o_u_e_p_c_c_t_TreeHierarchyLeafItemView__quals__j_e_i_Any_j_e_i_Default extends Factory<TreeHierarchyLeafItemView> { }
  public abstract class Type_factory__o_u_e_p_c_w_p_NewPluginPopUp__quals__j_e_i_Any_j_e_i_Default extends Factory<NewPluginPopUp> { }
  public abstract class Type_factory__o_d_c_s_HomeScreen__quals__j_e_i_Any_j_e_i_Default extends Factory<HomeScreen> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_PerspectiveEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority extends Factory<PerspectiveEditorPresenterActivity> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Div__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<Div> { }
  public abstract class Type_factory__o_d_c_c_l_e_PerspectiveDragConfigModal__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveDragConfigModal> { }
  public abstract class Type_factory__o_d_d_c_w_f_TimeFrameEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<TimeFrameEditorView> { }
  public abstract class JsType_factory__j_u_Collection__quals__Universal extends Factory<Collection> { }
  public abstract class JsType_factory__o_u_w_t_ResourceTypeDefinition__quals__Universal extends Factory<ResourceTypeDefinition> { }
  public abstract class Type_factory__o_d_d_c_DisplayerScreenPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerScreenPresenter> { }
  public abstract class Type_factory__o_d_c_w_d_e_w_e_ElasticSearchDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetEditWorkflow> { }
  public abstract class Type_factory__o_d_c_n_w_NavItemSelectionModal__quals__j_e_i_Any_j_e_i_Default extends Factory<NavItemSelectionModal> { }
  public abstract class Type_factory__o_d_c_w_d_e_s_SQLDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<SQLDataSetDefAttributesEditorView> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefColumnsFilterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefColumnsFilterEditor> { }
  public abstract class Type_factory__o_d_d_c_e_ClientIntervalBuilderDynamicDate__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientIntervalBuilderDynamicDate> { }
  public abstract class Type_factory__o_d_c_n_w_NavTabListWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTabListWidget> { }
  public abstract class Type_factory__o_u_e_p_c_a_AdminPagePresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<AdminPagePresenter> { }
  public abstract class Type_factory__o_u_c_JSEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<JSEntryPoint> { }
  public abstract class Type_factory__o_u_c_w_p_i_TemplatedWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<TemplatedWorkbenchPanelView> { }
  public abstract class Type_factory__o_u_s_c_a_AuthorizationManagerHelper__quals__j_e_i_Any_j_e_i_Default extends Factory<AuthorizationManagerHelper> { }
  public abstract class Producer_factory__o_j_e_s_s_a_i_User__quals__j_e_i_Any_j_e_i_Default extends Factory<User> { }
  public abstract class Type_factory__o_j_e_d_c_DataBinderProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<DataBinderProvider> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_PageTransitionProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<PageTransitionProvider> { }
  public abstract class Type_factory__o_u_c_w_p_n_p_WorkbenchPartPresenterDefault__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchPartPresenterDefault> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_p_SavePopUpView__quals__j_e_i_Any_j_e_i_Default extends Factory<SavePopUpView> { }
  public abstract class JsType_factory__o_u_c_m_PlaceManager__quals__Universal extends Factory<PlaceManager> { }
  public abstract class Type_factory__o_d_c_c_s_e_ContentExplorerScreenView__quals__j_e_i_Any_j_e_i_Default extends Factory<ContentExplorerScreenView> { }
  public abstract class Type_factory__o_d_d_c_w_s_DefaultJsValidator__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultJsValidator> { }
  public abstract class Type_factory__o_d_c_n_w_NavDropDownWidgetView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavDropDownWidgetView> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_TransitionAnchorProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<TransitionAnchorProvider> { }
  public abstract class Type_factory__o_u_c_v_p_m_UserMenu__quals__j_e_i_Any_j_e_i_Default extends Factory<UserMenu> { }
  public abstract class Type_factory__o_u_c_v_p_d_CompassWidgetImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<CompassWidgetImpl> { }
  public abstract class JsType_factory__o_u_w_m_t_ToolBarItem__quals__Universal extends Factory<ToolBarItem> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleBarChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleBarChartDisplayerView> { }
  public abstract class Type_factory__o_u_c_v_p_m_WorkbenchMenuCompactNavBarView__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchMenuCompactNavBarView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedRolesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<UserAssignedRolesEditor> { }
  public abstract class Type_factory__o_d_d_c_p_DisplayerPrototypes__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerPrototypes> { }
  public abstract class Type_factory__o_d_n_w_NavSecurityController__quals__j_e_i_Any_j_e_i_Default extends Factory<NavSecurityController> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_PerspectiveEditorPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveEditorPresenter> { }
  public abstract class Type_factory__o_u_c_v_p_p_PopupViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<PopupViewImpl> { }
  public abstract class Type_factory__o_u_e_p_c_w_p_GeneralPluginEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<GeneralPluginEditor> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_CreateEntityView__quals__j_e_i_Any_j_e_i_Default extends Factory<CreateEntityView> { }
  public abstract class Type_factory__o_u_c_v_p_w_ConfirmPopup__quals__j_e_i_Any_j_e_i_Default extends Factory<ConfirmPopup> { }
  public abstract class Type_factory__o_j_e_e_c_c_JsTypeEventObserver__quals__j_e_i_Any_j_e_i_Default extends Factory<JsTypeEventObserver> { }
  public abstract class Type_factory__o_u_c_w_w_t_WorkbenchToolBarPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchToolBarPresenter> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_c_ColumnWithComponents__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnWithComponents> { }
  public abstract class JsType_factory__o_u_c_m_LockTarget__quals__Universal extends Factory<LockTarget> { }
  public abstract class Type_factory__o_u_e_e_c_c_BaseEditorEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<BaseEditorEntryPoint> { }
  public abstract class Type_factory__o_u_e_p_c_t_EditorPluginResourceType__quals__j_e_i_Any_j_e_i_Default extends Factory<EditorPluginResourceType> { }
  public abstract class Type_factory__o_d_d_c_w_RendererSelectorListBoxView__quals__j_e_i_Any_j_e_i_Default extends Factory<RendererSelectorListBoxView> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_e_FileExportProducer__quals__j_e_i_Any_j_e_i_Default extends Factory<FileExportProducer> { }
  public abstract class JsType_factory__o_u_w_m_Position__quals__Universal extends Factory<Position> { }
  public abstract class Type_factory__o_u_e_p_c_e_EditorPlugInEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<EditorPlugInEditorView> { }
  public abstract class Type_factory__o_u_e_p_c_c_s_PreferencesRootScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<PreferencesRootScreenActivity> { }
  public abstract class JsType_factory__o_u_w_m_PanelDefinition__quals__Universal extends Factory<PanelDefinition> { }
  public abstract class Type_factory__o_d_c_n_l_e_NavTilesDragComponent__quals__j_e_i_Any_j_e_i_Default extends Factory<NavTilesDragComponent> { }
  public abstract class Type_factory__o_j_e_s_c_l_c_BasicUserCacheImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<BasicUserCacheImpl> { }
  public abstract class Type_factory__o_u_e_e_c_c_f_CopyPopUpViewProducer__quals__j_e_i_Any_j_e_i_Default extends Factory<CopyPopUpViewProducer> { }
  public abstract class Type_factory__o_u_e_p_c_w_m_MediaLibraryWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<MediaLibraryWidget> { }
  public abstract class Type_factory__o_u_c_e_EditorJSExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<EditorJSExporter> { }
  public abstract class Type_factory__o_d_d_e_c_s_DataSetDefScreenViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefScreenViewImpl> { }
  public abstract class Type_factory__o_u_e_p_c_RuntimePluginsEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<RuntimePluginsEntryPoint> { }
  public abstract class JsType_factory__o_u_c_m_LockTarget_TitleProvider__quals__Universal extends Factory<TitleProvider> { }
  public abstract class Type_factory__o_u_e_w_c_c_t_SimpleTable__quals__j_e_i_Any_j_e_i_Default extends Factory<SimpleTable> { }
  public abstract class Type_factory__o_u_e_p_c_c_t_TreeHierarchyInternalItemPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<TreeHierarchyInternalItemPresenter> { }
  public abstract class Type_factory__o_d_c_p_SalesReportsPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<SalesReportsPerspectiveActivity> { }
  public abstract class ExtensionProvided_factory__c_g_g_u_c_u_Label__quals__j_e_i_Any_j_e_i_Default extends Factory<com.google.gwt.user.client.ui.Label> { }
  public abstract class Type_factory__o_j_e_e_c_c_WindowEventObservers__quals__j_e_i_Any_j_e_i_Default extends Factory<WindowEventObservers> { }
  public abstract class Type_factory__o_d_d_c_RendererManager__quals__j_e_i_Any_j_e_i_Default extends Factory<RendererManager> { }
  public abstract class Type_factory__o_j_e_s_c_l_n_SecurityContextHoldingSingleton__quals__j_e_i_Any_j_e_i_Default extends Factory<SecurityContextHoldingSingleton> { }
  public abstract class Type_factory__o_u_e_w_c_c_c_BusyIndicatorView__quals__j_e_i_Any_j_e_i_Default extends Factory<BusyIndicatorView> { }
  public abstract class Type_factory__o_d_c_p_HomePerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<HomePerspective> { }
  public abstract class Type_factory__o_u_e_w_c_c_m_MenuItemDividerView__quals__j_e_i_Any_o_u_e_w_c_c_m_MenuItemDivider extends Factory<MenuItemDividerView> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedRolesExplorer__quals__j_e_i_Any_j_e_i_Default extends Factory<UserAssignedRolesExplorer> { }
  public abstract class Type_factory__o_d_d_c_w_DisplayerSettingsJSONSourceViewer__quals__j_e_i_Any_j_e_i_Default extends Factory<DisplayerSettingsJSONSourceViewer> { }
  public abstract class Type_factory__o_d_c_w_d_e_c_CSVDataSetEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<CSVDataSetEditor> { }
  public abstract class Type_factory__o_j_e_u_n_c_l_NavigationPanelProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<NavigationPanelProvider> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorSliderDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorSliderDisplayer> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_p_ConfirmBox__quals__j_e_i_Any_j_e_i_Default extends Factory<ConfirmBox> { }
  public abstract class JsType_factory__o_j_e_i_c_JsArray__quals__Universal extends Factory<JsArray> { }
  public abstract class Type_factory__o_d_d_c_w_f_DataSetFilterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetFilterEditor> { }
  public abstract class JsType_factory__o_u_w_m_CompassPosition__quals__Universal extends Factory<CompassPosition> { }
  public abstract class Type_factory__o_u_c_m_ActivityManagerImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<ActivityManagerImpl> { }
  public abstract class Type_factory__o_u_e_e_c_c_h_VersionMenuDropDownButton__quals__j_e_i_Any_j_e_i_Default extends Factory<VersionMenuDropDownButton> { }
  public abstract class Type_factory__o_u_e_s_m_c_e_r_RoleEditorDriver__quals__j_e_i_Any_j_e_i_Default extends Factory<RoleEditorDriver> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionSwitchView__quals__j_e_i_Any_j_e_i_Default extends Factory<PermissionSwitchView> { }
  public abstract class JsType_factory__o_u_w_m_m_MenuVisitor__quals__Universal extends Factory<MenuVisitor> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefBasicAttributesEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefBasicAttributesEditor> { }
  public abstract class Type_factory__o_d_c_w_d_e_e_ElasticSearchDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<ElasticSearchDataSetDefAttributesEditorView> { }
  public abstract class Type_factory__o_d_c_w_d_e_d_DataSetEditorDriverFactory__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetEditorDriverFactory> { }
  public abstract class Type_factory__o_u_c_w_p_i_TemplatedWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<TemplatedWorkbenchPanelPresenter> { }
  public abstract class Type_factory__o_d_c_g_GalleryTreePresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<GalleryTreePresenter> { }
  public abstract class Type_factory__o_d_c_n_w_NavDropDownWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<NavDropDownWidget> { }
  public abstract class Type_factory__o_u_p_c_s_PreferenceScopeResolutionStrategyIOCProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferenceScopeResolutionStrategyIOCProvider> { }
  public abstract class Type_factory__o_u_c_e_PerspectiveJSExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveJSExporter> { }
  public abstract class Type_factory__o_j_e_i_c_l_i_StateChangeImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<StateChangeImpl> { }
  public abstract class Provider_factory__o_j_e_b_c_a_m_RequestDispatcher__quals__j_e_i_Any_j_e_i_Default extends Factory<RequestDispatcher> { }
  public abstract class Type_factory__o_d_c_w_d_e_b_BeanDataSetEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<BeanDataSetEditor> { }
  public abstract class Type_factory__o_d_r_c_m_MetricDisplayer__quals__j_e_i_Any_j_e_i_Default extends Factory<MetricDisplayer> { }
  public abstract class Type_factory__o_d_c_n_w_NavMenuBarWidgetView__quals__j_e_i_Any_j_e_i_Default extends Factory<NavMenuBarWidgetView> { }
  public abstract class Type_factory__o_u_e_p_c_u_PreferenceFormBeansInfo__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferenceFormBeansInfo> { }
  public abstract class Type_factory__o_u_e_l_e_c_w_KebabWidget__quals__j_e_i_Any_j_e_i_Default extends Factory<KebabWidget> { }
  public abstract class Type_factory__o_u_c_v_p_w_ErrorPopup__quals__j_e_i_Any_j_e_i_Default extends Factory<ErrorPopup> { }
  public abstract class Type_factory__o_u_e_p_c_p_e_l_e_p_EditHTMLPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<EditHTMLPresenter> { }
  public abstract class Type_factory__o_d_c_p_DisplayerGalleryPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<DisplayerGalleryPerspectiveActivity> { }
  public abstract class Type_factory__o_j_e_u_c_l_s_TranslationServiceProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<TranslationServiceProvider> { }
  public abstract class Type_factory__o_d_c_c_e_l_DropDownEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<DropDownEditor> { }
  public abstract class ExtensionProvided_factory__o_u_e_w_c_c_a_AceEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<AceEditor> { }
  public abstract class Type_factory__o_u_p_c_s_ClientUsernameProvider__quals__j_e_i_Any_j_e_i_Default extends Factory<ClientUsernameProvider> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorDropDownItem__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorDropDownItem> { }
  public abstract class Type_factory__o_u_c_e_VFSJSExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<VFSJSExporter> { }
  public abstract class Type_factory__o_u_e_w_c_c_d_PerspectiveDropDown__quals__j_e_i_Any_j_e_i_Default extends Factory<PerspectiveDropDown> { }
  public abstract class Type_factory__o_d_c_w_d_e_DataSetDefPreviewTable__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefPreviewTable> { }
  public abstract class Type_factory__o_d_d_c_w_g_ColumnFunctionEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<ColumnFunctionEditor> { }
  public abstract class Type_factory__o_d_c_c_s_h_ContentManagerHomeView__quals__j_e_i_Any_j_e_i_Default extends Factory<ContentManagerHomeView> { }
  public abstract class Type_factory__o_d_r_g_c_GoogleMeterChartDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<GoogleMeterChartDisplayerView> { }
  public abstract class Type_factory__o_u_c_w_p_i_AdaptiveWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<AdaptiveWorkbenchPanelPresenter> { }
  public abstract class Type_factory__o_u_e_s_m_c_s_e_GroupEditorScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<GroupEditorScreenActivity> { }
  public abstract class Type_factory__o_j_e_s_c_l_c_DefaultBusSecurityErrorCallback__quals__j_e_i_Any_j_e_i_Default extends Factory<DefaultBusSecurityErrorCallback> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionExceptionSwitch__quals__j_e_i_Any_j_e_i_Default extends Factory<PermissionExceptionSwitch> { }
  public abstract class Type_factory__o_u_e_p_c_c_PluginConfigService__quals__j_e_i_Any_j_e_i_Default extends Factory<PluginConfigService> { }
  public abstract class Type_factory__o_d_c_w_d_e_a_DataSetDefCacheAttributesEditorViewImpl__quals__j_e_i_Any_j_e_i_Default extends Factory<DataSetDefCacheAttributesEditorViewImpl> { }
  public abstract class Type_factory__o_u_e_p_c_c_a_PreferencesCentralActionsView__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferencesCentralActionsView> { }
  public abstract class JsType_factory__o_u_c_w_t_ClientResourceType__quals__Universal extends Factory<ClientResourceType> { }
  public abstract class Type_factory__o_u_e_p_c_c_PreferencesCentralPerspective__quals__j_e_i_Any_j_e_i_Default extends Factory<PreferencesCentralPerspective> { }
  public abstract class Type_factory__o_d_r_c_s_SelectorSliderDisplayerView__quals__j_e_i_Any_j_e_i_Default extends Factory<SelectorSliderDisplayerView> { }
  public abstract class JsType_factory__o_u_w_m_ActivityResourceType__quals__Universal extends Factory<ActivityResourceType> { }
  public abstract class Type_factory__o_u_c_w_p_u_p_UnanchoredWorkbenchPartPresenter__quals__j_e_i_Any_j_e_i_Default extends Factory<UnanchoredWorkbenchPartPresenter> { }
  public abstract class Type_factory__o_d_d_c_w_f_MultipleNumberParameterEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<MultipleNumberParameterEditor> { }
  public abstract class Type_factory__o_d_c_c_e_f_FileUploadEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<FileUploadEditorView> { }
  public abstract class Producer_factory__o_j_e_i_c_c_SyncBeanManager__quals__j_e_i_Any_j_e_i_Default extends Factory<SyncBeanManager> { }
  public abstract class Type_factory__o_u_e_l_e_c_c_r_Row__quals__j_e_i_Any_j_e_i_Default extends Factory<Row> { }
  public abstract class Type_factory__o_d_d_c_w_f_LikeToFunctionEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<LikeToFunctionEditor> { }
  public abstract class ExtensionProvided_factory__o_j_e_c_c_d_Button__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<org.jboss.errai.common.client.dom.Button> { }
  public abstract class Type_factory__o_d_d_e_c_p_DataSetAuthoringPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<DataSetAuthoringPerspectiveActivity> { }
  public abstract class Type_factory__o_u_c_e_ResourceTypeDefinitionJSExporter__quals__j_e_i_Any_j_e_i_Default extends Factory<ResourceTypeDefinitionJSExporter> { }
  public abstract class Type_factory__o_d_d_c_w_f_NumberParameterEditorView__quals__j_e_i_Any_j_e_i_Default extends Factory<NumberParameterEditorView> { }
  public abstract class ExtensionProvided_factory__o_u_c_w_w_p_StaticFocusedResizePanel__quals__j_e_i_Any_j_e_i_Default extends Factory<StaticFocusedResizePanel> { }
  public abstract class Type_factory__o_u_e_s_m_c_ResourceBundleEntryPoint__quals__j_e_i_Any_j_e_i_Default extends Factory<ResourceBundleEntryPoint> { }
  public abstract class Type_factory__o_u_c_w_p_n_p_WorkbenchPartView__quals__j_e_i_Any_j_e_i_Default extends Factory<WorkbenchPartView> { }
  public abstract class Type_factory__o_d_d_c_w_f_TimeAmountEditor__quals__j_e_i_Any_j_e_i_Default extends Factory<TimeAmountEditor> { }
  public abstract class Provider_factory__o_j_e_u_c_l_s_TranslationService__quals__j_e_i_Any_j_e_i_Default extends Factory<TranslationService> { }
  public abstract class Type_factory__o_u_c_w_d_UberfireDocksContainer__quals__j_e_i_Any_j_e_i_Default extends Factory<UberfireDocksContainer> { }
  public abstract class Type_factory__o_u_e_s_m_c_w_m_e_a_ACLViewer__quals__j_e_i_Any_j_e_i_Default extends Factory<ACLViewer> { }
  public abstract class Type_factory__o_u_c_w_p_i_LayoutPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named extends Factory<LayoutPanelView> { }
  private static void addLookups_0() {
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.SaveRequestEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.DisplayerSubtypeSelectedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.ColumnFilterChangedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.properties.editor.model.PropertyEditorChangeEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.ErrorEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.plugin.event.PluginRenamed", "org.uberfire.ext.plugin.event.BasePluginEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.dataset.events.DataSetModifiedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.GroupFunctionDeletedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.DataSetGroupDateChanged", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.shared.dashboard.events.DashboardDeletedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.CancelRequestEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.dataset.events.DataSetStaleEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.DisplayerSettingsChangedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.navigation.event.NavTreeChangedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.DataSetLookupChangedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.DataSetFilterChangedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.dataset.events.DataSetDefRegisteredEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.ColumnFilterDeletedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.FilterChangedEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.common.client.event.ValueChangeEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.TabChangedEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.security.management.client.widgets.management.events.SaveRoleEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.security.management.client.widgets.management.events.SaveRoleEvent", "org.uberfire.workbench.events.UberFireEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.ColumnsChangedEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.TestDataSetRequestEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.plugin.event.PluginDeleted", "org.uberfire.ext.plugin.event.BasePluginEvent");
    CDIEventTypeLookup.get().addLookup("org.uberfire.client.workbench.events.PerspectiveChange", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.uberfire.client.workbench.events.PerspectiveChange", "org.uberfire.workbench.events.UberFireEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.dataset.events.DataSetDefRemovedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.common.client.event.ValueChangeEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.DataSetDefCreationRequestEvent", "org.dashbuilder.common.client.event.ContextualEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.dataset.events.DataSetDefModifiedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.security.management.client.widgets.management.events.SaveGroupEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.security.management.client.widgets.management.events.SaveGroupEvent", "org.uberfire.workbench.events.UberFireEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.EditDataSetEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.widgets.dataset.event.EditDataSetEvent", "org.uberfire.workbench.events.UberFireEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.dataset.events.DataSetPushOkEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.GroupFunctionChangedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.displayer.client.events.DisplayerTypeSelectedEvent", "java.lang.Object");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.plugin.event.PluginAdded", "org.uberfire.ext.plugin.event.BasePluginEvent");
    CDIEventTypeLookup.get().addLookup("org.uberfire.ext.plugin.event.PluginSaved", "org.uberfire.ext.plugin.event.BasePluginEvent");
    CDIEventTypeLookup.get().addLookup("org.dashbuilder.client.navigation.event.PerspectivePluginsChangedEvent", "java.lang.Object");
  }

  private void registerFactories0(final Context org_jboss_errai_ioc_client_container_ApplicationScopedContext_context, final Context org_jboss_errai_ioc_client_container_DependentScopeContext_context) {
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VFSLockServiceProxyBackendImpl>) GWT.create(Type_factory__o_u_c_VFSLockServiceProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryWidgetPresenter>) GWT.create(Type_factory__o_d_c_g_GalleryWidgetPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupsExplorer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_GroupsExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavItemEditor>) GWT.create(Type_factory__o_d_c_n_w_NavItemEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavigationPanel>) GWT.create(Provider_factory__o_j_e_u_n_c_l_NavigationPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ChangePasswordView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_ChangePasswordView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ComponentColumnView>) GWT.create(Type_factory__o_u_e_l_e_c_c_c_ComponentColumnView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LIElement>) GWT.create(ExtensionProvided_factory__c_g_g_d_c_LIElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupEditorScreen>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_GroupEditorScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DisplayerEditorStatus>) GWT.create(Type_factory__o_d_d_c_w_DisplayerEditorStatus__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserAttributesEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserAttributesEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Caller>) GWT.create(ContextualProvider_factory__o_j_e_c_c_a_Caller__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClientMessageBus>) GWT.create(Producer_factory__o_j_e_b_c_a_ClientMessageBus__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefProviderTypeEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefProviderTypeEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TransitionAnchorFactory>) GWT.create(ContextualProvider_factory__o_j_e_u_n_c_l_TransitionAnchorFactory__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ResourceAction>) GWT.create(JsType_factory__o_u_s_ResourceAction__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VFSServiceProxyClientImpl>) GWT.create(Type_factory__o_u_c_w_VFSServiceProxyClientImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<LayoutEditorEntryPoint>) GWT.create(Type_factory__o_u_e_l_e_c_LayoutEditorEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefColumnsFilterEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefColumnsFilterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<Workbench>) GWT.create(Type_factory__o_u_c_w_Workbench__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetDefAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_c_CSVDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetDefValidator>) GWT.create(Type_factory__o_d_v_d_CSVDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RoleEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_r_RoleEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ResourceActionRef>) GWT.create(JsType_factory__o_u_s_a_ResourceActionRef__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiListWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_MultiListWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<IntervalBuilderDynamicLabel>) GWT.create(Type_factory__o_d_d_e_g_IntervalBuilderDynamicLabel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ResourceType>) GWT.create(JsType_factory__o_u_s_ResourceType__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EntitiesListView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_l_EntitiesListView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<StaticChartScreen>) GWT.create(Type_factory__o_d_c_s_StaticChartScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ActivityBeansInfo>) GWT.create(Type_factory__o_u_c_m_ActivityBeansInfo__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuItemWithIconView>) GWT.create(Type_factory__o_u_e_w_c_c_m_MenuItemWithIconView__quals__j_e_i_Any_o_u_e_w_c_c_m_MenuItemWithIcon.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavMenuBarWidget>) GWT.create(Type_factory__o_d_c_n_w_NavMenuBarWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetBasicAttributesWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_c_SQLDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ACLEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_ACLEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_g_GroupEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPageCategoryPresenter>) GWT.create(Type_factory__o_u_e_p_c_a_c_AdminPageCategoryPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UnanchoredWorkbenchPartView>) GWT.create(Type_factory__o_u_c_w_p_u_p_UnanchoredWorkbenchPartView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferenceScopeTypes>) GWT.create(Producer_factory__o_u_p_s_PreferenceScopeTypes__quals__j_e_i_Any_o_u_a_Customizable.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutDragComponentGroupView>) GWT.create(Type_factory__o_u_e_l_e_c_w_LayoutDragComponentGroupView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserEditorScreen>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_UserEditorScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TextBox>) GWT.create(ExtensionProvided_factory__o_g_c_u_TextBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MapEditorView>) GWT.create(Type_factory__o_d_c_c_e_m_MapEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ToggleSwitchEditorView>) GWT.create(Type_factory__o_d_c_c_e_ToggleSwitchEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Select>) GWT.create(Type_factory__o_u_c_v_p_w_Select__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LienzoLineChartDisplayerView>) GWT.create(Type_factory__o_d_r_l_c_LienzoLineChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PanelDefinitionImpl>) GWT.create(Type_factory__o_u_w_m_i_PanelDefinitionImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPagePresenterActivity>) GWT.create(Type_factory__o_u_e_p_c_a_AdminPagePresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FileExportsPreferencesBeanGeneratedImpl>) GWT.create(Type_factory__o_u_e_e_c_f_e_FileExportsPreferencesBeanGeneratedImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetSummaryView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetSummaryView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiplePermissionNodeViewerView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeViewerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryHomeScreen>) GWT.create(Type_factory__o_d_c_s_GalleryHomeScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveDragConfigModalView>) GWT.create(Type_factory__o_d_c_c_l_e_PerspectiveDragConfigModalView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavCarouselWidgetView>) GWT.create(Type_factory__o_d_c_n_w_NavCarouselWidgetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TreeHierarchyInternalItemView>) GWT.create(Type_factory__o_u_e_p_c_c_t_TreeHierarchyInternalItemView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EditorPlugInEditorPresenter>) GWT.create(Type_factory__o_u_e_p_c_e_EditorPlugInEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserGroupsExplorer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_UserGroupsExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleTableDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GoogleTableDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupEditorWorkflow>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_g_w_GroupEditorWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SecurityManagementPerspective>) GWT.create(Type_factory__o_u_e_s_m_c_p_SecurityManagementPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuGroup>) GWT.create(JsType_factory__o_u_w_m_m_MenuGroup__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleBarChartDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GoogleBarChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdaptiveWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_AdaptiveWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Container>) GWT.create(ExtensionProvided_factory__o_g_c_u_Container__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefExplorerScreen>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefExplorerScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchDragAndDropManager>) GWT.create(Type_factory__o_u_c_w_w_d_WorkbenchDragAndDropManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTilesWidget>) GWT.create(Type_factory__o_d_c_n_w_NavTilesWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LockManagerImpl>) GWT.create(Type_factory__o_u_c_m_LockManagerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PriorityDropDown>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_PriorityDropDown__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefEditorPresenterActivity>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PerspectiveManagerImpl>) GWT.create(Type_factory__o_u_c_m_PerspectiveManagerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ContentManagerPerspective>) GWT.create(Type_factory__o_d_c_c_p_ContentManagerPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Event>) GWT.create(ContextualProvider_factory__j_e_e_Event__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClientSecurityRoleInterceptor>) GWT.create(Type_factory__o_j_e_s_c_l_i_ClientSecurityRoleInterceptor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<StandaloneEditorPerspective>) GWT.create(Type_factory__o_u_c_w_StandaloneEditorPerspective__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HomeScreenActivity>) GWT.create(Type_factory__o_d_c_s_HomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PermissionWidgetFactory>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionWidgetFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CopyPopUpView>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_CopyPopUpView__quals__j_e_i_Any_o_u_a_FallbackImplementation.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<InitBallot>) GWT.create(ContextualProvider_factory__o_j_e_i_c_a_InitBallot__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetDefValidator>) GWT.create(Type_factory__o_d_v_d_BeanDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DataSetValidatorProvider>) GWT.create(Type_factory__o_d_v_DataSetValidatorProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ToggleSwitchEditor>) GWT.create(Type_factory__o_d_c_c_e_ToggleSwitchEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SpanElement>) GWT.create(ExtensionProvided_factory__c_g_g_d_c_SpanElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectivesExplorerView>) GWT.create(Type_factory__o_d_c_c_w_PerspectivesExplorerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SalesExpectedByDate>) GWT.create(Type_factory__o_d_c_s_w_SalesExpectedByDate__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserCreationWorkflow>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_w_UserCreationWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Input>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Input__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerTypeSelector>) GWT.create(Type_factory__o_d_d_c_w_DisplayerTypeSelector__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VersionRecordManager>) GWT.create(Type_factory__o_u_e_e_c_c_h_VersionRecordManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetProviderTypeWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_c_DataSetProviderTypeWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ValueBoxEditorView>) GWT.create(Type_factory__o_d_c_c_e_ValueBoxEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<StaticWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_StaticWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientUUIDGenerator>) GWT.create(Type_factory__o_d_d_c_u_ClientUUIDGenerator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultipleNumberParameterEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_MultipleNumberParameterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientUserSystemManager>) GWT.create(Type_factory__o_u_e_s_m_c_ClientUserSystemManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HomePerspectiveActivity>) GWT.create(Type_factory__o_d_c_p_HomePerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<TableEntryPoint>) GWT.create(Type_factory__o_u_e_w_t_c_TableEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContentExplorerScreenActivity>) GWT.create(Type_factory__o_d_c_c_s_e_ContentExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TabPanelWithDropdowns>) GWT.create(Type_factory__o_u_c_v_p_t_TabPanelWithDropdowns__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RowView>) GWT.create(Type_factory__o_u_e_l_e_c_c_r_RowView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ToolBarIcon>) GWT.create(JsType_factory__o_u_w_m_t_ToolBarIcon__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PerspectiveEditorGenerator>) GWT.create(Type_factory__o_u_e_p_c_p_e_g_PerspectiveEditorGenerator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LockManager>) GWT.create(JsType_factory__o_u_c_m_LockManager__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<UberfireJSAPIExporter>) GWT.create(Type_factory__o_u_c_e_UberfireJSAPIExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BatchCaller>) GWT.create(Provider_factory__o_j_e_c_c_a_BatchCaller__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SimpleWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_SimpleWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleBubbleChartDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GoogleBubbleChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserAssignedGroupsExplorer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedGroupsExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DropDownImageListEditor>) GWT.create(Type_factory__o_d_c_c_e_l_DropDownImageListEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetExplorer>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FormLabel>) GWT.create(Type_factory__o_u_c_v_p_w_FormLabel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<AdminPageImpl>) GWT.create(Type_factory__o_u_e_p_c_a_p_AdminPageImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SalesGoals>) GWT.create(Type_factory__o_d_c_s_w_SalesGoals__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TransitionAnchor>) GWT.create(ContextualProvider_factory__o_j_e_u_n_c_l_TransitionAnchor__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefRefreshAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityExplorerScreen>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_SecurityExplorerScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GooglePieChartDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GooglePieChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorLabelItemView>) GWT.create(Type_factory__o_d_r_c_s_SelectorLabelItemView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClusterMetricsDashboard>) GWT.create(Type_factory__o_d_c_m_ClusterMetricsDashboard__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPagePerspective>) GWT.create(Type_factory__o_u_e_p_c_a_AdminPagePerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HTMLLayoutDragComponent>) GWT.create(Type_factory__o_u_e_p_c_p_e_l_e_HTMLLayoutDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefColumnsEditor>) GWT.create(Type_factory__o_d_c_w_d_e_c_DataSetDefColumnsEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchBackendEntryPoint>) GWT.create(Type_factory__o_u_c_WorkbenchBackendEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<org.uberfire.ext.layout.editor.client.components.container.Container>) GWT.create(Type_factory__o_u_e_l_e_c_c_c_Container__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultPermissionManager>) GWT.create(Type_factory__o_u_s_i_a_DefaultPermissionManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VFSServiceProxyBackendImpl>) GWT.create(Type_factory__o_u_c_VFSServiceProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BooleanField>) GWT.create(Type_factory__o_u_e_p_e_c_f_BooleanField__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<Navigation>) GWT.create(Type_factory__o_j_e_u_n_c_l_Navigation__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuPosition>) GWT.create(JsType_factory__o_u_w_m_m_MenuPosition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContentManagerHomeScreen>) GWT.create(Type_factory__o_d_c_c_s_h_ContentManagerHomeScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefClientCacheAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefClientCacheAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EmptyDropRowView>) GWT.create(Type_factory__o_u_e_l_e_c_c_r_EmptyDropRowView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataColumnDefDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_DataColumnDefDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetEditor>) GWT.create(Type_factory__o_d_c_w_d_e_s_SQLDataSetEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PatternFlyEntryPoint>) GWT.create(Type_factory__o_u_c_v_p_PatternFlyEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchMenuStandardNavBarView>) GWT.create(Type_factory__o_u_c_v_p_m_WorkbenchMenuStandardNavBarView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DocksEntryPoint>) GWT.create(Type_factory__o_u_c_DocksEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SecurityContextImpl>) GWT.create(Type_factory__o_j_e_s_c_l_c_SecurityContextImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DynamicMenuEditorView>) GWT.create(Type_factory__o_u_e_p_c_e_DynamicMenuEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<BatchCallerProvider>) GWT.create(Type_factory__o_j_e_i_s_b_c_BatchCallerProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientDataSetManager>) GWT.create(Type_factory__o_d_d_c_ClientDataSetManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerHtmlEditor>) GWT.create(Type_factory__o_d_d_c_w_DisplayerHtmlEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NewUserAttributeEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_NewUserAttributeEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefWizardScreenActivity>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefWizardScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ImageFileExport>) GWT.create(Producer_factory__o_u_e_e_c_c_f_e_ImageFileExport__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<TransitionToRoleProvider>) GWT.create(Type_factory__o_j_e_u_n_c_l_TransitionToRoleProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetDefDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_BeanDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefRefreshAttributesEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshAttributesEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TimeInstantEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_TimeInstantEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetDefAttributesDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_ElasticSearchDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Set>) GWT.create(JsType_factory__j_u_Set__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PluginsInfo>) GWT.create(Type_factory__o_u_e_p_c_i_PluginsInfo__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SalesDistributionByCountry>) GWT.create(Type_factory__o_d_c_s_w_SalesDistributionByCountry__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTabListWidgetView>) GWT.create(Type_factory__o_d_c_n_w_NavTabListWidgetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveDragComponent>) GWT.create(Type_factory__o_d_c_c_l_e_PerspectiveDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuItemHeaderView>) GWT.create(Type_factory__o_u_e_w_c_c_m_MenuItemHeaderView__quals__j_e_i_Any_o_u_e_w_c_c_m_MenuItemHeader.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefPreviewTableView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefPreviewTableView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultBeanFactory>) GWT.create(Type_factory__o_u_c_w_DefaultBeanFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LoadingBoxView>) GWT.create(Type_factory__o_d_c_w_c_LoadingBoxView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SaveButton>) GWT.create(Type_factory__o_u_e_e_c_c_h_SaveButton__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnDetailsEditor>) GWT.create(Type_factory__o_d_d_c_w_g_ColumnDetailsEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupCreationWorkflow>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_g_w_GroupCreationWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PermissionExceptionSwitchView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionExceptionSwitchView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchServicesProxyBackendImpl>) GWT.create(Type_factory__o_u_c_WorkbenchServicesProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorDisplayerView>) GWT.create(Type_factory__o_d_r_c_s_SelectorDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AssignedEntitiesExplorerView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_AssignedEntitiesExplorerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryTree>) GWT.create(Type_factory__o_d_c_g_GalleryTree__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavItemSelectionModalView>) GWT.create(Type_factory__o_d_c_n_w_NavItemSelectionModalView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PartManager>) GWT.create(Type_factory__o_u_c_w_p_s_PartManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientIntervalBuilderLocator>) GWT.create(Type_factory__o_d_d_c_e_ClientIntervalBuilderLocator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AccessImpl>) GWT.create(Type_factory__o_j_e_i_c_l_i_AccessImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PluginExplorerScreenActivity>) GWT.create(Type_factory__o_u_e_p_c_e_PluginExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefRefreshIntervalEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshIntervalEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchToolBarView>) GWT.create(Type_factory__o_u_c_v_p_t_WorkbenchToolBarView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetAuthoringHomeView>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetAuthoringHomeView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetDefAttributesEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_b_BeanDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetDefValidator>) GWT.create(Type_factory__o_d_v_d_SQLDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TransitionTo>) GWT.create(ContextualProvider_factory__o_j_e_u_n_c_l_TransitionTo__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleBubbleChartDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GoogleBubbleChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PagedTable>) GWT.create(Type_factory__o_u_e_w_c_c_t_PagedTable__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerSettingsEditorView>) GWT.create(Type_factory__o_d_d_c_w_DisplayerSettingsEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LienzoLineChartDisplayer>) GWT.create(Type_factory__o_d_r_l_c_LienzoLineChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ActivityNotFoundView>) GWT.create(Type_factory__o_u_c_v_p_n_ActivityNotFoundView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HtmlEditor>) GWT.create(Type_factory__o_u_e_e_c_c_h_HtmlEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VFSLockServiceProxyClientImpl>) GWT.create(Type_factory__o_u_c_w_VFSLockServiceProxyClientImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorDropDownItemView>) GWT.create(Type_factory__o_d_r_c_s_SelectorDropDownItemView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SplashScreenJSExporter>) GWT.create(Type_factory__o_u_c_e_SplashScreenJSExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ParagraphElement>) GWT.create(ExtensionProvided_factory__c_g_g_d_c_ParagraphElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Map>) GWT.create(JsType_factory__j_u_Map__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HorizImageListEditor>) GWT.create(Type_factory__o_d_c_c_e_l_HorizImageListEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetPanelView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetPanelView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ToggleCommentView>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_c_ToggleCommentView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplashModalFooter>) GWT.create(Type_factory__o_u_c_v_p_s_SplashModalFooter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PluginExplorerScreen>) GWT.create(Type_factory__o_u_e_p_c_e_PluginExplorerScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PartContextMenusView>) GWT.create(Type_factory__o_u_c_v_p_m_PartContextMenusView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ResizeTabPanel>) GWT.create(Type_factory__o_u_c_v_p_t_ResizeTabPanel__quals__j_e_i_Any_o_u_c_v_p_t_Resize.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FilterLabelSet>) GWT.create(Type_factory__o_d_c_c_w_FilterLabelSet__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetExplorerView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetExplorerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<LoadingBox>) GWT.create(Type_factory__o_d_c_w_c_LoadingBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryHomeScreenActivity>) GWT.create(Type_factory__o_d_c_s_GalleryHomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PartDefinition>) GWT.create(JsType_factory__o_u_w_m_PartDefinition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnTypeEditor>) GWT.create(Type_factory__o_d_c_w_d_e_c_ColumnTypeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Paragraph>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Paragraph__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UnanchoredStaticWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_UnanchoredStaticWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuItemCommand>) GWT.create(JsType_factory__o_u_w_m_m_MenuItemCommand__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DynamicMenuResourceType>) GWT.create(Type_factory__o_u_e_p_c_t_DynamicMenuResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Anchor>) GWT.create(ExtensionProvided_factory__o_g_c_u_Anchor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TableDisplayerView>) GWT.create(Type_factory__o_d_r_c_t_TableDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultPreferenceForm>) GWT.create(Type_factory__o_u_e_p_c_c_f_DefaultPreferenceForm__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UnorderedList>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_UnorderedList__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserEditorDriver>) GWT.create(Type_factory__o_u_e_s_m_c_e_u_UserEditorDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupsList>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_l_GroupsList__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTreeEditor>) GWT.create(Type_factory__o_d_c_n_w_NavTreeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RootPanel>) GWT.create(Provider_factory__c_g_g_u_c_u_RootPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PreferenceScopeTypesProducer>) GWT.create(Type_factory__o_u_p_s_i_PreferenceScopeTypesProducer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PerspectiveLayoutPluginResourceType>) GWT.create(Type_factory__o_u_e_p_c_t_PerspectiveLayoutPluginResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTilesWidgetView>) GWT.create(Type_factory__o_d_c_n_w_NavTilesWidgetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorDropDownDisplayer>) GWT.create(Type_factory__o_d_r_c_s_SelectorDropDownDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<StaticWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_StaticWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<HTML5DndSeleniumSupport>) GWT.create(Type_factory__o_u_c_v_p_HTML5DndSeleniumSupport__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TimeInstantEditor>) GWT.create(Type_factory__o_d_d_c_w_f_TimeInstantEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NumberParameterEditor>) GWT.create(Type_factory__o_d_d_c_w_f_NumberParameterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveWidget>) GWT.create(Type_factory__o_d_c_c_w_PerspectiveWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchMenuBarPresenter>) GWT.create(Producer_factory__o_u_c_w_w_m_WorkbenchMenuBarPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ToolBar>) GWT.create(JsType_factory__o_u_w_m_t_ToolBar__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetAuthoringHomePresenterActivity>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetAuthoringHomePresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupEditorDriver>) GWT.create(Type_factory__o_u_e_s_m_c_e_g_GroupEditorDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplashEditorView>) GWT.create(Type_factory__o_u_e_p_c_e_SplashEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchViewModeSwitcherView>) GWT.create(Type_factory__o_u_c_v_p_m_WorkbenchViewModeSwitcherView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PerspectiveTreeProvider>) GWT.create(Type_factory__o_u_c_a_PerspectiveTreeProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PartContextMenusPresenter>) GWT.create(Type_factory__o_u_c_w_w_m_PartContextMenusPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplashScreenMenuView>) GWT.create(Type_factory__o_u_c_v_p_m_SplashScreenMenuView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorLabelSetDisplayer>) GWT.create(Type_factory__o_d_r_c_s_SelectorLabelSetDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DestructionImpl>) GWT.create(Type_factory__o_j_e_i_c_l_i_DestructionImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetGroupDateEditor>) GWT.create(Type_factory__o_d_d_c_w_g_DataSetGroupDateEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UberfireBreadcrumbsView>) GWT.create(Type_factory__o_u_e_w_c_c_b_UberfireBreadcrumbsView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HtmlEditorView>) GWT.create(Type_factory__o_u_e_e_c_c_h_HtmlEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CompassDropController>) GWT.create(Type_factory__o_u_c_w_w_d_CompassDropController__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnDetailsEditorView>) GWT.create(Type_factory__o_d_d_c_w_g_ColumnDetailsEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetPanel>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ACLEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_ACLEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ScreenPluginResourceType>) GWT.create(Type_factory__o_u_e_p_c_t_ScreenPluginResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BootstrapLayoutGenerator>) GWT.create(Type_factory__o_u_e_l_e_c_g_BootstrapLayoutGenerator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorLabelSetDisplayerView>) GWT.create(Type_factory__o_d_r_c_s_SelectorLabelSetDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FilterLabel>) GWT.create(Type_factory__o_d_c_c_w_FilterLabel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PluginNameValidator>) GWT.create(Type_factory__o_u_e_p_c_v_PluginNameValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesCentralNavBarScreen>) GWT.create(Type_factory__o_u_e_p_c_c_PreferencesCentralNavBarScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserGroupsExplorerView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_UserGroupsExplorerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetDefAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_b_BeanDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UsersList>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_l_UsersList__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FormGroup>) GWT.create(Type_factory__o_u_c_v_p_w_FormGroup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesRootScreen>) GWT.create(Type_factory__o_u_e_p_c_c_s_PreferencesRootScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TreeHierarchyStructureView>) GWT.create(Type_factory__o_u_e_p_c_c_t_TreeHierarchyStructureView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultRestSecurityErrorCallback>) GWT.create(Type_factory__o_j_e_s_c_l_c_DefaultRestSecurityErrorCallback__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiTabWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_v_p_t_MultiTabWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<GoogleRenderer>) GWT.create(Type_factory__o_d_r_g_c_GoogleRenderer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<HistoryTokenFactory>) GWT.create(Type_factory__o_j_e_u_n_c_l_HistoryTokenFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityManagementPerspectiveActivity>) GWT.create(Type_factory__o_u_e_s_m_c_p_SecurityManagementPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClientRequiredRolesExtractorImpl>) GWT.create(Type_factory__o_j_e_s_c_l_r_ClientRequiredRolesExtractorImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnFilterEditor>) GWT.create(Type_factory__o_d_d_c_w_f_ColumnFilterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityExplorerView>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_SecurityExplorerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetBasicAttributesWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_c_BeanDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ValueFormatterRegistry>) GWT.create(Type_factory__o_d_d_c_f_ValueFormatterRegistry__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupUsersAssignment>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_g_GroupUsersAssignment__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<InitBallotProvider>) GWT.create(Type_factory__o_j_e_i_c_a_b_InitBallotProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<MenuItemFactory>) GWT.create(Type_factory__o_u_e_w_c_c_m_MenuItemFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefBackendCacheAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefBackendCacheAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SalesReportsPerspective>) GWT.create(Type_factory__o_d_c_p_SalesReportsPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefEditorPresenter>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveWidgetView>) GWT.create(Type_factory__o_d_c_c_w_PerspectiveWidgetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RestorePopUpView>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_RestorePopUpView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Command>) GWT.create(JsType_factory__o_u_m_Command__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RuntimePluginsServiceProxyBackendImpl>) GWT.create(Type_factory__o_u_c_RuntimePluginsServiceProxyBackendImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LocaleListBox>) GWT.create(Type_factory__o_j_e_u_c_w_LocaleListBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetDefDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_CSVDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplashEditorPresenterActivity>) GWT.create(Type_factory__o_u_e_p_c_e_SplashEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PreferencesEntryPoint>) GWT.create(Type_factory__o_u_e_p_c_PreferencesEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RendererSelectorTabListView>) GWT.create(Type_factory__o_d_d_c_w_RendererSelectorTabListView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LiveSearchDropDownView>) GWT.create(Type_factory__o_u_e_w_c_c_d_LiveSearchDropDownView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<UtilityMenuBarPresenter>) GWT.create(Type_factory__o_u_c_w_w_m_UtilityMenuBarPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TextField>) GWT.create(Type_factory__o_u_e_p_e_c_f_TextField__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<TargetDivDragComponent>) GWT.create(Type_factory__o_u_e_p_c_p_e_l_e_TargetDivDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BreadcrumbsView>) GWT.create(Type_factory__o_u_e_w_c_c_b_w_BreadcrumbsView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PlaceRequest>) GWT.create(JsType_factory__o_u_m_PlaceRequest__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPageView>) GWT.create(Type_factory__o_u_e_p_c_a_AdminPageView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<NavDragComponentRegistry>) GWT.create(Type_factory__o_d_c_n_l_e_NavDragComponentRegistry__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerViewer>) GWT.create(Type_factory__o_d_d_c_w_DisplayerViewer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavItemTileWidgetView>) GWT.create(Type_factory__o_d_c_n_w_NavItemTileWidgetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AlertBoxView>) GWT.create(Type_factory__o_d_c_c_w_AlertBoxView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultRenderer>) GWT.create(Type_factory__o_d_r_c_DefaultRenderer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DeletePopUpPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_DeletePopUpPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LienzoPieChartDisplayerView>) GWT.create(Type_factory__o_d_r_l_c_LienzoPieChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetDefValidator>) GWT.create(Type_factory__o_d_v_d_ElasticSearchDataSetDefValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NewUserAttributeEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_NewUserAttributeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<StaticChartScreenActivity>) GWT.create(Type_factory__o_d_c_s_StaticChartScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiListWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_MultiListWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnWithComponentsView>) GWT.create(Type_factory__o_u_e_l_e_c_c_c_ColumnWithComponentsView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<IntervalBuilderFixedDate>) GWT.create(Type_factory__o_d_d_e_g_IntervalBuilderFixedDate__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ActivityNotFoundPresenter>) GWT.create(Type_factory__o_u_c_w_w_n_ActivityNotFoundPresenter__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientTypeRegistryImpl>) GWT.create(Type_factory__o_u_c_w_t_i_ClientTypeRegistryImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerTypeSelectorView>) GWT.create(Type_factory__o_d_d_c_w_DisplayerTypeSelectorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClosableSimpleWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_ClosableSimpleWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserEditorWorkflow>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_w_UserEditorWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LockDemandDetector>) GWT.create(Type_factory__o_u_c_m_LockDemandDetector__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColorField>) GWT.create(Type_factory__o_u_e_p_e_c_f_ColorField__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RendererSelectorRadioListView>) GWT.create(Type_factory__o_d_d_c_w_RendererSelectorRadioListView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<RoleStyleBindingProvider>) GWT.create(Type_factory__o_j_e_s_c_l_s_RoleStyleBindingProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<CommonsEntryPoint>) GWT.create(Type_factory__o_u_e_w_c_c_CommonsEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TimeAmountEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_TimeAmountEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DataSetDefType>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ACLSettingsView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_ACLSettingsView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<UberfireBreadcrumbsContainerImpl>) GWT.create(Type_factory__o_u_e_w_c_c_b_h_UberfireBreadcrumbsContainerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityManagementHomeScreen>) GWT.create(Type_factory__o_u_e_s_m_c_s_h_SecurityManagementHomeScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SimpleWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_SimpleWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RoleEditorScreen>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_RoleEditorScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JsTypeProvider>) GWT.create(JsType_factory__o_j_e_i_c_c_JsTypeProvider__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorDropDownDisplayerView>) GWT.create(Type_factory__o_d_r_c_s_SelectorDropDownDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SimpleDnDWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_SimpleDnDWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetEditWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_e_BeanDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PreferenceScopeFactoryImpl>) GWT.create(Type_factory__o_u_p_s_i_PreferenceScopeFactoryImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LienzoBarChartDisplayerView>) GWT.create(Type_factory__o_d_r_l_c_LienzoBarChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContentManagerPerspectiveActivity>) GWT.create(Type_factory__o_d_c_c_p_ContentManagerPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerError>) GWT.create(Type_factory__o_d_d_c_w_DisplayerError__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityManagementHomeView>) GWT.create(Type_factory__o_u_e_s_m_c_s_h_SecurityManagementHomeView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ShowcaseEntryPoint>) GWT.create(Type_factory__o_d_c_ShowcaseEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchMenuBarView>) GWT.create(Type_factory__o_u_c_v_p_m_WorkbenchMenuBarView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DateParameterEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_DateParameterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<EventProvider>) GWT.create(Type_factory__o_j_e_e_c_c_EventProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EntityWorkflowViewImpl>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_w_EntityWorkflowViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuItem>) GWT.create(JsType_factory__o_u_w_m_m_MenuItem__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientRuntimeErrorPopupPresenter>) GWT.create(Type_factory__o_d_c_w_c_ClientRuntimeErrorPopupPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Instance>) GWT.create(ContextualProvider_factory__j_e_i_Instance__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HeaderPanel>) GWT.create(ExtensionProvided_factory__c_g_g_u_c_u_HeaderPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetDefDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_ElasticSearchDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<EventBus>) GWT.create(Producer_factory__c_g_w_b_e_s_EventBus__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PlaceManagerJSExporter>) GWT.create(Type_factory__o_u_c_e_PlaceManagerJSExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultipleTextParameterEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_MultipleTextParameterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<LienzoRenderer>) GWT.create(Type_factory__o_d_r_l_c_LienzoRenderer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RoleEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_r_RoleEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Heading>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Heading__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ScreenEditorView>) GWT.create(Type_factory__o_u_e_p_c_e_ScreenEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ExpensesDashboard>) GWT.create(Type_factory__o_d_c_e_ExpensesDashboard__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiPageEditorViewImpl>) GWT.create(Type_factory__o_u_c_v_p_m_MultiPageEditorViewImpl__quals__j_e_i_Any_o_u_c_w_w_m_Multiple.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TableDisplayer>) GWT.create(Type_factory__o_d_r_c_t_TableDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiplePermissionNodeEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnListEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_c_ColumnListEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplashEditorPresenter>) GWT.create(Type_factory__o_u_e_p_c_e_SplashEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PerspectiveCoordinator>) GWT.create(Type_factory__o_d_d_c_PerspectiveCoordinator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClosableSimpleWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_ClosableSimpleWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleAreaChartDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GoogleAreaChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<CallerProvider>) GWT.create(Type_factory__o_j_e_i_c_a_b_CallerProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SalesDashboardPerspectiveActivity>) GWT.create(Type_factory__o_d_c_p_SalesDashboardPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PermissionTreeI18NImpl>) GWT.create(Type_factory__o_u_c_r_i_PermissionTreeI18NImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerSettingsEditor>) GWT.create(Type_factory__o_d_d_c_w_DisplayerSettingsEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryTreeViewImpl>) GWT.create(Type_factory__o_d_c_g_GalleryTreeViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultipleTextParameterEditor>) GWT.create(Type_factory__o_d_d_c_w_f_MultipleTextParameterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<org.uberfire.ext.security.management.client.widgets.popup.LoadingBox>) GWT.create(Type_factory__o_u_e_s_m_c_w_p_LoadingBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleMapDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GoogleMapDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Span>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Span__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ObservablePathImpl>) GWT.create(Type_factory__o_u_b_v_i_ObservablePathImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ChartJsBarChartDisplayer>) GWT.create(Type_factory__o_d_r_c_ChartJsBarChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferenceStore>) GWT.create(ContextualProvider_factory__o_u_p_c_s_PreferenceStore__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DynamicMenuEditorPresenterActivity>) GWT.create(Type_factory__o_u_e_p_c_e_DynamicMenuEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SalesTableReports>) GWT.create(Type_factory__o_d_c_s_w_SalesTableReports__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetBasicAttributesWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_c_ElasticSearchDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PlugInAuthoringPerspective>) GWT.create(Type_factory__o_u_e_p_c_p_PlugInAuthoringPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPageItemPresenter>) GWT.create(Type_factory__o_u_e_p_c_a_i_AdminPageItemPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerDragComponent>) GWT.create(Type_factory__o_d_c_e_DisplayerDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MapEditor>) GWT.create(Type_factory__o_d_c_c_e_m_MapEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UberTabPanel>) GWT.create(Type_factory__o_u_c_v_p_t_UberTabPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Activity>) GWT.create(JsType_factory__o_u_c_m_Activity__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleMeterChartDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GoogleMeterChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<NavigationManagerImpl>) GWT.create(Type_factory__o_d_c_n_i_NavigationManagerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EditorPlugInEditorPresenterActivity>) GWT.create(Type_factory__o_u_e_p_c_e_EditorPlugInEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<TopMenuBar>) GWT.create(Type_factory__o_d_c_n_TopMenuBar__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SecurityEntryPoint>) GWT.create(Type_factory__o_u_s_c_SecurityEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JSNativeSplashScreen>) GWT.create(Type_factory__o_u_c_s_JSNativeSplashScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetDefAttributesDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_BeanDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<LocaleSelector>) GWT.create(Type_factory__o_j_e_u_c_w_LocaleSelector__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DataSetClientServices>) GWT.create(Type_factory__o_d_d_c_DataSetClientServices__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityRolesConstraintPage>) GWT.create(Type_factory__o_j_e_s_c_l_c_SecurityContextImpl_SecurityRolesConstraintPage__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CreationImpl>) GWT.create(Type_factory__o_j_e_i_c_l_i_CreationImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UsersExplorer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_UsersExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ListComponentProvider>) GWT.create(Type_factory__o_j_e_d_c_ListComponentProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPagePerspectiveActivity>) GWT.create(Type_factory__o_u_e_p_c_a_AdminPagePerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuItemPerspective>) GWT.create(JsType_factory__o_u_w_m_m_MenuItemPerspective__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultPreferenceScopeTypes>) GWT.create(Type_factory__o_u_p_s_i_DefaultPreferenceScopeTypes__quals__j_e_i_Any_o_u_a_FallbackImplementation.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryTreePresenterActivity>) GWT.create(Type_factory__o_d_c_g_GalleryTreePresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContextDefinition>) GWT.create(JsType_factory__o_u_w_m_ContextDefinition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveEditorView>) GWT.create(Type_factory__o_u_e_p_c_p_e_PerspectiveEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<UberfireBreadcrumbs>) GWT.create(Type_factory__o_u_e_w_c_c_b_UberfireBreadcrumbs__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutEditorPluginImpl>) GWT.create(Type_factory__o_u_e_l_e_c_LayoutEditorPluginImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContentManagerHomeScreenActivity>) GWT.create(Type_factory__o_d_c_c_s_h_ContentManagerHomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefWizardScreen>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefWizardScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultPermissionTypeRegistry>) GWT.create(Type_factory__o_u_s_i_a_DefaultPermissionTypeRegistry__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplashViewImpl>) GWT.create(Type_factory__o_u_c_v_p_s_SplashViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveActivity>) GWT.create(JsType_factory__o_u_c_m_PerspectiveActivity__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JsTypeEventObserver>) GWT.create(JsType_factory__o_j_e_e_c_c_JsTypeEventObserver__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchLayoutImpl>) GWT.create(Type_factory__o_u_c_w_WorkbenchLayoutImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClientDateFormatterImpl>) GWT.create(Type_factory__o_d_d_c_e_ClientDateFormatterImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefExplorerScreenActivity>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HtmlEditorPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_h_HtmlEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PluginJSExporter>) GWT.create(Type_factory__o_u_c_e_PluginJSExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TimeFrameEditor>) GWT.create(Type_factory__o_d_d_c_w_f_TimeFrameEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DataSetPrototypes>) GWT.create(Type_factory__o_d_d_c_p_DataSetPrototypes__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultHtmlValidator>) GWT.create(Type_factory__o_d_d_c_w_s_DefaultHtmlValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SavePopUpPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_SavePopUpPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetEditorWorkflowFactory>) GWT.create(Type_factory__o_d_c_w_d_e_w_DataSetEditorWorkflowFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultMenuGroup>) GWT.create(JsType_factory__o_u_w_m_m_i_DefaultMenuGroup__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<URLPatternMatcher>) GWT.create(Producer_factory__o_j_e_u_n_c_l_URLPatternMatcher__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<UberfireDocksImpl>) GWT.create(Type_factory__o_u_c_d_UberfireDocksImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HtmlEditorActivity>) GWT.create(Type_factory__o_u_e_e_c_c_h_HtmlEditorActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefFilterEditor>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefFilterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SimpleDnDWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_SimpleDnDWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferenceStoreIOCProvider>) GWT.create(Type_factory__o_u_p_c_s_PreferenceStoreIOCProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<LifecycleListenerRegistrarImpl>) GWT.create(Type_factory__o_j_e_i_c_l_i_LifecycleListenerRegistrarImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RenamePopUpView>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_RenamePopUpView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleLineChartDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GoogleLineChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetGroupDateEditorView>) GWT.create(Type_factory__o_d_d_c_w_g_DataSetGroupDateEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerSubtypeSelectorView>) GWT.create(Type_factory__o_d_d_c_w_DisplayerSubtypeSelectorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultPreferenceFormView>) GWT.create(Type_factory__o_u_e_p_c_c_f_DefaultPreferenceFormView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FileUploadEditor>) GWT.create(Type_factory__o_d_c_c_e_f_FileUploadEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LiveSearchDropDown>) GWT.create(Type_factory__o_u_e_w_c_c_d_LiveSearchDropDown__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EntitiesExplorerViewImpl>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_EntitiesExplorerViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityManagementHomeScreenActivity>) GWT.create(Type_factory__o_u_e_s_m_c_s_h_SecurityManagementHomeScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HTMLElement>) GWT.create(ContextualProvider_factory__o_j_e_c_c_d_HTMLElement__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesCentralPerspectiveActivity>) GWT.create(Type_factory__o_u_e_p_c_c_PreferencesCentralPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TextFileExport>) GWT.create(Producer_factory__o_u_e_e_c_c_f_e_TextFileExport__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LienzoPieChartDisplayer>) GWT.create(Type_factory__o_d_r_l_c_LienzoPieChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTreeEditorView>) GWT.create(Type_factory__o_d_c_n_w_NavTreeEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutDragComponentGroupPresenter>) GWT.create(Type_factory__o_u_e_l_e_c_w_LayoutDragComponentGroupPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ValidatorProvider>) GWT.create(Type_factory__o_j_e_v_c_ValidatorProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientSettings>) GWT.create(Type_factory__o_d_d_c_ClientSettings__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VersionHistoryPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_h_VersionHistoryPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PortablePreferenceMockBeanGeneratedImpl>) GWT.create(Type_factory__o_u_p_s_b_m_PortablePreferenceMockBeanGeneratedImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiTabWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_MultiTabWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CustomPanelDefinition>) GWT.create(JsType_factory__o_u_w_m_CustomPanelDefinition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Path>) GWT.create(JsType_factory__o_u_b_v_Path__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerScreenPresenterActivity>) GWT.create(Type_factory__o_d_d_c_DisplayerScreenPresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Disposer>) GWT.create(ContextualProvider_factory__o_j_e_i_c_a_Disposer__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultJsEvaluator>) GWT.create(Type_factory__o_d_d_c_w_s_DefaultJsEvaluator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ErrorBox>) GWT.create(Type_factory__o_u_e_s_m_c_w_p_ErrorBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ListComponent>) GWT.create(ContextualProvider_factory__o_j_e_d_c_c_ListComponent__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplitLayoutPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_SplitLayoutPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BasicFileMenuBuilderImpl>) GWT.create(Type_factory__o_u_e_e_c_c_m_BasicFileMenuBuilderImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ErrorPopupView>) GWT.create(Type_factory__o_u_c_v_p_m_ErrorPopupView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerSubtypeSelector>) GWT.create(Type_factory__o_d_d_c_w_DisplayerSubtypeSelector__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RolesExplorer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_RolesExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HasEnabledStateChangeListeners>) GWT.create(JsType_factory__o_u_w_m_m_HasEnabledStateChangeListeners__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetEditor>) GWT.create(Type_factory__o_d_c_w_d_e_e_ElasticSearchDataSetEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DisplayerLocator>) GWT.create(Type_factory__o_d_d_c_DisplayerLocator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryWidgetPresenterActivity>) GWT.create(Type_factory__o_d_c_g_GalleryWidgetPresenterActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<StorageHandlerProvider>) GWT.create(Type_factory__o_j_e_s_c_l_s_StorageHandlerProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LikeToFunctionEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_LikeToFunctionEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<AnyResourceType>) GWT.create(Type_factory__o_u_c_w_t_AnyResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PlaceHistoryHandler>) GWT.create(Type_factory__o_u_c_m_PlaceHistoryHandler__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<NotificationManager>) GWT.create(Type_factory__o_u_c_w_w_n_NotificationManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<org.jboss.errai.common.client.dom.Select>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Select__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPageCategoryView>) GWT.create(Type_factory__o_u_e_p_c_a_c_AdminPageCategoryView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RestoreVersionCommandProvider>) GWT.create(Type_factory__o_u_e_e_c_c_m_RestoreVersionCommandProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleMapDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GoogleMapDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiplePermissionNodeViewer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeViewer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutEditorPresenter>) GWT.create(Type_factory__o_u_e_l_e_c_LayoutEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ToggleCommentPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_c_ToggleCommentPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnListEditor>) GWT.create(Type_factory__o_d_c_w_d_e_c_ColumnListEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JSNativeClientResourceType>) GWT.create(Type_factory__o_u_c_e_t_JSNativeClientResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerHtmlEditorView>) GWT.create(Type_factory__o_d_d_c_w_DisplayerHtmlEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ComponentColumn>) GWT.create(Type_factory__o_u_e_l_e_c_c_c_ComponentColumn__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TransitionToRole>) GWT.create(ContextualProvider_factory__o_j_e_u_n_c_l_TransitionToRole__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DotResourceType>) GWT.create(Type_factory__o_u_c_w_t_DotResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Document>) GWT.create(Producer_factory__o_j_e_c_c_d_Document__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AggregateFunctionManagerImpl>) GWT.create(Type_factory__o_d_d_e_f_AggregateFunctionManagerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserStorageHandler>) GWT.create(Provider_factory__o_j_e_s_c_l_s_UserStorageHandler__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectivesExplorer>) GWT.create(Type_factory__o_d_c_c_w_PerspectivesExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ManagedInstance>) GWT.create(ContextualProvider_factory__o_j_e_i_c_a_ManagedInstance__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefBasicAttributesDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_DataSetDefBasicAttributesDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AssignedEntitiesInlineEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_AssignedEntitiesInlineEditorView__quals__j_e_i_Any_o_u_e_s_m_c_w_m_e_AssignedEntitiesInlineEditor.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<org.uberfire.ext.security.management.client.widgets.popup.LoadingBoxView>) GWT.create(Type_factory__o_u_e_s_m_c_w_p_LoadingBoxView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Menus>) GWT.create(JsType_factory__o_u_w_m_m_Menus__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DragHelperComponentColumn>) GWT.create(Type_factory__o_u_e_l_e_c_i_DragHelperComponentColumn__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<org.jboss.errai.common.client.dom.Anchor>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Anchor__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JSNativePerspective>) GWT.create(Type_factory__o_u_c_p_JSNativePerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PreferenceScopeValidatorImpl>) GWT.create(Type_factory__o_u_p_s_i_PreferenceScopeValidatorImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PropertyEditorWidget>) GWT.create(Type_factory__o_u_e_p_e_c_PropertyEditorWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ChartJsBarChartDisplayerView>) GWT.create(Type_factory__o_d_r_c_ChartJsBarChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TreeHierarchyLeafItemPresenter>) GWT.create(Type_factory__o_u_e_p_c_c_t_TreeHierarchyLeafItemPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserMenuViewImpl>) GWT.create(Type_factory__o_u_c_v_p_m_UserMenuViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ContentManagerI18n>) GWT.create(Type_factory__o_d_c_c_r_i_ContentManagerI18n__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PermissionSwitch>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionSwitch__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserAssignedGroupsEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedGroupsEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PlaceStatus>) GWT.create(JsType_factory__o_u_c_m_PlaceStatus__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefRefreshIntervalEditor>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefRefreshIntervalEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleAreaChartDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GoogleAreaChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AssignedEntitiesModalEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_AssignedEntitiesModalEditorView__quals__j_e_i_Any_o_u_e_s_m_c_w_m_e_AssignedEntitiesModalEditor.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferenceScopeResolutionStrategy>) GWT.create(ContextualProvider_factory__o_u_p_s_PreferenceScopeResolutionStrategy__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DeletePopUpView>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_DeletePopUpView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SourceCodeEditor>) GWT.create(Type_factory__o_d_d_c_w_s_SourceCodeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleLineChartDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GoogleLineChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefBasicAttributesEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefBasicAttributesEditorView__quals__j_e_i_Any_j_e_i_Default.class));
  }

  private void registerFactories1(final Context org_jboss_errai_ioc_client_container_ApplicationScopedContext_context, final Context org_jboss_errai_ioc_client_container_DependentScopeContext_context) {
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TextParameterEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_TextParameterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Resource>) GWT.create(JsType_factory__o_u_s_Resource__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesCentralNavBarScreenActivity>) GWT.create(Type_factory__o_u_e_p_c_c_PreferencesCentralNavBarScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_LayoutPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JSNativeScreen>) GWT.create(Type_factory__o_u_c_s_JSNativeScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesRootView>) GWT.create(Type_factory__o_u_e_p_c_c_s_PreferencesRootView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Modal>) GWT.create(Type_factory__o_u_c_v_p_w_Modal__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultWorkbenchController>) GWT.create(Type_factory__o_u_c_a_DefaultWorkbenchController__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataBinder>) GWT.create(ContextualProvider_factory__o_j_e_d_c_a_DataBinder__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Logger>) GWT.create(ExtensionProvided_factory__o_s_Logger__quals__Universal_2.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Logger>) GWT.create(ExtensionProvided_factory__o_s_Logger__quals__Universal_1.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Logger>) GWT.create(ExtensionProvided_factory__o_s_Logger__quals__Universal_4.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Logger>) GWT.create(ExtensionProvided_factory__o_s_Logger__quals__Universal_3.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Logger>) GWT.create(ExtensionProvided_factory__o_s_Logger__quals__Universal_6.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Logger>) GWT.create(ExtensionProvided_factory__o_s_Logger__quals__Universal_5.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NewTabFilterPopup>) GWT.create(Type_factory__o_u_e_w_c_c_t_p_NewTabFilterPopup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DataSetAuthoringPerspective>) GWT.create(Type_factory__o_d_d_e_c_p_DataSetAuthoringPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuItemPlain>) GWT.create(JsType_factory__o_u_w_m_m_MenuItemPlain__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavItemEditorView>) GWT.create(Type_factory__o_d_c_n_w_NavItemEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchMenuBarProducer>) GWT.create(Type_factory__o_u_c_w_w_m_WorkbenchMenuBarProducer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DynamicMenuEditorPresenter>) GWT.create(Type_factory__o_u_e_p_c_e_DynamicMenuEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiplePermissionNodeEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_MultiplePermissionNodeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPageItemView>) GWT.create(Type_factory__o_u_e_p_c_a_i_AdminPageItemView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FilterLabelView>) GWT.create(Type_factory__o_d_c_c_w_FilterLabelView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RestorePopUpPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_RestorePopUpPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerEditorPopup>) GWT.create(Type_factory__o_d_d_c_w_DisplayerEditorPopup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<RootPanelProvider>) GWT.create(Type_factory__o_j_e_i_c_a_b_RootPanelProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FilterLabelSetView>) GWT.create(Type_factory__o_d_c_c_w_FilterLabelSetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<NavigationGraph>) GWT.create(Producer_factory__o_j_e_u_n_c_l_s_NavigationGraph__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Logger>) GWT.create(ExtensionProvided_factory__o_s_Logger__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PlaceRequestHistoryMapperImpl>) GWT.create(Type_factory__o_u_c_m_PlaceRequestHistoryMapperImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PanelDefinitionImpl>) GWT.create(JsType_factory__o_u_w_m_i_PanelDefinitionImpl__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ScreenEditorPresenterActivity>) GWT.create(Type_factory__o_u_e_p_c_e_ScreenEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AnchorElement>) GWT.create(ExtensionProvided_factory__c_g_g_d_c_AnchorElement__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JQuery>) GWT.create(Producer_factory__o_u_c_v_p_w_JQueryProducer_JQuery__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ListWidgetProvider>) GWT.create(Type_factory__o_j_e_u_c_w_ListWidgetProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DateParameterEditor>) GWT.create(Type_factory__o_d_d_c_w_f_DateParameterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutDragComponentWidget>) GWT.create(Type_factory__o_u_e_l_e_c_w_LayoutDragComponentWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<URLPatternMatcherProvider>) GWT.create(Type_factory__o_j_e_u_n_c_l_URLPatternMatcherProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PerspectivePluginManager>) GWT.create(Type_factory__o_d_c_n_p_PerspectivePluginManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerCoordinator>) GWT.create(Type_factory__o_d_d_c_DisplayerCoordinator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Bs3Modal>) GWT.create(Type_factory__o_u_c_v_p_m_Bs3Modal__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TextParameterEditor>) GWT.create(Type_factory__o_d_d_c_w_f_TextParameterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RestoreUtil>) GWT.create(Type_factory__o_u_e_e_c_c_f_RestoreUtil__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PathUrlFactory>) GWT.create(Type_factory__o_d_c_c_b_PathUrlFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MetricView>) GWT.create(Type_factory__o_d_r_c_m_MetricView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavItemTileWidget>) GWT.create(Type_factory__o_d_c_n_w_NavItemTileWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<RuntimePluginStartup>) GWT.create(Type_factory__o_u_e_p_c_p_RuntimePluginStartup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnFunctionEditorView>) GWT.create(Type_factory__o_d_d_c_w_g_ColumnFunctionEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PluginController>) GWT.create(Type_factory__o_u_e_p_c_s_PluginController__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RoleEditorWorkflow>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_r_w_RoleEditorWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContainerView>) GWT.create(Type_factory__o_u_e_l_e_c_c_c_ContainerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContextDisplayMode>) GWT.create(JsType_factory__o_u_w_m_ContextDisplayMode__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavCarouselDragComponent>) GWT.create(Type_factory__o_d_c_n_l_e_NavCarouselDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchLayoutInfoImpl>) GWT.create(Type_factory__o_u_c_w_WorkbenchLayoutInfoImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HorizImageListEditorView>) GWT.create(Type_factory__o_d_c_c_e_l_HorizImageListEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Label>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Label__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Validator>) GWT.create(Provider_factory__j_v_Validator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveDefinition>) GWT.create(JsType_factory__o_u_w_m_PerspectiveDefinition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<LayoutSelection>) GWT.create(Type_factory__o_u_c_w_LayoutSelection__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ACLViewerView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_ACLViewerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetEditWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_e_CSVDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ServerTemplateProvider>) GWT.create(Type_factory__o_j_e_u_s_ServerTemplateProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerEditor>) GWT.create(Type_factory__o_d_d_c_w_DisplayerEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Button>) GWT.create(ExtensionProvided_factory__o_g_c_u_Button__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserEditorScreenActivity>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_UserEditorScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetDefAttributesDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_CSVDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientSecurityExceptionMessageResolver>) GWT.create(Type_factory__o_u_e_s_m_c_ClientSecurityExceptionMessageResolver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PlaceManagerImpl>) GWT.create(Type_factory__o_u_c_m_PlaceManagerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<CustomSplashHelp>) GWT.create(Type_factory__o_u_c_m_CustomSplashHelp__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LeafPermissionNodeEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecretTextField>) GWT.create(Type_factory__o_u_e_p_e_c_f_SecretTextField__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VersionMenuDropDownButtonViewImpl>) GWT.create(Type_factory__o_u_e_e_c_c_h_VersionMenuDropDownButtonViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VersionHistoryPresenterViewImpl>) GWT.create(Type_factory__o_u_e_e_c_c_h_VersionHistoryPresenterViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefFilterEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefFilterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultAuthorizationManager>) GWT.create(Type_factory__o_u_s_i_a_DefaultAuthorizationManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<IOCBeanManagerProvider>) GWT.create(Type_factory__o_j_e_i_c_a_b_IOCBeanManagerProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ResizeFlowPanel>) GWT.create(ExtensionProvided_factory__o_u_c_w_w_l_ResizeFlowPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PlugInAuthoringPerspectiveActivity>) GWT.create(Type_factory__o_u_e_p_c_p_PlugInAuthoringPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ErrorBoxView>) GWT.create(Type_factory__o_u_e_s_m_c_w_p_ErrorBoxView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesCentralActionsScreen>) GWT.create(Type_factory__o_u_e_p_c_c_a_PreferencesCentralActionsScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JSNativeEditor>) GWT.create(Type_factory__o_u_c_e_JSNativeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ScreenEditorPresenter>) GWT.create(Type_factory__o_u_e_p_c_e_ScreenEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AlertPanel>) GWT.create(Type_factory__o_d_c_c_w_AlertPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchActivity>) GWT.create(JsType_factory__o_u_c_m_WorkbenchActivity__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleTableDisplayer>) GWT.create(Type_factory__o_d_r_g_c_GoogleTableDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<TransitionAnchorFactoryProvider>) GWT.create(Type_factory__o_j_e_u_n_c_l_TransitionAnchorFactoryProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CreateEntity>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_CreateEntity__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ChangePassword>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_ChangePassword__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ChartJsRenderer>) GWT.create(Type_factory__o_d_r_c_ChartJsRenderer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchViewModeSwitcherMenuBuilder>) GWT.create(Type_factory__o_u_c_m_WorkbenchViewModeSwitcherMenuBuilder__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ActivityLifecycleErrorHandler>) GWT.create(Type_factory__o_u_c_m_ActivityLifecycleErrorHandler__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UnanchoredStaticWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_UnanchoredStaticWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TextInput>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_TextInput__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DnDManager>) GWT.create(Type_factory__o_u_e_l_e_c_i_DnDManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<HtmlResourceType>) GWT.create(Type_factory__o_u_e_e_c_c_h_HtmlResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<RequestDispatcherProvider>) GWT.create(Type_factory__o_j_e_i_s_b_c_RequestDispatcherProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetEditorWorkflowView>) GWT.create(Type_factory__o_d_c_w_d_e_w_DataSetEditorWorkflowView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserAttributesEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetEditWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_e_SQLDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<InlineNotification>) GWT.create(Type_factory__o_u_c_v_p_w_InlineNotification__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerEditorView>) GWT.create(Type_factory__o_d_d_c_w_DisplayerEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ComboField>) GWT.create(Type_factory__o_u_e_p_e_c_f_ComboField__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultPermissionTreeFactory>) GWT.create(Type_factory__o_u_s_c_a_t_i_DefaultPermissionTreeFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RuntimeResource>) GWT.create(JsType_factory__o_u_s_a_RuntimeResource__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ActivityBeansCache>) GWT.create(Type_factory__o_u_c_m_ActivityBeansCache__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SourceCodeEditorView>) GWT.create(Type_factory__o_d_d_c_w_s_SourceCodeEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataColumnDefEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_c_DataColumnDefEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DocksBars>) GWT.create(Type_factory__o_u_c_d_v_DocksBars__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NewPluginPopUpViewImpl>) GWT.create(Type_factory__o_u_e_p_c_w_p_NewPluginPopUpViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<OrderedList>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_OrderedList__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DisposerProvider>) GWT.create(Type_factory__o_j_e_i_c_a_b_DisposerProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RendererSelector>) GWT.create(Type_factory__o_d_d_c_w_RendererSelector__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DynamicMenuResourceTypeDefinition>) GWT.create(Type_factory__o_u_e_p_t_DynamicMenuResourceTypeDefinition__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<MessageBusProvider>) GWT.create(Type_factory__o_j_e_i_s_b_c_MessageBusProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PdfFileExport>) GWT.create(Producer_factory__o_u_e_e_c_c_f_e_PdfFileExport__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PermissionTreeSetup>) GWT.create(Type_factory__o_d_c_s_PermissionTreeSetup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SalesDashboardPerspective>) GWT.create(Type_factory__o_d_c_p_SalesDashboardPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultiPageEditorImpl>) GWT.create(Type_factory__o_u_c_v_p_m_MultiPageEditorImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClientChronometer>) GWT.create(Type_factory__o_d_d_c_e_ClientChronometer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SenderProvider>) GWT.create(Type_factory__o_j_e_i_s_b_c_SenderProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RenamePopUpPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_RenamePopUpPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EmptyDropRow>) GWT.create(Type_factory__o_u_e_l_e_c_c_r_EmptyDropRow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ManagedInstanceProvider>) GWT.create(Type_factory__o_j_e_i_c_a_b_ManagedInstanceProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<LayoutDragComponentHelper>) GWT.create(Type_factory__o_u_e_l_e_c_i_LayoutDragComponentHelper__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetBasicAttributesWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_c_CSVDataSetBasicAttributesWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LienzoBarChartDisplayer>) GWT.create(Type_factory__o_d_r_l_c_LienzoBarChartDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EditHTMLView>) GWT.create(Type_factory__o_u_e_p_c_p_e_l_e_p_EditHTMLView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<List>) GWT.create(JsType_factory__j_u_List__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetDefAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_s_SQLDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ContentExplorerScreen>) GWT.create(Type_factory__o_d_c_c_s_e_ContentExplorerScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DashboardManager>) GWT.create(Type_factory__o_d_c_d_DashboardManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetSummary>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetSummary__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AuthenticationServiceInterceptor>) GWT.create(Type_factory__o_j_e_s_c_l_i_AuthenticationServiceInterceptor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutEditorView>) GWT.create(Type_factory__o_u_e_l_e_c_LayoutEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TreeHierarchyStructurePresenter>) GWT.create(Type_factory__o_u_e_p_c_c_t_TreeHierarchyStructurePresenter__quals__j_e_i_Any_o_u_e_p_c_c_t_TreeView.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PreferenceBeanStoreImpl>) GWT.create(Type_factory__o_u_p_c_s_PreferenceBeanStoreImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ListBarWidgetImpl>) GWT.create(Type_factory__o_u_c_v_p_l_ListBarWidgetImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchViewModeSwitcherPresenter>) GWT.create(Type_factory__o_u_c_m_WorkbenchViewModeSwitcherPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ScreenLayoutDragComponent>) GWT.create(Type_factory__o_u_e_p_c_p_e_l_e_ScreenLayoutDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HTMLElementProvider>) GWT.create(Type_factory__o_j_e_u_c_l_p_HTMLElementProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DisplayerEditorEntryPoint>) GWT.create(Type_factory__o_d_c_e_DisplayerEditorEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetAuthoringHomePresenter>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetAuthoringHomePresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTabListDragComponent>) GWT.create(Type_factory__o_d_c_n_l_e_NavTabListDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RolesList>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_l_RolesList__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultMenus>) GWT.create(JsType_factory__o_u_w_m_m_i_DefaultMenus__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<HtmlEditorLibraryLoader>) GWT.create(Type_factory__o_u_e_e_c_c_h_HtmlEditorLibraryLoader__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultFileNameValidator>) GWT.create(Type_factory__o_u_e_e_c_c_v_DefaultFileNameValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<org.gwtbootstrap3.client.ui.html.Span>) GWT.create(ExtensionProvided_factory__o_g_c_u_h_Span__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DropDownEditorView>) GWT.create(Type_factory__o_d_c_c_e_l_DropDownEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetDefAttributesDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_SQLDataSetDefAttributesDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefProviderTypeDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_DataSetDefProviderTypeDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<MenuBuilder>) GWT.create(Type_factory__o_u_c_d_v_m_MenuBuilder__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetDefDriver>) GWT.create(Producer_factory__o_d_c_w_d_e_d_SQLDataSetDefDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<View>) GWT.create(Producer_factory__o_u_e_e_c_c_f_p_CopyPopUpPresenter_View__quals__j_e_i_Any_o_u_e_e_c_c_f_Customizable.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetFilterEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_DataSetFilterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavCarouselWidget>) GWT.create(Type_factory__o_d_c_n_w_NavCarouselWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NewFilterPopup>) GWT.create(Type_factory__o_u_e_w_c_c_t_p_NewFilterPopup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesCentralActionsScreenActivity>) GWT.create(Type_factory__o_u_e_p_c_c_a_PreferencesCentralActionsScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FilterPagedTable>) GWT.create(Type_factory__o_u_e_w_c_c_t_FilterPagedTable__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<UtilityMenuBarView>) GWT.create(Type_factory__o_u_c_v_p_m_UtilityMenuBarView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ConfirmBoxView>) GWT.create(Type_factory__o_u_e_s_m_c_w_p_ConfirmBoxView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GooglePieChartDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GooglePieChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ListItem>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_ListItem__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BaseScreenView>) GWT.create(Type_factory__o_u_e_s_m_c_s_BaseScreenView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetLookupEditor>) GWT.create(Type_factory__o_d_d_c_w_DataSetLookupEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SessionInfo>) GWT.create(Producer_factory__o_u_r_SessionInfo__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RoleEditorScreenActivity>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_RoleEditorScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ListWidget>) GWT.create(ContextualProvider_factory__o_j_e_u_c_w_ListWidget__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserEditorView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DisplayerGalleryPerspective>) GWT.create(Type_factory__o_d_c_p_DisplayerGalleryPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AlertPanelView>) GWT.create(Type_factory__o_d_c_c_w_AlertPanelView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultPreferenceFormActivity>) GWT.create(Type_factory__o_u_e_p_c_c_f_DefaultPreferenceFormActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SecurityExplorerScreenActivity>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_SecurityExplorerScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ExternalPathPlaceRequest>) GWT.create(JsType_factory__o_u_m_i_ExternalPathPlaceRequest__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataColumnDefEditor>) GWT.create(Type_factory__o_d_c_w_d_e_c_DataColumnDefEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<InstanceProvider>) GWT.create(Type_factory__o_j_e_e_c_c_InstanceProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AlertBox>) GWT.create(Type_factory__o_d_c_c_w_AlertBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LeafPermissionNodeViewerView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeViewerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetDefAttributesEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_c_CSVDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NotificationPopupsManagerView>) GWT.create(Type_factory__o_u_c_v_p_n_NotificationPopupsManagerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SplitLayoutPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_SplitLayoutPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CopyPopUpPresenter>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_CopyPopUpPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DateRangePicker>) GWT.create(Type_factory__o_u_c_v_p_w_DateRangePicker__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetDefAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_e_ElasticSearchDataSetDefAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuCustom>) GWT.create(JsType_factory__o_u_w_m_m_MenuCustom__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnFilterEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_ColumnFilterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WindowEventObservers>) GWT.create(JsType_factory__o_j_e_e_c_c_WindowEventObservers__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LeafPermissionNodeViewer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeViewer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ForceUnlockEventObserver>) GWT.create(Type_factory__o_u_c_m_ForceUnlockEventObserver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchPickupDragController>) GWT.create(Type_factory__o_u_c_w_w_d_WorkbenchPickupDragController__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PanelManagerImpl>) GWT.create(Type_factory__o_u_c_w_PanelManagerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SplashPluginResourceType>) GWT.create(Type_factory__o_u_e_p_c_t_SplashPluginResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DropDownImageListEditorView>) GWT.create(Type_factory__o_d_c_c_e_l_DropDownImageListEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CheckBox>) GWT.create(ExtensionProvided_factory__o_g_c_u_CheckBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Sender>) GWT.create(ContextualProvider_factory__o_j_e_i_s_b_c_Sender__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PluginNavList>) GWT.create(Type_factory__o_u_e_p_c_w_n_PluginNavList__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LeafPermissionNodeEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_LeafPermissionNodeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefProviderTypeEditor>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefProviderTypeEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorLabelItem>) GWT.create(Type_factory__o_d_r_c_s_SelectorLabelItem__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SplashScreenMenuPresenter>) GWT.create(Type_factory__o_u_c_m_SplashScreenMenuPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FlowPanel>) GWT.create(ExtensionProvided_factory__c_g_g_u_c_u_FlowPanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetLookupEditorView>) GWT.create(Type_factory__o_d_d_c_w_DataSetLookupEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BreadcrumbsPresenter>) GWT.create(Type_factory__o_u_e_w_c_c_b_w_BreadcrumbsPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ACLSettings>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_ACLSettings__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<FileExportScriptInjector>) GWT.create(Type_factory__o_u_e_e_c_c_f_e_j_FileExportScriptInjector__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorDisplayer>) GWT.create(Type_factory__o_d_r_c_s_SelectorDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ValueBoxEditor>) GWT.create(Type_factory__o_d_c_c_e_ValueBoxEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_g_GroupEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TreeHierarchyLeafItemView>) GWT.create(Type_factory__o_u_e_p_c_c_t_TreeHierarchyLeafItemView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<NewPluginPopUp>) GWT.create(Type_factory__o_u_e_p_c_w_p_NewPluginPopUp__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HomeScreen>) GWT.create(Type_factory__o_d_c_s_HomeScreen__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveEditorPresenterActivity>) GWT.create(Type_factory__o_u_e_p_c_p_e_PerspectiveEditorPresenterActivity__quals__j_e_i_Any_j_i_Named_o_u_c_w_a_AssociatedResources_o_u_c_w_a_Priority.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Div>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Div__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveDragConfigModal>) GWT.create(Type_factory__o_d_c_c_l_e_PerspectiveDragConfigModal__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TimeFrameEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_TimeFrameEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Collection>) GWT.create(JsType_factory__j_u_Collection__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ResourceTypeDefinition>) GWT.create(JsType_factory__o_u_w_t_ResourceTypeDefinition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerScreenPresenter>) GWT.create(Type_factory__o_d_d_c_DisplayerScreenPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetEditWorkflow>) GWT.create(Type_factory__o_d_c_w_d_e_w_e_ElasticSearchDataSetEditWorkflow__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavItemSelectionModal>) GWT.create(Type_factory__o_d_c_n_w_NavItemSelectionModal__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SQLDataSetDefAttributesEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_s_SQLDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefColumnsFilterEditor>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefColumnsFilterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ClientIntervalBuilderDynamicDate>) GWT.create(Type_factory__o_d_d_c_e_ClientIntervalBuilderDynamicDate__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTabListWidget>) GWT.create(Type_factory__o_d_c_n_w_NavTabListWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdminPagePresenter>) GWT.create(Type_factory__o_u_e_p_c_a_AdminPagePresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<JSEntryPoint>) GWT.create(Type_factory__o_u_c_JSEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TemplatedWorkbenchPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_TemplatedWorkbenchPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<AuthorizationManagerHelper>) GWT.create(Type_factory__o_u_s_c_a_AuthorizationManagerHelper__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<User>) GWT.create(Producer_factory__o_j_e_s_s_a_i_User__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DataBinderProvider>) GWT.create(Type_factory__o_j_e_d_c_DataBinderProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PageTransitionProvider>) GWT.create(Type_factory__o_j_e_u_n_c_l_PageTransitionProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchPartPresenterDefault>) GWT.create(Type_factory__o_u_c_w_p_n_p_WorkbenchPartPresenterDefault__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SavePopUpView>) GWT.create(Type_factory__o_u_e_e_c_c_f_p_SavePopUpView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PlaceManager>) GWT.create(JsType_factory__o_u_c_m_PlaceManager__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContentExplorerScreenView>) GWT.create(Type_factory__o_d_c_c_s_e_ContentExplorerScreenView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DefaultJsValidator>) GWT.create(Type_factory__o_d_d_c_w_s_DefaultJsValidator__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavDropDownWidgetView>) GWT.create(Type_factory__o_d_c_n_w_NavDropDownWidgetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<TransitionAnchorProvider>) GWT.create(Type_factory__o_j_e_u_n_c_l_TransitionAnchorProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserMenu>) GWT.create(Type_factory__o_u_c_v_p_m_UserMenu__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<CompassWidgetImpl>) GWT.create(Type_factory__o_u_c_v_p_d_CompassWidgetImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ToolBarItem>) GWT.create(JsType_factory__o_u_w_m_t_ToolBarItem__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleBarChartDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GoogleBarChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchMenuCompactNavBarView>) GWT.create(Type_factory__o_u_c_v_p_m_WorkbenchMenuCompactNavBarView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserAssignedRolesEditor>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedRolesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DisplayerPrototypes>) GWT.create(Type_factory__o_d_d_c_p_DisplayerPrototypes__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<NavSecurityController>) GWT.create(Type_factory__o_d_n_w_NavSecurityController__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveEditorPresenter>) GWT.create(Type_factory__o_u_e_p_c_p_e_PerspectiveEditorPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PopupViewImpl>) GWT.create(Type_factory__o_u_c_v_p_p_PopupViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GeneralPluginEditor>) GWT.create(Type_factory__o_u_e_p_c_w_p_GeneralPluginEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CreateEntityView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_CreateEntityView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ConfirmPopup>) GWT.create(Type_factory__o_u_c_v_p_w_ConfirmPopup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JsTypeEventObserver>) GWT.create(Type_factory__o_j_e_e_c_c_JsTypeEventObserver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<WorkbenchToolBarPresenter>) GWT.create(Type_factory__o_u_c_w_w_t_WorkbenchToolBarPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnWithComponents>) GWT.create(Type_factory__o_u_e_l_e_c_c_c_ColumnWithComponents__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LockTarget>) GWT.create(JsType_factory__o_u_c_m_LockTarget__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<BaseEditorEntryPoint>) GWT.create(Type_factory__o_u_e_e_c_c_BaseEditorEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<EditorPluginResourceType>) GWT.create(Type_factory__o_u_e_p_c_t_EditorPluginResourceType__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RendererSelectorListBoxView>) GWT.create(Type_factory__o_d_d_c_w_RendererSelectorListBoxView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<FileExportProducer>) GWT.create(Type_factory__o_u_e_e_c_c_f_e_FileExportProducer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Position>) GWT.create(JsType_factory__o_u_w_m_Position__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EditorPlugInEditorView>) GWT.create(Type_factory__o_u_e_p_c_e_EditorPlugInEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesRootScreenActivity>) GWT.create(Type_factory__o_u_e_p_c_c_s_PreferencesRootScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PanelDefinition>) GWT.create(JsType_factory__o_u_w_m_PanelDefinition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavTilesDragComponent>) GWT.create(Type_factory__o_d_c_n_l_e_NavTilesDragComponent__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<BasicUserCacheImpl>) GWT.create(Type_factory__o_j_e_s_c_l_c_BasicUserCacheImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CopyPopUpViewProducer>) GWT.create(Type_factory__o_u_e_e_c_c_f_CopyPopUpViewProducer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MediaLibraryWidget>) GWT.create(Type_factory__o_u_e_p_c_w_m_MediaLibraryWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<EditorJSExporter>) GWT.create(Type_factory__o_u_c_e_EditorJSExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefScreenViewImpl>) GWT.create(Type_factory__o_d_d_e_c_s_DataSetDefScreenViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<RuntimePluginsEntryPoint>) GWT.create(Type_factory__o_u_e_p_c_RuntimePluginsEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TitleProvider>) GWT.create(JsType_factory__o_u_c_m_LockTarget_TitleProvider__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SimpleTable>) GWT.create(Type_factory__o_u_e_w_c_c_t_SimpleTable__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TreeHierarchyInternalItemPresenter>) GWT.create(Type_factory__o_u_e_p_c_c_t_TreeHierarchyInternalItemPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SalesReportsPerspectiveActivity>) GWT.create(Type_factory__o_d_c_p_SalesReportsPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<com.google.gwt.user.client.ui.Label>) GWT.create(ExtensionProvided_factory__c_g_g_u_c_u_Label__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WindowEventObservers>) GWT.create(Type_factory__o_j_e_e_c_c_WindowEventObservers__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<RendererManager>) GWT.create(Type_factory__o_d_d_c_RendererManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<SecurityContextHoldingSingleton>) GWT.create(Type_factory__o_j_e_s_c_l_n_SecurityContextHoldingSingleton__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BusyIndicatorView>) GWT.create(Type_factory__o_u_e_w_c_c_c_BusyIndicatorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<HomePerspective>) GWT.create(Type_factory__o_d_c_p_HomePerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuItemDividerView>) GWT.create(Type_factory__o_u_e_w_c_c_m_MenuItemDividerView__quals__j_e_i_Any_o_u_e_w_c_c_m_MenuItemDivider.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UserAssignedRolesExplorer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_u_UserAssignedRolesExplorer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerSettingsJSONSourceViewer>) GWT.create(Type_factory__o_d_d_c_w_DisplayerSettingsJSONSourceViewer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CSVDataSetEditor>) GWT.create(Type_factory__o_d_c_w_d_e_c_CSVDataSetEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<NavigationPanelProvider>) GWT.create(Type_factory__o_j_e_u_n_c_l_NavigationPanelProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorSliderDisplayer>) GWT.create(Type_factory__o_d_r_c_s_SelectorSliderDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ConfirmBox>) GWT.create(Type_factory__o_u_e_s_m_c_w_p_ConfirmBox__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<JsArray>) GWT.create(JsType_factory__o_j_e_i_c_JsArray__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetFilterEditor>) GWT.create(Type_factory__o_d_d_c_w_f_DataSetFilterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<CompassPosition>) GWT.create(JsType_factory__o_u_w_m_CompassPosition__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ActivityManagerImpl>) GWT.create(Type_factory__o_u_c_m_ActivityManagerImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<VersionMenuDropDownButton>) GWT.create(Type_factory__o_u_e_e_c_c_h_VersionMenuDropDownButton__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RoleEditorDriver>) GWT.create(Type_factory__o_u_e_s_m_c_e_r_RoleEditorDriver__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PermissionSwitchView>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionSwitchView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MenuVisitor>) GWT.create(JsType_factory__o_u_w_m_m_MenuVisitor__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefBasicAttributesEditor>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefBasicAttributesEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ElasticSearchDataSetDefAttributesEditorView>) GWT.create(Type_factory__o_d_c_w_d_e_e_ElasticSearchDataSetDefAttributesEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DataSetEditorDriverFactory>) GWT.create(Type_factory__o_d_c_w_d_e_d_DataSetEditorDriverFactory__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TemplatedWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_TemplatedWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GalleryTreePresenter>) GWT.create(Type_factory__o_d_c_g_GalleryTreePresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavDropDownWidget>) GWT.create(Type_factory__o_d_c_n_w_NavDropDownWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferenceScopeResolutionStrategyIOCProvider>) GWT.create(Type_factory__o_u_p_c_s_PreferenceScopeResolutionStrategyIOCProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PerspectiveJSExporter>) GWT.create(Type_factory__o_u_c_e_PerspectiveJSExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<StateChangeImpl>) GWT.create(Type_factory__o_j_e_i_c_l_i_StateChangeImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<RequestDispatcher>) GWT.create(Provider_factory__o_j_e_b_c_a_m_RequestDispatcher__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<BeanDataSetEditor>) GWT.create(Type_factory__o_d_c_w_d_e_b_BeanDataSetEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MetricDisplayer>) GWT.create(Type_factory__o_d_r_c_m_MetricDisplayer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NavMenuBarWidgetView>) GWT.create(Type_factory__o_d_c_n_w_NavMenuBarWidgetView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PreferenceFormBeansInfo>) GWT.create(Type_factory__o_u_e_p_c_u_PreferenceFormBeansInfo__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<KebabWidget>) GWT.create(Type_factory__o_u_e_l_e_c_w_KebabWidget__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ErrorPopup>) GWT.create(Type_factory__o_u_c_v_p_w_ErrorPopup__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<EditHTMLPresenter>) GWT.create(Type_factory__o_u_e_p_c_p_e_l_e_p_EditHTMLPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DisplayerGalleryPerspectiveActivity>) GWT.create(Type_factory__o_d_c_p_DisplayerGalleryPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<TranslationServiceProvider>) GWT.create(Type_factory__o_j_e_u_c_l_s_TranslationServiceProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DropDownEditor>) GWT.create(Type_factory__o_d_c_c_e_l_DropDownEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AceEditor>) GWT.create(ExtensionProvided_factory__o_u_e_w_c_c_a_AceEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClientUsernameProvider>) GWT.create(Type_factory__o_u_p_c_s_ClientUsernameProvider__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorDropDownItem>) GWT.create(Type_factory__o_d_r_c_s_SelectorDropDownItem__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<VFSJSExporter>) GWT.create(Type_factory__o_u_c_e_VFSJSExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PerspectiveDropDown>) GWT.create(Type_factory__o_u_e_w_c_c_d_PerspectiveDropDown__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefPreviewTable>) GWT.create(Type_factory__o_d_c_w_d_e_DataSetDefPreviewTable__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ColumnFunctionEditor>) GWT.create(Type_factory__o_d_d_c_w_g_ColumnFunctionEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ContentManagerHomeView>) GWT.create(Type_factory__o_d_c_c_s_h_ContentManagerHomeView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GoogleMeterChartDisplayerView>) GWT.create(Type_factory__o_d_r_g_c_GoogleMeterChartDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<AdaptiveWorkbenchPanelPresenter>) GWT.create(Type_factory__o_u_c_w_p_i_AdaptiveWorkbenchPanelPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<GroupEditorScreenActivity>) GWT.create(Type_factory__o_u_e_s_m_c_s_e_GroupEditorScreenActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<DefaultBusSecurityErrorCallback>) GWT.create(Type_factory__o_j_e_s_c_l_c_DefaultBusSecurityErrorCallback__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PermissionExceptionSwitch>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_n_PermissionExceptionSwitch__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PluginConfigService>) GWT.create(Type_factory__o_u_e_p_c_c_PluginConfigService__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetDefCacheAttributesEditorViewImpl>) GWT.create(Type_factory__o_d_c_w_d_e_a_DataSetDefCacheAttributesEditorViewImpl__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<PreferencesCentralActionsView>) GWT.create(Type_factory__o_u_e_p_c_c_a_PreferencesCentralActionsView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ClientResourceType>) GWT.create(JsType_factory__o_u_c_w_t_ClientResourceType__quals__Universal.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<PreferencesCentralPerspective>) GWT.create(Type_factory__o_u_e_p_c_c_PreferencesCentralPerspective__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SelectorSliderDisplayerView>) GWT.create(Type_factory__o_d_r_c_s_SelectorSliderDisplayerView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ActivityResourceType>) GWT.create(JsType_factory__o_u_w_m_ActivityResourceType__quals__Universal.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<UnanchoredWorkbenchPartPresenter>) GWT.create(Type_factory__o_u_c_w_p_u_p_UnanchoredWorkbenchPartPresenter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<MultipleNumberParameterEditor>) GWT.create(Type_factory__o_d_d_c_w_f_MultipleNumberParameterEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<FileUploadEditorView>) GWT.create(Type_factory__o_d_c_c_e_f_FileUploadEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<SyncBeanManager>) GWT.create(Producer_factory__o_j_e_i_c_c_SyncBeanManager__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<Row>) GWT.create(Type_factory__o_u_e_l_e_c_c_r_Row__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LikeToFunctionEditor>) GWT.create(Type_factory__o_d_d_c_w_f_LikeToFunctionEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<org.jboss.errai.common.client.dom.Button>) GWT.create(ExtensionProvided_factory__o_j_e_c_c_d_Button__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<DataSetAuthoringPerspectiveActivity>) GWT.create(Type_factory__o_d_d_e_c_p_DataSetAuthoringPerspectiveActivity__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ResourceTypeDefinitionJSExporter>) GWT.create(Type_factory__o_u_c_e_ResourceTypeDefinitionJSExporter__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<NumberParameterEditorView>) GWT.create(Type_factory__o_d_d_c_w_f_NumberParameterEditorView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<StaticFocusedResizePanel>) GWT.create(ExtensionProvided_factory__o_u_c_w_w_p_StaticFocusedResizePanel__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<ResourceBundleEntryPoint>) GWT.create(Type_factory__o_u_e_s_m_c_ResourceBundleEntryPoint__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<WorkbenchPartView>) GWT.create(Type_factory__o_u_c_w_p_n_p_WorkbenchPartView__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TimeAmountEditor>) GWT.create(Type_factory__o_d_d_c_w_f_TimeAmountEditor__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<TranslationService>) GWT.create(Provider_factory__o_j_e_u_c_l_s_TranslationService__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_ApplicationScopedContext_context.registerFactory((Factory<UberfireDocksContainer>) GWT.create(Type_factory__o_u_c_w_d_UberfireDocksContainer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<ACLViewer>) GWT.create(Type_factory__o_u_e_s_m_c_w_m_e_a_ACLViewer__quals__j_e_i_Any_j_e_i_Default.class));
    org_jboss_errai_ioc_client_container_DependentScopeContext_context.registerFactory((Factory<LayoutPanelView>) GWT.create(Type_factory__o_u_c_w_p_i_LayoutPanelView__quals__j_e_i_Any_j_e_i_Default_j_i_Named.class));
  }

  private void registerFactories(final Context org_jboss_errai_ioc_client_container_ApplicationScopedContext_context, final Context org_jboss_errai_ioc_client_container_DependentScopeContext_context) {
    registerFactories0(org_jboss_errai_ioc_client_container_ApplicationScopedContext_context, org_jboss_errai_ioc_client_container_DependentScopeContext_context);
    registerFactories1(org_jboss_errai_ioc_client_container_ApplicationScopedContext_context, org_jboss_errai_ioc_client_container_DependentScopeContext_context);
  }

  // The main IOC bootstrap method.
  public ContextManager bootstrapContainer() {
    final Context org_jboss_errai_ioc_client_container_ApplicationScopedContext_context = new ApplicationScopedContext();
    final Context org_jboss_errai_ioc_client_container_DependentScopeContext_context = new DependentScopeContext();
    logger.debug("Registering factories with contexts.");
    long start = System.currentTimeMillis();
    registerFactories(org_jboss_errai_ioc_client_container_ApplicationScopedContext_context, org_jboss_errai_ioc_client_container_DependentScopeContext_context);
    logger.debug("Registered 854 factories in {}ms", System.currentTimeMillis() - start);
    logger.debug("Adding contexts to context manager...");
    start = System.currentTimeMillis();
    contextManager.addContext(org_jboss_errai_ioc_client_container_ApplicationScopedContext_context);
    contextManager.addContext(org_jboss_errai_ioc_client_container_DependentScopeContext_context);
    logger.debug("Added 2 contexts in {}ms", System.currentTimeMillis() - start);
    logger.debug("Calling finishInit on ContextManager");
    start = System.currentTimeMillis();
    contextManager.finishInit();
    logger.debug("ContextManager#finishInit ran in {}ms", System.currentTimeMillis() - start);
    return contextManager;
  }
}